import * as k8s from "./index";
import * as pulumi from "@pulumi/pulumi";
export declare namespace v2 {
    interface ChartOpts {
        repo: string;
        chart: string;
        version: string;
        namespace?: string;
        values?: any;
        transformations?: ((o: any) => void)[];
        fetchOpts?: FetchOpts;
    }
    class Chart extends k8s.yaml.CollectionComponentResource {
        constructor(releaseName: string, config: ChartOpts, opts?: pulumi.ComponentResourceOptions);
        parseTemplate(yamlStream: string, config: ChartOpts): {
            [key: string]: pulumi.CustomResource;
        };
    }
}
export interface FetchOpts {
    version?: string;
    caFile?: string;
    certFile?: string;
    keyFile?: string;
    destination?: string;
    keyring?: string;
    password?: string;
    repo?: string;
    untardir?: string;
    username?: string;
    home?: string;
    devel?: boolean;
    prov?: boolean;
    untar?: boolean;
    verify?: boolean;
}
export declare function fetch(chart: string, opts?: FetchOpts): void;
