import * as pulumi from "@pulumi/pulumi";
import * as inputApi from "./types/input";
import * as outputApi from "./types/output";
export declare namespace yaml {
    interface ConfigGroupOpts {
        files?: string[] | string;
        yaml?: string[] | string;
        objs?: any[] | any;
        transformations?: ((o: any) => void)[];
    }
    interface ConfigFileOpts {
        file?: string;
        transformations?: ((o: any) => void)[];
    }
    interface ConfigOpts {
        objs: any[];
        transformations?: ((o: any) => void)[];
    }
    function parse(config: ConfigGroupOpts, opts?: pulumi.CustomResourceOptions): {
        [key: string]: pulumi.CustomResource;
    };
    abstract class CollectionComponentResource extends pulumi.ComponentResource {
        resources: {
            [key: string]: pulumi.CustomResource;
        };
        constructor(resourceType: string, name: string, config: any, opts?: pulumi.ComponentResourceOptions);
        /**
         * getResource returns a resource defined by a built-in Kubernetes group/version/kind and name.
         *
         * For example:
         *     getResource("apps/v1/Deployment", "nginx")
         */
        getResource(groupVersionKind: "admissionregistration.k8s.io/v1alpha1/InitializerConfiguration", name: string): admissionregistration.v1alpha1.InitializerConfiguration;
        getResource(groupVersionKind: "admissionregistration.k8s.io/v1alpha1/InitializerConfiguration", namespace: string, name: string): admissionregistration.v1alpha1.InitializerConfiguration;
        getResource(groupVersionKind: "admissionregistration.k8s.io/v1alpha1/InitializerConfigurationList", name: string): admissionregistration.v1alpha1.InitializerConfigurationList;
        getResource(groupVersionKind: "admissionregistration.k8s.io/v1alpha1/InitializerConfigurationList", namespace: string, name: string): admissionregistration.v1alpha1.InitializerConfigurationList;
        getResource(groupVersionKind: "admissionregistration.k8s.io/v1beta1/MutatingWebhookConfiguration", name: string): admissionregistration.v1beta1.MutatingWebhookConfiguration;
        getResource(groupVersionKind: "admissionregistration.k8s.io/v1beta1/MutatingWebhookConfiguration", namespace: string, name: string): admissionregistration.v1beta1.MutatingWebhookConfiguration;
        getResource(groupVersionKind: "admissionregistration.k8s.io/v1beta1/MutatingWebhookConfigurationList", name: string): admissionregistration.v1beta1.MutatingWebhookConfigurationList;
        getResource(groupVersionKind: "admissionregistration.k8s.io/v1beta1/MutatingWebhookConfigurationList", namespace: string, name: string): admissionregistration.v1beta1.MutatingWebhookConfigurationList;
        getResource(groupVersionKind: "admissionregistration.k8s.io/v1beta1/ValidatingWebhookConfiguration", name: string): admissionregistration.v1beta1.ValidatingWebhookConfiguration;
        getResource(groupVersionKind: "admissionregistration.k8s.io/v1beta1/ValidatingWebhookConfiguration", namespace: string, name: string): admissionregistration.v1beta1.ValidatingWebhookConfiguration;
        getResource(groupVersionKind: "admissionregistration.k8s.io/v1beta1/ValidatingWebhookConfigurationList", name: string): admissionregistration.v1beta1.ValidatingWebhookConfigurationList;
        getResource(groupVersionKind: "admissionregistration.k8s.io/v1beta1/ValidatingWebhookConfigurationList", namespace: string, name: string): admissionregistration.v1beta1.ValidatingWebhookConfigurationList;
        getResource(groupVersionKind: "apiextensions.k8s.io/v1beta1/CustomResourceDefinition", name: string): apiextensions.v1beta1.CustomResourceDefinition;
        getResource(groupVersionKind: "apiextensions.k8s.io/v1beta1/CustomResourceDefinition", namespace: string, name: string): apiextensions.v1beta1.CustomResourceDefinition;
        getResource(groupVersionKind: "apiextensions.k8s.io/v1beta1/CustomResourceDefinitionList", name: string): apiextensions.v1beta1.CustomResourceDefinitionList;
        getResource(groupVersionKind: "apiextensions.k8s.io/v1beta1/CustomResourceDefinitionList", namespace: string, name: string): apiextensions.v1beta1.CustomResourceDefinitionList;
        getResource(groupVersionKind: "apiregistration/v1beta1/APIService", name: string): apiregistration.v1beta1.APIService;
        getResource(groupVersionKind: "apiregistration/v1beta1/APIService", namespace: string, name: string): apiregistration.v1beta1.APIService;
        getResource(groupVersionKind: "apiregistration/v1beta1/APIServiceList", name: string): apiregistration.v1beta1.APIServiceList;
        getResource(groupVersionKind: "apiregistration/v1beta1/APIServiceList", namespace: string, name: string): apiregistration.v1beta1.APIServiceList;
        getResource(groupVersionKind: "apps/v1/ControllerRevision", name: string): apps.v1.ControllerRevision;
        getResource(groupVersionKind: "apps/v1/ControllerRevision", namespace: string, name: string): apps.v1.ControllerRevision;
        getResource(groupVersionKind: "apps/v1/ControllerRevisionList", name: string): apps.v1.ControllerRevisionList;
        getResource(groupVersionKind: "apps/v1/ControllerRevisionList", namespace: string, name: string): apps.v1.ControllerRevisionList;
        getResource(groupVersionKind: "apps/v1/DaemonSet", name: string): apps.v1.DaemonSet;
        getResource(groupVersionKind: "apps/v1/DaemonSet", namespace: string, name: string): apps.v1.DaemonSet;
        getResource(groupVersionKind: "apps/v1/DaemonSetList", name: string): apps.v1.DaemonSetList;
        getResource(groupVersionKind: "apps/v1/DaemonSetList", namespace: string, name: string): apps.v1.DaemonSetList;
        getResource(groupVersionKind: "apps/v1/Deployment", name: string): apps.v1.Deployment;
        getResource(groupVersionKind: "apps/v1/Deployment", namespace: string, name: string): apps.v1.Deployment;
        getResource(groupVersionKind: "apps/v1/DeploymentList", name: string): apps.v1.DeploymentList;
        getResource(groupVersionKind: "apps/v1/DeploymentList", namespace: string, name: string): apps.v1.DeploymentList;
        getResource(groupVersionKind: "apps/v1/ReplicaSet", name: string): apps.v1.ReplicaSet;
        getResource(groupVersionKind: "apps/v1/ReplicaSet", namespace: string, name: string): apps.v1.ReplicaSet;
        getResource(groupVersionKind: "apps/v1/ReplicaSetList", name: string): apps.v1.ReplicaSetList;
        getResource(groupVersionKind: "apps/v1/ReplicaSetList", namespace: string, name: string): apps.v1.ReplicaSetList;
        getResource(groupVersionKind: "apps/v1/StatefulSet", name: string): apps.v1.StatefulSet;
        getResource(groupVersionKind: "apps/v1/StatefulSet", namespace: string, name: string): apps.v1.StatefulSet;
        getResource(groupVersionKind: "apps/v1/StatefulSetList", name: string): apps.v1.StatefulSetList;
        getResource(groupVersionKind: "apps/v1/StatefulSetList", namespace: string, name: string): apps.v1.StatefulSetList;
        getResource(groupVersionKind: "apps/v1beta1/ControllerRevision", name: string): apps.v1beta1.ControllerRevision;
        getResource(groupVersionKind: "apps/v1beta1/ControllerRevision", namespace: string, name: string): apps.v1beta1.ControllerRevision;
        getResource(groupVersionKind: "apps/v1beta1/ControllerRevisionList", name: string): apps.v1beta1.ControllerRevisionList;
        getResource(groupVersionKind: "apps/v1beta1/ControllerRevisionList", namespace: string, name: string): apps.v1beta1.ControllerRevisionList;
        getResource(groupVersionKind: "apps/v1beta1/Deployment", name: string): apps.v1beta1.Deployment;
        getResource(groupVersionKind: "apps/v1beta1/Deployment", namespace: string, name: string): apps.v1beta1.Deployment;
        getResource(groupVersionKind: "apps/v1beta1/DeploymentList", name: string): apps.v1beta1.DeploymentList;
        getResource(groupVersionKind: "apps/v1beta1/DeploymentList", namespace: string, name: string): apps.v1beta1.DeploymentList;
        getResource(groupVersionKind: "apps/v1beta1/DeploymentRollback", name: string): apps.v1beta1.DeploymentRollback;
        getResource(groupVersionKind: "apps/v1beta1/DeploymentRollback", namespace: string, name: string): apps.v1beta1.DeploymentRollback;
        getResource(groupVersionKind: "apps/v1beta1/Scale", name: string): apps.v1beta1.Scale;
        getResource(groupVersionKind: "apps/v1beta1/Scale", namespace: string, name: string): apps.v1beta1.Scale;
        getResource(groupVersionKind: "apps/v1beta1/StatefulSet", name: string): apps.v1beta1.StatefulSet;
        getResource(groupVersionKind: "apps/v1beta1/StatefulSet", namespace: string, name: string): apps.v1beta1.StatefulSet;
        getResource(groupVersionKind: "apps/v1beta1/StatefulSetList", name: string): apps.v1beta1.StatefulSetList;
        getResource(groupVersionKind: "apps/v1beta1/StatefulSetList", namespace: string, name: string): apps.v1beta1.StatefulSetList;
        getResource(groupVersionKind: "apps/v1beta2/ControllerRevision", name: string): apps.v1beta2.ControllerRevision;
        getResource(groupVersionKind: "apps/v1beta2/ControllerRevision", namespace: string, name: string): apps.v1beta2.ControllerRevision;
        getResource(groupVersionKind: "apps/v1beta2/ControllerRevisionList", name: string): apps.v1beta2.ControllerRevisionList;
        getResource(groupVersionKind: "apps/v1beta2/ControllerRevisionList", namespace: string, name: string): apps.v1beta2.ControllerRevisionList;
        getResource(groupVersionKind: "apps/v1beta2/DaemonSet", name: string): apps.v1beta2.DaemonSet;
        getResource(groupVersionKind: "apps/v1beta2/DaemonSet", namespace: string, name: string): apps.v1beta2.DaemonSet;
        getResource(groupVersionKind: "apps/v1beta2/DaemonSetList", name: string): apps.v1beta2.DaemonSetList;
        getResource(groupVersionKind: "apps/v1beta2/DaemonSetList", namespace: string, name: string): apps.v1beta2.DaemonSetList;
        getResource(groupVersionKind: "apps/v1beta2/Deployment", name: string): apps.v1beta2.Deployment;
        getResource(groupVersionKind: "apps/v1beta2/Deployment", namespace: string, name: string): apps.v1beta2.Deployment;
        getResource(groupVersionKind: "apps/v1beta2/DeploymentList", name: string): apps.v1beta2.DeploymentList;
        getResource(groupVersionKind: "apps/v1beta2/DeploymentList", namespace: string, name: string): apps.v1beta2.DeploymentList;
        getResource(groupVersionKind: "apps/v1beta2/ReplicaSet", name: string): apps.v1beta2.ReplicaSet;
        getResource(groupVersionKind: "apps/v1beta2/ReplicaSet", namespace: string, name: string): apps.v1beta2.ReplicaSet;
        getResource(groupVersionKind: "apps/v1beta2/ReplicaSetList", name: string): apps.v1beta2.ReplicaSetList;
        getResource(groupVersionKind: "apps/v1beta2/ReplicaSetList", namespace: string, name: string): apps.v1beta2.ReplicaSetList;
        getResource(groupVersionKind: "apps/v1beta2/Scale", name: string): apps.v1beta2.Scale;
        getResource(groupVersionKind: "apps/v1beta2/Scale", namespace: string, name: string): apps.v1beta2.Scale;
        getResource(groupVersionKind: "apps/v1beta2/StatefulSet", name: string): apps.v1beta2.StatefulSet;
        getResource(groupVersionKind: "apps/v1beta2/StatefulSet", namespace: string, name: string): apps.v1beta2.StatefulSet;
        getResource(groupVersionKind: "apps/v1beta2/StatefulSetList", name: string): apps.v1beta2.StatefulSetList;
        getResource(groupVersionKind: "apps/v1beta2/StatefulSetList", namespace: string, name: string): apps.v1beta2.StatefulSetList;
        getResource(groupVersionKind: "authentication.k8s.io/v1/TokenReview", name: string): authentication.v1.TokenReview;
        getResource(groupVersionKind: "authentication.k8s.io/v1/TokenReview", namespace: string, name: string): authentication.v1.TokenReview;
        getResource(groupVersionKind: "authentication.k8s.io/v1beta1/TokenReview", name: string): authentication.v1beta1.TokenReview;
        getResource(groupVersionKind: "authentication.k8s.io/v1beta1/TokenReview", namespace: string, name: string): authentication.v1beta1.TokenReview;
        getResource(groupVersionKind: "authorization.k8s.io/v1/LocalSubjectAccessReview", name: string): authorization.v1.LocalSubjectAccessReview;
        getResource(groupVersionKind: "authorization.k8s.io/v1/LocalSubjectAccessReview", namespace: string, name: string): authorization.v1.LocalSubjectAccessReview;
        getResource(groupVersionKind: "authorization.k8s.io/v1/SelfSubjectAccessReview", name: string): authorization.v1.SelfSubjectAccessReview;
        getResource(groupVersionKind: "authorization.k8s.io/v1/SelfSubjectAccessReview", namespace: string, name: string): authorization.v1.SelfSubjectAccessReview;
        getResource(groupVersionKind: "authorization.k8s.io/v1/SelfSubjectRulesReview", name: string): authorization.v1.SelfSubjectRulesReview;
        getResource(groupVersionKind: "authorization.k8s.io/v1/SelfSubjectRulesReview", namespace: string, name: string): authorization.v1.SelfSubjectRulesReview;
        getResource(groupVersionKind: "authorization.k8s.io/v1/SubjectAccessReview", name: string): authorization.v1.SubjectAccessReview;
        getResource(groupVersionKind: "authorization.k8s.io/v1/SubjectAccessReview", namespace: string, name: string): authorization.v1.SubjectAccessReview;
        getResource(groupVersionKind: "authorization.k8s.io/v1beta1/LocalSubjectAccessReview", name: string): authorization.v1beta1.LocalSubjectAccessReview;
        getResource(groupVersionKind: "authorization.k8s.io/v1beta1/LocalSubjectAccessReview", namespace: string, name: string): authorization.v1beta1.LocalSubjectAccessReview;
        getResource(groupVersionKind: "authorization.k8s.io/v1beta1/SelfSubjectAccessReview", name: string): authorization.v1beta1.SelfSubjectAccessReview;
        getResource(groupVersionKind: "authorization.k8s.io/v1beta1/SelfSubjectAccessReview", namespace: string, name: string): authorization.v1beta1.SelfSubjectAccessReview;
        getResource(groupVersionKind: "authorization.k8s.io/v1beta1/SelfSubjectRulesReview", name: string): authorization.v1beta1.SelfSubjectRulesReview;
        getResource(groupVersionKind: "authorization.k8s.io/v1beta1/SelfSubjectRulesReview", namespace: string, name: string): authorization.v1beta1.SelfSubjectRulesReview;
        getResource(groupVersionKind: "authorization.k8s.io/v1beta1/SubjectAccessReview", name: string): authorization.v1beta1.SubjectAccessReview;
        getResource(groupVersionKind: "authorization.k8s.io/v1beta1/SubjectAccessReview", namespace: string, name: string): authorization.v1beta1.SubjectAccessReview;
        getResource(groupVersionKind: "autoscaling/v1/CrossVersionObjectReference", name: string): autoscaling.v1.CrossVersionObjectReference;
        getResource(groupVersionKind: "autoscaling/v1/CrossVersionObjectReference", namespace: string, name: string): autoscaling.v1.CrossVersionObjectReference;
        getResource(groupVersionKind: "autoscaling/v1/HorizontalPodAutoscaler", name: string): autoscaling.v1.HorizontalPodAutoscaler;
        getResource(groupVersionKind: "autoscaling/v1/HorizontalPodAutoscaler", namespace: string, name: string): autoscaling.v1.HorizontalPodAutoscaler;
        getResource(groupVersionKind: "autoscaling/v1/HorizontalPodAutoscalerList", name: string): autoscaling.v1.HorizontalPodAutoscalerList;
        getResource(groupVersionKind: "autoscaling/v1/HorizontalPodAutoscalerList", namespace: string, name: string): autoscaling.v1.HorizontalPodAutoscalerList;
        getResource(groupVersionKind: "autoscaling/v1/Scale", name: string): autoscaling.v1.Scale;
        getResource(groupVersionKind: "autoscaling/v1/Scale", namespace: string, name: string): autoscaling.v1.Scale;
        getResource(groupVersionKind: "autoscaling/v2beta1/CrossVersionObjectReference", name: string): autoscaling.v2beta1.CrossVersionObjectReference;
        getResource(groupVersionKind: "autoscaling/v2beta1/CrossVersionObjectReference", namespace: string, name: string): autoscaling.v2beta1.CrossVersionObjectReference;
        getResource(groupVersionKind: "autoscaling/v2beta1/HorizontalPodAutoscaler", name: string): autoscaling.v2beta1.HorizontalPodAutoscaler;
        getResource(groupVersionKind: "autoscaling/v2beta1/HorizontalPodAutoscaler", namespace: string, name: string): autoscaling.v2beta1.HorizontalPodAutoscaler;
        getResource(groupVersionKind: "autoscaling/v2beta1/HorizontalPodAutoscalerList", name: string): autoscaling.v2beta1.HorizontalPodAutoscalerList;
        getResource(groupVersionKind: "autoscaling/v2beta1/HorizontalPodAutoscalerList", namespace: string, name: string): autoscaling.v2beta1.HorizontalPodAutoscalerList;
        getResource(groupVersionKind: "batch/v1/Job", name: string): batch.v1.Job;
        getResource(groupVersionKind: "batch/v1/Job", namespace: string, name: string): batch.v1.Job;
        getResource(groupVersionKind: "batch/v1/JobList", name: string): batch.v1.JobList;
        getResource(groupVersionKind: "batch/v1/JobList", namespace: string, name: string): batch.v1.JobList;
        getResource(groupVersionKind: "batch/v1beta1/CronJob", name: string): batch.v1beta1.CronJob;
        getResource(groupVersionKind: "batch/v1beta1/CronJob", namespace: string, name: string): batch.v1beta1.CronJob;
        getResource(groupVersionKind: "batch/v1beta1/CronJobList", name: string): batch.v1beta1.CronJobList;
        getResource(groupVersionKind: "batch/v1beta1/CronJobList", namespace: string, name: string): batch.v1beta1.CronJobList;
        getResource(groupVersionKind: "batch/v2alpha1/CronJob", name: string): batch.v2alpha1.CronJob;
        getResource(groupVersionKind: "batch/v2alpha1/CronJob", namespace: string, name: string): batch.v2alpha1.CronJob;
        getResource(groupVersionKind: "batch/v2alpha1/CronJobList", name: string): batch.v2alpha1.CronJobList;
        getResource(groupVersionKind: "batch/v2alpha1/CronJobList", namespace: string, name: string): batch.v2alpha1.CronJobList;
        getResource(groupVersionKind: "certificates.k8s.io/v1beta1/CertificateSigningRequest", name: string): certificates.v1beta1.CertificateSigningRequest;
        getResource(groupVersionKind: "certificates.k8s.io/v1beta1/CertificateSigningRequest", namespace: string, name: string): certificates.v1beta1.CertificateSigningRequest;
        getResource(groupVersionKind: "certificates.k8s.io/v1beta1/CertificateSigningRequestList", name: string): certificates.v1beta1.CertificateSigningRequestList;
        getResource(groupVersionKind: "certificates.k8s.io/v1beta1/CertificateSigningRequestList", namespace: string, name: string): certificates.v1beta1.CertificateSigningRequestList;
        getResource(groupVersionKind: "v1/Binding", name: string): core.v1.Binding;
        getResource(groupVersionKind: "v1/Binding", namespace: string, name: string): core.v1.Binding;
        getResource(groupVersionKind: "v1/ComponentStatus", name: string): core.v1.ComponentStatus;
        getResource(groupVersionKind: "v1/ComponentStatus", namespace: string, name: string): core.v1.ComponentStatus;
        getResource(groupVersionKind: "v1/ComponentStatusList", name: string): core.v1.ComponentStatusList;
        getResource(groupVersionKind: "v1/ComponentStatusList", namespace: string, name: string): core.v1.ComponentStatusList;
        getResource(groupVersionKind: "v1/ConfigMap", name: string): core.v1.ConfigMap;
        getResource(groupVersionKind: "v1/ConfigMap", namespace: string, name: string): core.v1.ConfigMap;
        getResource(groupVersionKind: "v1/ConfigMapList", name: string): core.v1.ConfigMapList;
        getResource(groupVersionKind: "v1/ConfigMapList", namespace: string, name: string): core.v1.ConfigMapList;
        getResource(groupVersionKind: "v1/Endpoints", name: string): core.v1.Endpoints;
        getResource(groupVersionKind: "v1/Endpoints", namespace: string, name: string): core.v1.Endpoints;
        getResource(groupVersionKind: "v1/EndpointsList", name: string): core.v1.EndpointsList;
        getResource(groupVersionKind: "v1/EndpointsList", namespace: string, name: string): core.v1.EndpointsList;
        getResource(groupVersionKind: "v1/Event", name: string): core.v1.Event;
        getResource(groupVersionKind: "v1/Event", namespace: string, name: string): core.v1.Event;
        getResource(groupVersionKind: "v1/EventList", name: string): core.v1.EventList;
        getResource(groupVersionKind: "v1/EventList", namespace: string, name: string): core.v1.EventList;
        getResource(groupVersionKind: "v1/LimitRange", name: string): core.v1.LimitRange;
        getResource(groupVersionKind: "v1/LimitRange", namespace: string, name: string): core.v1.LimitRange;
        getResource(groupVersionKind: "v1/LimitRangeList", name: string): core.v1.LimitRangeList;
        getResource(groupVersionKind: "v1/LimitRangeList", namespace: string, name: string): core.v1.LimitRangeList;
        getResource(groupVersionKind: "v1/Namespace", name: string): core.v1.Namespace;
        getResource(groupVersionKind: "v1/Namespace", namespace: string, name: string): core.v1.Namespace;
        getResource(groupVersionKind: "v1/NamespaceList", name: string): core.v1.NamespaceList;
        getResource(groupVersionKind: "v1/NamespaceList", namespace: string, name: string): core.v1.NamespaceList;
        getResource(groupVersionKind: "v1/Node", name: string): core.v1.Node;
        getResource(groupVersionKind: "v1/Node", namespace: string, name: string): core.v1.Node;
        getResource(groupVersionKind: "v1/NodeConfigSource", name: string): core.v1.NodeConfigSource;
        getResource(groupVersionKind: "v1/NodeConfigSource", namespace: string, name: string): core.v1.NodeConfigSource;
        getResource(groupVersionKind: "v1/NodeList", name: string): core.v1.NodeList;
        getResource(groupVersionKind: "v1/NodeList", namespace: string, name: string): core.v1.NodeList;
        getResource(groupVersionKind: "core/v1/ObjectReference", name: string): core.v1.ObjectReference;
        getResource(groupVersionKind: "core/v1/ObjectReference", namespace: string, name: string): core.v1.ObjectReference;
        getResource(groupVersionKind: "v1/PersistentVolume", name: string): core.v1.PersistentVolume;
        getResource(groupVersionKind: "v1/PersistentVolume", namespace: string, name: string): core.v1.PersistentVolume;
        getResource(groupVersionKind: "v1/PersistentVolumeClaim", name: string): core.v1.PersistentVolumeClaim;
        getResource(groupVersionKind: "v1/PersistentVolumeClaim", namespace: string, name: string): core.v1.PersistentVolumeClaim;
        getResource(groupVersionKind: "v1/PersistentVolumeClaimList", name: string): core.v1.PersistentVolumeClaimList;
        getResource(groupVersionKind: "v1/PersistentVolumeClaimList", namespace: string, name: string): core.v1.PersistentVolumeClaimList;
        getResource(groupVersionKind: "v1/PersistentVolumeList", name: string): core.v1.PersistentVolumeList;
        getResource(groupVersionKind: "v1/PersistentVolumeList", namespace: string, name: string): core.v1.PersistentVolumeList;
        getResource(groupVersionKind: "v1/Pod", name: string): core.v1.Pod;
        getResource(groupVersionKind: "v1/Pod", namespace: string, name: string): core.v1.Pod;
        getResource(groupVersionKind: "v1/PodList", name: string): core.v1.PodList;
        getResource(groupVersionKind: "v1/PodList", namespace: string, name: string): core.v1.PodList;
        getResource(groupVersionKind: "v1/PodTemplate", name: string): core.v1.PodTemplate;
        getResource(groupVersionKind: "v1/PodTemplate", namespace: string, name: string): core.v1.PodTemplate;
        getResource(groupVersionKind: "v1/PodTemplateList", name: string): core.v1.PodTemplateList;
        getResource(groupVersionKind: "v1/PodTemplateList", namespace: string, name: string): core.v1.PodTemplateList;
        getResource(groupVersionKind: "v1/ReplicationController", name: string): core.v1.ReplicationController;
        getResource(groupVersionKind: "v1/ReplicationController", namespace: string, name: string): core.v1.ReplicationController;
        getResource(groupVersionKind: "v1/ReplicationControllerList", name: string): core.v1.ReplicationControllerList;
        getResource(groupVersionKind: "v1/ReplicationControllerList", namespace: string, name: string): core.v1.ReplicationControllerList;
        getResource(groupVersionKind: "v1/ResourceQuota", name: string): core.v1.ResourceQuota;
        getResource(groupVersionKind: "v1/ResourceQuota", namespace: string, name: string): core.v1.ResourceQuota;
        getResource(groupVersionKind: "v1/ResourceQuotaList", name: string): core.v1.ResourceQuotaList;
        getResource(groupVersionKind: "v1/ResourceQuotaList", namespace: string, name: string): core.v1.ResourceQuotaList;
        getResource(groupVersionKind: "v1/Secret", name: string): core.v1.Secret;
        getResource(groupVersionKind: "v1/Secret", namespace: string, name: string): core.v1.Secret;
        getResource(groupVersionKind: "v1/SecretList", name: string): core.v1.SecretList;
        getResource(groupVersionKind: "v1/SecretList", namespace: string, name: string): core.v1.SecretList;
        getResource(groupVersionKind: "v1/Service", name: string): core.v1.Service;
        getResource(groupVersionKind: "v1/Service", namespace: string, name: string): core.v1.Service;
        getResource(groupVersionKind: "v1/ServiceAccount", name: string): core.v1.ServiceAccount;
        getResource(groupVersionKind: "v1/ServiceAccount", namespace: string, name: string): core.v1.ServiceAccount;
        getResource(groupVersionKind: "v1/ServiceAccountList", name: string): core.v1.ServiceAccountList;
        getResource(groupVersionKind: "v1/ServiceAccountList", namespace: string, name: string): core.v1.ServiceAccountList;
        getResource(groupVersionKind: "v1/ServiceList", name: string): core.v1.ServiceList;
        getResource(groupVersionKind: "v1/ServiceList", namespace: string, name: string): core.v1.ServiceList;
        getResource(groupVersionKind: "events.k8s.io/v1beta1/Event", name: string): events.v1beta1.Event;
        getResource(groupVersionKind: "events.k8s.io/v1beta1/Event", namespace: string, name: string): events.v1beta1.Event;
        getResource(groupVersionKind: "events.k8s.io/v1beta1/EventList", name: string): events.v1beta1.EventList;
        getResource(groupVersionKind: "events.k8s.io/v1beta1/EventList", namespace: string, name: string): events.v1beta1.EventList;
        getResource(groupVersionKind: "extensions/v1beta1/DaemonSet", name: string): extensions.v1beta1.DaemonSet;
        getResource(groupVersionKind: "extensions/v1beta1/DaemonSet", namespace: string, name: string): extensions.v1beta1.DaemonSet;
        getResource(groupVersionKind: "extensions/v1beta1/DaemonSetList", name: string): extensions.v1beta1.DaemonSetList;
        getResource(groupVersionKind: "extensions/v1beta1/DaemonSetList", namespace: string, name: string): extensions.v1beta1.DaemonSetList;
        getResource(groupVersionKind: "extensions/v1beta1/Deployment", name: string): extensions.v1beta1.Deployment;
        getResource(groupVersionKind: "extensions/v1beta1/Deployment", namespace: string, name: string): extensions.v1beta1.Deployment;
        getResource(groupVersionKind: "extensions/v1beta1/DeploymentList", name: string): extensions.v1beta1.DeploymentList;
        getResource(groupVersionKind: "extensions/v1beta1/DeploymentList", namespace: string, name: string): extensions.v1beta1.DeploymentList;
        getResource(groupVersionKind: "extensions/v1beta1/DeploymentRollback", name: string): extensions.v1beta1.DeploymentRollback;
        getResource(groupVersionKind: "extensions/v1beta1/DeploymentRollback", namespace: string, name: string): extensions.v1beta1.DeploymentRollback;
        getResource(groupVersionKind: "extensions/v1beta1/Ingress", name: string): extensions.v1beta1.Ingress;
        getResource(groupVersionKind: "extensions/v1beta1/Ingress", namespace: string, name: string): extensions.v1beta1.Ingress;
        getResource(groupVersionKind: "extensions/v1beta1/IngressList", name: string): extensions.v1beta1.IngressList;
        getResource(groupVersionKind: "extensions/v1beta1/IngressList", namespace: string, name: string): extensions.v1beta1.IngressList;
        getResource(groupVersionKind: "extensions/v1beta1/NetworkPolicy", name: string): extensions.v1beta1.NetworkPolicy;
        getResource(groupVersionKind: "extensions/v1beta1/NetworkPolicy", namespace: string, name: string): extensions.v1beta1.NetworkPolicy;
        getResource(groupVersionKind: "extensions/v1beta1/NetworkPolicyList", name: string): extensions.v1beta1.NetworkPolicyList;
        getResource(groupVersionKind: "extensions/v1beta1/NetworkPolicyList", namespace: string, name: string): extensions.v1beta1.NetworkPolicyList;
        getResource(groupVersionKind: "extensions/v1beta1/PodSecurityPolicy", name: string): extensions.v1beta1.PodSecurityPolicy;
        getResource(groupVersionKind: "extensions/v1beta1/PodSecurityPolicy", namespace: string, name: string): extensions.v1beta1.PodSecurityPolicy;
        getResource(groupVersionKind: "extensions/v1beta1/PodSecurityPolicyList", name: string): extensions.v1beta1.PodSecurityPolicyList;
        getResource(groupVersionKind: "extensions/v1beta1/PodSecurityPolicyList", namespace: string, name: string): extensions.v1beta1.PodSecurityPolicyList;
        getResource(groupVersionKind: "extensions/v1beta1/ReplicaSet", name: string): extensions.v1beta1.ReplicaSet;
        getResource(groupVersionKind: "extensions/v1beta1/ReplicaSet", namespace: string, name: string): extensions.v1beta1.ReplicaSet;
        getResource(groupVersionKind: "extensions/v1beta1/ReplicaSetList", name: string): extensions.v1beta1.ReplicaSetList;
        getResource(groupVersionKind: "extensions/v1beta1/ReplicaSetList", namespace: string, name: string): extensions.v1beta1.ReplicaSetList;
        getResource(groupVersionKind: "extensions/v1beta1/Scale", name: string): extensions.v1beta1.Scale;
        getResource(groupVersionKind: "extensions/v1beta1/Scale", namespace: string, name: string): extensions.v1beta1.Scale;
        getResource(groupVersionKind: "v1/APIGroup", name: string): meta.v1.APIGroup;
        getResource(groupVersionKind: "v1/APIGroup", namespace: string, name: string): meta.v1.APIGroup;
        getResource(groupVersionKind: "v1/APIGroupList", name: string): meta.v1.APIGroupList;
        getResource(groupVersionKind: "v1/APIGroupList", namespace: string, name: string): meta.v1.APIGroupList;
        getResource(groupVersionKind: "v1/APIResourceList", name: string): meta.v1.APIResourceList;
        getResource(groupVersionKind: "v1/APIResourceList", namespace: string, name: string): meta.v1.APIResourceList;
        getResource(groupVersionKind: "v1/APIVersions", name: string): meta.v1.APIVersions;
        getResource(groupVersionKind: "v1/APIVersions", namespace: string, name: string): meta.v1.APIVersions;
        getResource(groupVersionKind: "v1/DeleteOptions", name: string): meta.v1.DeleteOptions;
        getResource(groupVersionKind: "v1/DeleteOptions", namespace: string, name: string): meta.v1.DeleteOptions;
        getResource(groupVersionKind: "meta/v1/OwnerReference", name: string): meta.v1.OwnerReference;
        getResource(groupVersionKind: "meta/v1/OwnerReference", namespace: string, name: string): meta.v1.OwnerReference;
        getResource(groupVersionKind: "v1/Status", name: string): meta.v1.Status;
        getResource(groupVersionKind: "v1/Status", namespace: string, name: string): meta.v1.Status;
        getResource(groupVersionKind: "networking.k8s.io/v1/NetworkPolicy", name: string): networking.v1.NetworkPolicy;
        getResource(groupVersionKind: "networking.k8s.io/v1/NetworkPolicy", namespace: string, name: string): networking.v1.NetworkPolicy;
        getResource(groupVersionKind: "networking.k8s.io/v1/NetworkPolicyList", name: string): networking.v1.NetworkPolicyList;
        getResource(groupVersionKind: "networking.k8s.io/v1/NetworkPolicyList", namespace: string, name: string): networking.v1.NetworkPolicyList;
        getResource(groupVersionKind: "policy/v1beta1/Eviction", name: string): policy.v1beta1.Eviction;
        getResource(groupVersionKind: "policy/v1beta1/Eviction", namespace: string, name: string): policy.v1beta1.Eviction;
        getResource(groupVersionKind: "policy/v1beta1/PodDisruptionBudget", name: string): policy.v1beta1.PodDisruptionBudget;
        getResource(groupVersionKind: "policy/v1beta1/PodDisruptionBudget", namespace: string, name: string): policy.v1beta1.PodDisruptionBudget;
        getResource(groupVersionKind: "policy/v1beta1/PodDisruptionBudgetList", name: string): policy.v1beta1.PodDisruptionBudgetList;
        getResource(groupVersionKind: "policy/v1beta1/PodDisruptionBudgetList", namespace: string, name: string): policy.v1beta1.PodDisruptionBudgetList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1/ClusterRole", name: string): rbac.v1.ClusterRole;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1/ClusterRole", namespace: string, name: string): rbac.v1.ClusterRole;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1/ClusterRoleBinding", name: string): rbac.v1.ClusterRoleBinding;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1/ClusterRoleBinding", namespace: string, name: string): rbac.v1.ClusterRoleBinding;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1/ClusterRoleBindingList", name: string): rbac.v1.ClusterRoleBindingList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1/ClusterRoleBindingList", namespace: string, name: string): rbac.v1.ClusterRoleBindingList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1/ClusterRoleList", name: string): rbac.v1.ClusterRoleList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1/ClusterRoleList", namespace: string, name: string): rbac.v1.ClusterRoleList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1/Role", name: string): rbac.v1.Role;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1/Role", namespace: string, name: string): rbac.v1.Role;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1/RoleBinding", name: string): rbac.v1.RoleBinding;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1/RoleBinding", namespace: string, name: string): rbac.v1.RoleBinding;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1/RoleBindingList", name: string): rbac.v1.RoleBindingList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1/RoleBindingList", namespace: string, name: string): rbac.v1.RoleBindingList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1/RoleList", name: string): rbac.v1.RoleList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1/RoleList", namespace: string, name: string): rbac.v1.RoleList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1alpha1/ClusterRole", name: string): rbac.v1alpha1.ClusterRole;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1alpha1/ClusterRole", namespace: string, name: string): rbac.v1alpha1.ClusterRole;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1alpha1/ClusterRoleBinding", name: string): rbac.v1alpha1.ClusterRoleBinding;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1alpha1/ClusterRoleBinding", namespace: string, name: string): rbac.v1alpha1.ClusterRoleBinding;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1alpha1/ClusterRoleBindingList", name: string): rbac.v1alpha1.ClusterRoleBindingList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1alpha1/ClusterRoleBindingList", namespace: string, name: string): rbac.v1alpha1.ClusterRoleBindingList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1alpha1/ClusterRoleList", name: string): rbac.v1alpha1.ClusterRoleList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1alpha1/ClusterRoleList", namespace: string, name: string): rbac.v1alpha1.ClusterRoleList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1alpha1/Role", name: string): rbac.v1alpha1.Role;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1alpha1/Role", namespace: string, name: string): rbac.v1alpha1.Role;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1alpha1/RoleBinding", name: string): rbac.v1alpha1.RoleBinding;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1alpha1/RoleBinding", namespace: string, name: string): rbac.v1alpha1.RoleBinding;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1alpha1/RoleBindingList", name: string): rbac.v1alpha1.RoleBindingList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1alpha1/RoleBindingList", namespace: string, name: string): rbac.v1alpha1.RoleBindingList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1alpha1/RoleList", name: string): rbac.v1alpha1.RoleList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1alpha1/RoleList", namespace: string, name: string): rbac.v1alpha1.RoleList;
        getResource(groupVersionKind: "rbac/v1alpha1/Subject", name: string): rbac.v1alpha1.Subject;
        getResource(groupVersionKind: "rbac/v1alpha1/Subject", namespace: string, name: string): rbac.v1alpha1.Subject;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1beta1/ClusterRole", name: string): rbac.v1beta1.ClusterRole;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1beta1/ClusterRole", namespace: string, name: string): rbac.v1beta1.ClusterRole;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1beta1/ClusterRoleBinding", name: string): rbac.v1beta1.ClusterRoleBinding;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1beta1/ClusterRoleBinding", namespace: string, name: string): rbac.v1beta1.ClusterRoleBinding;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1beta1/ClusterRoleBindingList", name: string): rbac.v1beta1.ClusterRoleBindingList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1beta1/ClusterRoleBindingList", namespace: string, name: string): rbac.v1beta1.ClusterRoleBindingList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1beta1/ClusterRoleList", name: string): rbac.v1beta1.ClusterRoleList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1beta1/ClusterRoleList", namespace: string, name: string): rbac.v1beta1.ClusterRoleList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1beta1/Role", name: string): rbac.v1beta1.Role;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1beta1/Role", namespace: string, name: string): rbac.v1beta1.Role;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1beta1/RoleBinding", name: string): rbac.v1beta1.RoleBinding;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1beta1/RoleBinding", namespace: string, name: string): rbac.v1beta1.RoleBinding;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1beta1/RoleBindingList", name: string): rbac.v1beta1.RoleBindingList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1beta1/RoleBindingList", namespace: string, name: string): rbac.v1beta1.RoleBindingList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1beta1/RoleList", name: string): rbac.v1beta1.RoleList;
        getResource(groupVersionKind: "rbac.authorization.k8s.io/v1beta1/RoleList", namespace: string, name: string): rbac.v1beta1.RoleList;
        getResource(groupVersionKind: "scheduling.k8s.io/v1alpha1/PriorityClass", name: string): scheduling.v1alpha1.PriorityClass;
        getResource(groupVersionKind: "scheduling.k8s.io/v1alpha1/PriorityClass", namespace: string, name: string): scheduling.v1alpha1.PriorityClass;
        getResource(groupVersionKind: "scheduling.k8s.io/v1alpha1/PriorityClassList", name: string): scheduling.v1alpha1.PriorityClassList;
        getResource(groupVersionKind: "scheduling.k8s.io/v1alpha1/PriorityClassList", namespace: string, name: string): scheduling.v1alpha1.PriorityClassList;
        getResource(groupVersionKind: "settings.k8s.io/v1alpha1/PodPreset", name: string): settings.v1alpha1.PodPreset;
        getResource(groupVersionKind: "settings.k8s.io/v1alpha1/PodPreset", namespace: string, name: string): settings.v1alpha1.PodPreset;
        getResource(groupVersionKind: "settings.k8s.io/v1alpha1/PodPresetList", name: string): settings.v1alpha1.PodPresetList;
        getResource(groupVersionKind: "settings.k8s.io/v1alpha1/PodPresetList", namespace: string, name: string): settings.v1alpha1.PodPresetList;
        getResource(groupVersionKind: "storage.k8s.io/v1/StorageClass", name: string): storage.v1.StorageClass;
        getResource(groupVersionKind: "storage.k8s.io/v1/StorageClass", namespace: string, name: string): storage.v1.StorageClass;
        getResource(groupVersionKind: "storage.k8s.io/v1/StorageClassList", name: string): storage.v1.StorageClassList;
        getResource(groupVersionKind: "storage.k8s.io/v1/StorageClassList", namespace: string, name: string): storage.v1.StorageClassList;
        getResource(groupVersionKind: "storage.k8s.io/v1alpha1/VolumeAttachment", name: string): storage.v1alpha1.VolumeAttachment;
        getResource(groupVersionKind: "storage.k8s.io/v1alpha1/VolumeAttachment", namespace: string, name: string): storage.v1alpha1.VolumeAttachment;
        getResource(groupVersionKind: "storage.k8s.io/v1alpha1/VolumeAttachmentList", name: string): storage.v1alpha1.VolumeAttachmentList;
        getResource(groupVersionKind: "storage.k8s.io/v1alpha1/VolumeAttachmentList", namespace: string, name: string): storage.v1alpha1.VolumeAttachmentList;
        getResource(groupVersionKind: "storage.k8s.io/v1beta1/StorageClass", name: string): storage.v1beta1.StorageClass;
        getResource(groupVersionKind: "storage.k8s.io/v1beta1/StorageClass", namespace: string, name: string): storage.v1beta1.StorageClass;
        getResource(groupVersionKind: "storage.k8s.io/v1beta1/StorageClassList", name: string): storage.v1beta1.StorageClassList;
        getResource(groupVersionKind: "storage.k8s.io/v1beta1/StorageClassList", namespace: string, name: string): storage.v1beta1.StorageClassList;
        /**
         * getCustomResource returns a resource defined by a CRD with the given group/version/kind and name.
         *
         * For example:
         *     getCustomResource("monitoring.coreos.com/v1/ServiceMonitor", "kube-prometheus-exporter-kubernetes")
         */
        getCustomResource<T extends pulumi.CustomResource>(groupVersionKind: string, namespace: string): T;
        getCustomResource<T extends pulumi.CustomResource>(groupVersionKind: string, namespace: string, name: string): T;
        private getResourceImpl;
    }
    /**
     * ConfigGroup creates a set of Kubernetes resources from Kubernetes YAML text. The YAML text
     * may be supplied using any of the following `ConfigGroupOpts`:
     *
     *   1. Using a filename or a list of filenames:
     *        a. `{files: "foo.yaml"}`
     *        b. `{files: ["foo.yaml", "bar.yaml"]}`
     *   2. Using a file pattern or a list of file patterns:
     *        a. `{files: "*.yaml"}`
     *        b. `{files: ["foo/*.yaml", "bar/*.yaml"]}`
     *   3. Using a literal string containing YAML, or a list of such strings:
     *        a. `{yaml: "(LITERAL YAML HERE)"}`
     *        b. `{yaml: ["(LITERAL YAML HERE)", "(MORE YAML)"]}`
     *   4. Any combination of files, patterns, or YAML strings:
     *        a. `{files: "foo.yaml", yaml: "(LITERAL YAML HERE)"}`
     */
    class ConfigGroup extends CollectionComponentResource {
        constructor(name: string, config: ConfigGroupOpts, opts?: pulumi.ComponentResourceOptions);
    }
    /**
     * ConfigFile creates a set of Kubernetes resources from Kubernetes YAML file. If `config.name`
     * is not specified, `ConfigFile` assumes the argument `name` is the filename.
     */
    class ConfigFile extends CollectionComponentResource {
        constructor(name: string, config?: ConfigFileOpts, opts?: pulumi.ComponentResourceOptions);
    }
}
export declare namespace apiextensions {
    /**
     * CustomResourceArgs represents a resource definiton we'd use to create an instance of a
     * Kubernetes CustomResourceDefinition (CRD). For example, the CoreOS Prometheus operator
     * exposes a CRD `monitoring.coreos.com/ServiceMonitor`; to create a `ServiceMonitor`, we'd
     * pass a `CustomResourceArgs` containing the `ServiceMonitor` definition to
     * `apiextensions.CustomResource`.
     *
     * NOTE: This type is fairly loose, since other than `apiVersion` and `kind`, there are no
     * fields required across all CRDs.
     */
    interface CustomResourceArgs {
        apiVersion: pulumi.Input<string>;
        kind: pulumi.Input<string>;
        metadata?: pulumi.Input<inputApi.meta.v1.ObjectMeta>;
        [othersFields: string]: pulumi.Input<any>;
    }
    /**
     * CustomResource represents an instance of a CustomResourceDefinition (CRD). For example, the
     * CoreOS Prometheus operator exposes a CRD `monitoring.coreos.com/ServiceMonitor`; to
     * instantiate this as a Pulumi resource, one could call `new CustomResource`, passing the
     * `ServiceMonitor` resource definition as an argument.
     */
    class CustomResource extends pulumi.CustomResource {
        /**
         * APIVersion defines the versioned schema of this representation of an object. Servers should
         * convert recognized schemas to the latest internal value, and may reject unrecognized
         * values. More info:
         * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
         */
        readonly apiVersion: pulumi.Output<string>;
        /**
         * Kind is a string value representing the REST resource this object represents. Servers may
         * infer this from the endpoint the client submits requests to. Cannot be updated. In
         * CamelCase. More info:
         * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
         */
        readonly kind: pulumi.Output<string>;
        /**
         * Standard object metadata; More info:
         * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.
         */
        readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
        getInputs(): CustomResourceArgs;
        private readonly __inputs;
        /**
        * Create a CustomResource resource with the given unique name, arguments, and options.
        *
        * @param name The _unique_ name of the resource.
        * @param args The arguments to use to populate this resource's properties.
        * @param opts A bag of options that control this resource's behavior.
        */
        constructor(name: string, args: CustomResourceArgs, opts?: pulumi.CustomResourceOptions);
    }
}
/**
 * The provider type for the kubernetes package.
 */
export declare class Provider extends pulumi.ProviderResource {
    /**
     * Create a Provider resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: ProviderArgs, opts?: pulumi.ResourceOptions);
}
/**
 * The set of arguments for constructing a Provider.
 */
export interface ProviderArgs {
    /**
     * If present, the name of the kubeconfig cluster to use.
     */
    readonly cluster?: pulumi.Input<string>;
    /**
     * If present, the name of the kubeconfig context to use.
     */
    readonly context?: pulumi.Input<string>;
    /**
     * The contents of a kubeconfig file. If this is set, this config will be used instead of $KUBECONFIG.
     */
    readonly kubeconfig?: pulumi.Input<string>;
    /**
     * If present, the namespace scope to use.
     */
    readonly namespace?: pulumi.Input<string>;
}
export declare namespace admissionregistration {
    namespace v1alpha1 {
        /**
         * InitializerConfiguration describes the configuration of initializers.
         */
        class InitializerConfiguration extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Initializers is a list of resources and their default initializers Order-sensitive. When
             * merging multiple InitializerConfigurations, we sort the initializers from different
             * InitializerConfigurations by the name of the InitializerConfigurations; the order of the
             * initializers from the same InitializerConfiguration is preserved.
             */
            readonly initializers: pulumi.Output<outputApi.admissionregistration.v1alpha1.Initializer[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object metadata; More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Get the state of an existing `InitializerConfiguration` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): InitializerConfiguration;
            getInputs(): inputApi.admissionregistration.v1alpha1.InitializerConfiguration;
            private readonly __inputs;
            /**
            * Create a admissionregistration.v1alpha1.InitializerConfiguration resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.admissionregistration.v1alpha1.InitializerConfiguration, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * InitializerConfigurationList is a list of InitializerConfiguration.
         */
        class InitializerConfigurationList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of InitializerConfiguration.
             */
            readonly items: pulumi.Output<outputApi.admissionregistration.v1alpha1.InitializerConfiguration[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `InitializerConfigurationList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): InitializerConfigurationList;
            getInputs(): inputApi.admissionregistration.v1alpha1.InitializerConfigurationList;
            private readonly __inputs;
            /**
            * Create a admissionregistration.v1alpha1.InitializerConfigurationList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.admissionregistration.v1alpha1.InitializerConfigurationList, opts?: pulumi.CustomResourceOptions);
        }
    }
    namespace v1beta1 {
        /**
         * MutatingWebhookConfiguration describes the configuration of and admission webhook that accept
         * or reject and may change the object.
         */
        class MutatingWebhookConfiguration extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object metadata; More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Webhooks is a list of webhooks and the affected resources and operations.
             */
            readonly webhooks: pulumi.Output<outputApi.admissionregistration.v1beta1.Webhook[]>;
            /**
             * Get the state of an existing `MutatingWebhookConfiguration` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): MutatingWebhookConfiguration;
            getInputs(): inputApi.admissionregistration.v1beta1.MutatingWebhookConfiguration;
            private readonly __inputs;
            /**
            * Create a admissionregistration.v1beta1.MutatingWebhookConfiguration resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.admissionregistration.v1beta1.MutatingWebhookConfiguration, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * MutatingWebhookConfigurationList is a list of MutatingWebhookConfiguration.
         */
        class MutatingWebhookConfigurationList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of MutatingWebhookConfiguration.
             */
            readonly items: pulumi.Output<outputApi.admissionregistration.v1beta1.MutatingWebhookConfiguration[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `MutatingWebhookConfigurationList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): MutatingWebhookConfigurationList;
            getInputs(): inputApi.admissionregistration.v1beta1.MutatingWebhookConfigurationList;
            private readonly __inputs;
            /**
            * Create a admissionregistration.v1beta1.MutatingWebhookConfigurationList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.admissionregistration.v1beta1.MutatingWebhookConfigurationList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ValidatingWebhookConfiguration describes the configuration of and admission webhook that
         * accept or reject and object without changing it.
         */
        class ValidatingWebhookConfiguration extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object metadata; More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Webhooks is a list of webhooks and the affected resources and operations.
             */
            readonly webhooks: pulumi.Output<outputApi.admissionregistration.v1beta1.Webhook[]>;
            /**
             * Get the state of an existing `ValidatingWebhookConfiguration` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ValidatingWebhookConfiguration;
            getInputs(): inputApi.admissionregistration.v1beta1.ValidatingWebhookConfiguration;
            private readonly __inputs;
            /**
            * Create a admissionregistration.v1beta1.ValidatingWebhookConfiguration resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.admissionregistration.v1beta1.ValidatingWebhookConfiguration, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ValidatingWebhookConfigurationList is a list of ValidatingWebhookConfiguration.
         */
        class ValidatingWebhookConfigurationList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of ValidatingWebhookConfiguration.
             */
            readonly items: pulumi.Output<outputApi.admissionregistration.v1beta1.ValidatingWebhookConfiguration[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ValidatingWebhookConfigurationList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ValidatingWebhookConfigurationList;
            getInputs(): inputApi.admissionregistration.v1beta1.ValidatingWebhookConfigurationList;
            private readonly __inputs;
            /**
            * Create a admissionregistration.v1beta1.ValidatingWebhookConfigurationList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.admissionregistration.v1beta1.ValidatingWebhookConfigurationList, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace apiextensions {
    namespace v1beta1 {
        /**
         * CustomResourceDefinition represents a resource that should be exposed on the API server.  Its
         * name MUST be in the format <.spec.name>.<.spec.group>.
         */
        class CustomResourceDefinition extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec describes how the user wants the resources to appear
             */
            readonly spec: pulumi.Output<outputApi.apiextensions.v1beta1.CustomResourceDefinitionSpec>;
            /**
             * Status indicates the actual state of the CustomResourceDefinition
             */
            readonly status: pulumi.Output<outputApi.apiextensions.v1beta1.CustomResourceDefinitionStatus>;
            /**
             * Get the state of an existing `CustomResourceDefinition` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): CustomResourceDefinition;
            getInputs(): inputApi.apiextensions.v1beta1.CustomResourceDefinition;
            private readonly __inputs;
            /**
            * Create a apiextensions.v1beta1.CustomResourceDefinition resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apiextensions.v1beta1.CustomResourceDefinition, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * CustomResourceDefinitionList is a list of CustomResourceDefinition objects.
         */
        class CustomResourceDefinitionList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items individual CustomResourceDefinitions
             */
            readonly items: pulumi.Output<outputApi.apiextensions.v1beta1.CustomResourceDefinition[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `CustomResourceDefinitionList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): CustomResourceDefinitionList;
            getInputs(): inputApi.apiextensions.v1beta1.CustomResourceDefinitionList;
            private readonly __inputs;
            /**
            * Create a apiextensions.v1beta1.CustomResourceDefinitionList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apiextensions.v1beta1.CustomResourceDefinitionList, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace apiregistration {
    namespace v1beta1 {
        /**
         * APIService represents a server for a particular GroupVersion. Name must be "version.group".
         */
        class APIService extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec contains information for locating and communicating with a server
             */
            readonly spec: pulumi.Output<outputApi.apiregistration.v1beta1.APIServiceSpec>;
            /**
             * Status contains derived information about an API server
             */
            readonly status: pulumi.Output<outputApi.apiregistration.v1beta1.APIServiceStatus>;
            /**
             * Get the state of an existing `APIService` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): APIService;
            getInputs(): inputApi.apiregistration.v1beta1.APIService;
            private readonly __inputs;
            /**
            * Create a apiregistration.v1beta1.APIService resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apiregistration.v1beta1.APIService, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * APIServiceList is a list of APIService objects.
         */
        class APIServiceList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            readonly items: pulumi.Output<outputApi.apiregistration.v1beta1.APIService[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `APIServiceList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): APIServiceList;
            getInputs(): inputApi.apiregistration.v1beta1.APIServiceList;
            private readonly __inputs;
            /**
            * Create a apiregistration.v1beta1.APIServiceList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apiregistration.v1beta1.APIServiceList, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace apps {
    namespace v1 {
        /**
         * ControllerRevision implements an immutable snapshot of state data. Clients are responsible
         * for serializing and deserializing the objects that contain their internal state. Once a
         * ControllerRevision has been successfully created, it can not be updated. The API Server will
         * fail validation of all requests that attempt to mutate the Data field. ControllerRevisions
         * may, however, be deleted. Note that, due to its use by both the DaemonSet and StatefulSet
         * controllers for update and rollback, this object is beta. However, it may be subject to name
         * and representation changes in future releases, and clients should not depend on its
         * stability. It is primarily for internal use by controllers.
         */
        class ControllerRevision extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Data is the serialized representation of the state.
             */
            readonly data: pulumi.Output<outputApi.pkg.runtime.RawExtension>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Revision indicates the revision of the state represented by Data.
             */
            readonly revision: pulumi.Output<number>;
            /**
             * Get the state of an existing `ControllerRevision` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ControllerRevision;
            getInputs(): inputApi.apps.v1.ControllerRevision;
            private readonly __inputs;
            /**
            * Create a apps.v1.ControllerRevision resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1.ControllerRevision, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ControllerRevisionList is a resource containing a list of ControllerRevision objects.
         */
        class ControllerRevisionList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is the list of ControllerRevisions
             */
            readonly items: pulumi.Output<outputApi.apps.v1.ControllerRevision[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ControllerRevisionList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ControllerRevisionList;
            getInputs(): inputApi.apps.v1.ControllerRevisionList;
            private readonly __inputs;
            /**
            * Create a apps.v1.ControllerRevisionList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1.ControllerRevisionList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DaemonSet represents the configuration of a daemon set.
         */
        class DaemonSet extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * The desired behavior of this daemon set. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.apps.v1.DaemonSetSpec>;
            /**
             * The current status of this daemon set. This data may be out of date by some window of time.
             * Populated by the system. Read-only. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<outputApi.apps.v1.DaemonSetStatus>;
            /**
             * Get the state of an existing `DaemonSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): DaemonSet;
            getInputs(): inputApi.apps.v1.DaemonSet;
            private readonly __inputs;
            /**
            * Create a apps.v1.DaemonSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1.DaemonSet, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DaemonSetList is a collection of daemon sets.
         */
        class DaemonSetList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * A list of daemon sets.
             */
            readonly items: pulumi.Output<outputApi.apps.v1.DaemonSet[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `DaemonSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): DaemonSetList;
            getInputs(): inputApi.apps.v1.DaemonSetList;
            private readonly __inputs;
            /**
            * Create a apps.v1.DaemonSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1.DaemonSetList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Deployment enables declarative updates for Pods and ReplicaSets.
         */
        class Deployment extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Specification of the desired behavior of the Deployment.
             */
            readonly spec: pulumi.Output<outputApi.apps.v1.DeploymentSpec>;
            /**
             * Most recently observed status of the Deployment.
             */
            readonly status: pulumi.Output<outputApi.apps.v1.DeploymentStatus>;
            /**
             * Get the state of an existing `Deployment` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Deployment;
            getInputs(): inputApi.apps.v1.Deployment;
            private readonly __inputs;
            /**
            * Create a apps.v1.Deployment resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1.Deployment, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DeploymentList is a list of Deployments.
         */
        class DeploymentList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is the list of Deployments.
             */
            readonly items: pulumi.Output<outputApi.apps.v1.Deployment[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `DeploymentList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): DeploymentList;
            getInputs(): inputApi.apps.v1.DeploymentList;
            private readonly __inputs;
            /**
            * Create a apps.v1.DeploymentList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1.DeploymentList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ReplicaSet ensures that a specified number of pod replicas are running at any given time.
         */
        class ReplicaSet extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s)
             * that the ReplicaSet manages. Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec defines the specification of the desired behavior of the ReplicaSet. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.apps.v1.ReplicaSetSpec>;
            /**
             * Status is the most recently observed status of the ReplicaSet. This data may be out of date
             * by some window of time. Populated by the system. Read-only. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<outputApi.apps.v1.ReplicaSetStatus>;
            /**
             * Get the state of an existing `ReplicaSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ReplicaSet;
            getInputs(): inputApi.apps.v1.ReplicaSet;
            private readonly __inputs;
            /**
            * Create a apps.v1.ReplicaSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1.ReplicaSet, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ReplicaSetList is a collection of ReplicaSets.
         */
        class ReplicaSetList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of ReplicaSets. More info:
             * https://kubernetes.io/docs/concepts/workloads/controllers/replicationcontroller
             */
            readonly items: pulumi.Output<outputApi.apps.v1.ReplicaSet[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ReplicaSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ReplicaSetList;
            getInputs(): inputApi.apps.v1.ReplicaSetList;
            private readonly __inputs;
            /**
            * Create a apps.v1.ReplicaSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1.ReplicaSetList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * StatefulSet represents a set of pods with consistent identities. Identities are defined as:
         *  - Network: A single stable DNS and hostname.
         *  - Storage: As many VolumeClaims as requested.
         * The StatefulSet guarantees that a given network identity will always map to the same storage
         * identity.
         */
        class StatefulSet extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec defines the desired identities of pods in this set.
             */
            readonly spec: pulumi.Output<outputApi.apps.v1.StatefulSetSpec>;
            /**
             * Status is the current status of Pods in this StatefulSet. This data may be out of date by
             * some window of time.
             */
            readonly status: pulumi.Output<outputApi.apps.v1.StatefulSetStatus>;
            /**
             * Get the state of an existing `StatefulSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): StatefulSet;
            getInputs(): inputApi.apps.v1.StatefulSet;
            private readonly __inputs;
            /**
            * Create a apps.v1.StatefulSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1.StatefulSet, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * StatefulSetList is a collection of StatefulSets.
         */
        class StatefulSetList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            readonly items: pulumi.Output<outputApi.apps.v1.StatefulSet[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `StatefulSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): StatefulSetList;
            getInputs(): inputApi.apps.v1.StatefulSetList;
            private readonly __inputs;
            /**
            * Create a apps.v1.StatefulSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1.StatefulSetList, opts?: pulumi.CustomResourceOptions);
        }
    }
    namespace v1beta1 {
        /**
         * DEPRECATED - This group version of ControllerRevision is deprecated by
         * apps/v1beta2/ControllerRevision. See the release notes for more information.
         * ControllerRevision implements an immutable snapshot of state data. Clients are responsible
         * for serializing and deserializing the objects that contain their internal state. Once a
         * ControllerRevision has been successfully created, it can not be updated. The API Server will
         * fail validation of all requests that attempt to mutate the Data field. ControllerRevisions
         * may, however, be deleted. Note that, due to its use by both the DaemonSet and StatefulSet
         * controllers for update and rollback, this object is beta. However, it may be subject to name
         * and representation changes in future releases, and clients should not depend on its
         * stability. It is primarily for internal use by controllers.
         */
        class ControllerRevision extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Data is the serialized representation of the state.
             */
            readonly data: pulumi.Output<outputApi.pkg.runtime.RawExtension>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Revision indicates the revision of the state represented by Data.
             */
            readonly revision: pulumi.Output<number>;
            /**
             * Get the state of an existing `ControllerRevision` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ControllerRevision;
            getInputs(): inputApi.apps.v1beta1.ControllerRevision;
            private readonly __inputs;
            /**
            * Create a apps.v1beta1.ControllerRevision resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta1.ControllerRevision, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ControllerRevisionList is a resource containing a list of ControllerRevision objects.
         */
        class ControllerRevisionList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is the list of ControllerRevisions
             */
            readonly items: pulumi.Output<outputApi.apps.v1beta1.ControllerRevision[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ControllerRevisionList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ControllerRevisionList;
            getInputs(): inputApi.apps.v1beta1.ControllerRevisionList;
            private readonly __inputs;
            /**
            * Create a apps.v1beta1.ControllerRevisionList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta1.ControllerRevisionList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DEPRECATED - This group version of Deployment is deprecated by apps/v1beta2/Deployment. See
         * the release notes for more information. Deployment enables declarative updates for Pods and
         * ReplicaSets.
         */
        class Deployment extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Specification of the desired behavior of the Deployment.
             */
            readonly spec: pulumi.Output<outputApi.apps.v1beta1.DeploymentSpec>;
            /**
             * Most recently observed status of the Deployment.
             */
            readonly status: pulumi.Output<outputApi.apps.v1beta1.DeploymentStatus>;
            /**
             * Get the state of an existing `Deployment` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Deployment;
            getInputs(): inputApi.apps.v1beta1.Deployment;
            private readonly __inputs;
            /**
            * Create a apps.v1beta1.Deployment resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta1.Deployment, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DeploymentList is a list of Deployments.
         */
        class DeploymentList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is the list of Deployments.
             */
            readonly items: pulumi.Output<outputApi.apps.v1beta1.Deployment[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `DeploymentList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): DeploymentList;
            getInputs(): inputApi.apps.v1beta1.DeploymentList;
            private readonly __inputs;
            /**
            * Create a apps.v1beta1.DeploymentList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta1.DeploymentList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DEPRECATED. DeploymentRollback stores the information required to rollback a deployment.
         */
        class DeploymentRollback extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Required: This must match the Name of a deployment.
             */
            readonly name: pulumi.Output<string>;
            /**
             * The config of this deployment rollback.
             */
            readonly rollbackTo: pulumi.Output<outputApi.apps.v1beta1.RollbackConfig>;
            /**
             * The annotations to be updated to a deployment
             */
            readonly updatedAnnotations: pulumi.Output<{
                [key: string]: pulumi.Output<string>;
            }>;
            /**
             * Get the state of an existing `DeploymentRollback` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): DeploymentRollback;
            getInputs(): inputApi.apps.v1beta1.DeploymentRollback;
            private readonly __inputs;
            /**
            * Create a apps.v1beta1.DeploymentRollback resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta1.DeploymentRollback, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Scale represents a scaling request for a resource.
         */
        class Scale extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object metadata; More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * defines the behavior of the scale. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.
             */
            readonly spec: pulumi.Output<outputApi.apps.v1beta1.ScaleSpec>;
            /**
             * current status of the scale. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.
             * Read-only.
             */
            readonly status: pulumi.Output<outputApi.apps.v1beta1.ScaleStatus>;
            /**
             * Get the state of an existing `Scale` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Scale;
            getInputs(): inputApi.apps.v1beta1.Scale;
            private readonly __inputs;
            /**
            * Create a apps.v1beta1.Scale resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta1.Scale, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DEPRECATED - This group version of StatefulSet is deprecated by apps/v1beta2/StatefulSet. See
         * the release notes for more information. StatefulSet represents a set of pods with consistent
         * identities. Identities are defined as:
         *  - Network: A single stable DNS and hostname.
         *  - Storage: As many VolumeClaims as requested.
         * The StatefulSet guarantees that a given network identity will always map to the same storage
         * identity.
         */
        class StatefulSet extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec defines the desired identities of pods in this set.
             */
            readonly spec: pulumi.Output<outputApi.apps.v1beta1.StatefulSetSpec>;
            /**
             * Status is the current status of Pods in this StatefulSet. This data may be out of date by
             * some window of time.
             */
            readonly status: pulumi.Output<outputApi.apps.v1beta1.StatefulSetStatus>;
            /**
             * Get the state of an existing `StatefulSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): StatefulSet;
            getInputs(): inputApi.apps.v1beta1.StatefulSet;
            private readonly __inputs;
            /**
            * Create a apps.v1beta1.StatefulSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta1.StatefulSet, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * StatefulSetList is a collection of StatefulSets.
         */
        class StatefulSetList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            readonly items: pulumi.Output<outputApi.apps.v1beta1.StatefulSet[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `StatefulSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): StatefulSetList;
            getInputs(): inputApi.apps.v1beta1.StatefulSetList;
            private readonly __inputs;
            /**
            * Create a apps.v1beta1.StatefulSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta1.StatefulSetList, opts?: pulumi.CustomResourceOptions);
        }
    }
    namespace v1beta2 {
        /**
         * DEPRECATED - This group version of ControllerRevision is deprecated by
         * apps/v1/ControllerRevision. See the release notes for more information. ControllerRevision
         * implements an immutable snapshot of state data. Clients are responsible for serializing and
         * deserializing the objects that contain their internal state. Once a ControllerRevision has
         * been successfully created, it can not be updated. The API Server will fail validation of all
         * requests that attempt to mutate the Data field. ControllerRevisions may, however, be deleted.
         * Note that, due to its use by both the DaemonSet and StatefulSet controllers for update and
         * rollback, this object is beta. However, it may be subject to name and representation changes
         * in future releases, and clients should not depend on its stability. It is primarily for
         * internal use by controllers.
         */
        class ControllerRevision extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Data is the serialized representation of the state.
             */
            readonly data: pulumi.Output<outputApi.pkg.runtime.RawExtension>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Revision indicates the revision of the state represented by Data.
             */
            readonly revision: pulumi.Output<number>;
            /**
             * Get the state of an existing `ControllerRevision` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ControllerRevision;
            getInputs(): inputApi.apps.v1beta2.ControllerRevision;
            private readonly __inputs;
            /**
            * Create a apps.v1beta2.ControllerRevision resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta2.ControllerRevision, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ControllerRevisionList is a resource containing a list of ControllerRevision objects.
         */
        class ControllerRevisionList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is the list of ControllerRevisions
             */
            readonly items: pulumi.Output<outputApi.apps.v1beta2.ControllerRevision[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ControllerRevisionList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ControllerRevisionList;
            getInputs(): inputApi.apps.v1beta2.ControllerRevisionList;
            private readonly __inputs;
            /**
            * Create a apps.v1beta2.ControllerRevisionList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta2.ControllerRevisionList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DEPRECATED - This group version of DaemonSet is deprecated by apps/v1/DaemonSet. See the
         * release notes for more information. DaemonSet represents the configuration of a daemon set.
         */
        class DaemonSet extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * The desired behavior of this daemon set. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.apps.v1beta2.DaemonSetSpec>;
            /**
             * The current status of this daemon set. This data may be out of date by some window of time.
             * Populated by the system. Read-only. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<outputApi.apps.v1beta2.DaemonSetStatus>;
            /**
             * Get the state of an existing `DaemonSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): DaemonSet;
            getInputs(): inputApi.apps.v1beta2.DaemonSet;
            private readonly __inputs;
            /**
            * Create a apps.v1beta2.DaemonSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta2.DaemonSet, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DaemonSetList is a collection of daemon sets.
         */
        class DaemonSetList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * A list of daemon sets.
             */
            readonly items: pulumi.Output<outputApi.apps.v1beta2.DaemonSet[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `DaemonSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): DaemonSetList;
            getInputs(): inputApi.apps.v1beta2.DaemonSetList;
            private readonly __inputs;
            /**
            * Create a apps.v1beta2.DaemonSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta2.DaemonSetList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DEPRECATED - This group version of Deployment is deprecated by apps/v1/Deployment. See the
         * release notes for more information. Deployment enables declarative updates for Pods and
         * ReplicaSets.
         */
        class Deployment extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Specification of the desired behavior of the Deployment.
             */
            readonly spec: pulumi.Output<outputApi.apps.v1beta2.DeploymentSpec>;
            /**
             * Most recently observed status of the Deployment.
             */
            readonly status: pulumi.Output<outputApi.apps.v1beta2.DeploymentStatus>;
            /**
             * Get the state of an existing `Deployment` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Deployment;
            getInputs(): inputApi.apps.v1beta2.Deployment;
            private readonly __inputs;
            /**
            * Create a apps.v1beta2.Deployment resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta2.Deployment, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DeploymentList is a list of Deployments.
         */
        class DeploymentList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is the list of Deployments.
             */
            readonly items: pulumi.Output<outputApi.apps.v1beta2.Deployment[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `DeploymentList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): DeploymentList;
            getInputs(): inputApi.apps.v1beta2.DeploymentList;
            private readonly __inputs;
            /**
            * Create a apps.v1beta2.DeploymentList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta2.DeploymentList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DEPRECATED - This group version of ReplicaSet is deprecated by apps/v1/ReplicaSet. See the
         * release notes for more information. ReplicaSet ensures that a specified number of pod
         * replicas are running at any given time.
         */
        class ReplicaSet extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s)
             * that the ReplicaSet manages. Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec defines the specification of the desired behavior of the ReplicaSet. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.apps.v1beta2.ReplicaSetSpec>;
            /**
             * Status is the most recently observed status of the ReplicaSet. This data may be out of date
             * by some window of time. Populated by the system. Read-only. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<outputApi.apps.v1beta2.ReplicaSetStatus>;
            /**
             * Get the state of an existing `ReplicaSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ReplicaSet;
            getInputs(): inputApi.apps.v1beta2.ReplicaSet;
            private readonly __inputs;
            /**
            * Create a apps.v1beta2.ReplicaSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta2.ReplicaSet, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ReplicaSetList is a collection of ReplicaSets.
         */
        class ReplicaSetList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of ReplicaSets. More info:
             * https://kubernetes.io/docs/concepts/workloads/controllers/replicationcontroller
             */
            readonly items: pulumi.Output<outputApi.apps.v1beta2.ReplicaSet[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ReplicaSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ReplicaSetList;
            getInputs(): inputApi.apps.v1beta2.ReplicaSetList;
            private readonly __inputs;
            /**
            * Create a apps.v1beta2.ReplicaSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta2.ReplicaSetList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Scale represents a scaling request for a resource.
         */
        class Scale extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object metadata; More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * defines the behavior of the scale. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.
             */
            readonly spec: pulumi.Output<outputApi.apps.v1beta2.ScaleSpec>;
            /**
             * current status of the scale. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.
             * Read-only.
             */
            readonly status: pulumi.Output<outputApi.apps.v1beta2.ScaleStatus>;
            /**
             * Get the state of an existing `Scale` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Scale;
            getInputs(): inputApi.apps.v1beta2.Scale;
            private readonly __inputs;
            /**
            * Create a apps.v1beta2.Scale resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta2.Scale, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DEPRECATED - This group version of StatefulSet is deprecated by apps/v1/StatefulSet. See the
         * release notes for more information. StatefulSet represents a set of pods with consistent
         * identities. Identities are defined as:
         *  - Network: A single stable DNS and hostname.
         *  - Storage: As many VolumeClaims as requested.
         * The StatefulSet guarantees that a given network identity will always map to the same storage
         * identity.
         */
        class StatefulSet extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec defines the desired identities of pods in this set.
             */
            readonly spec: pulumi.Output<outputApi.apps.v1beta2.StatefulSetSpec>;
            /**
             * Status is the current status of Pods in this StatefulSet. This data may be out of date by
             * some window of time.
             */
            readonly status: pulumi.Output<outputApi.apps.v1beta2.StatefulSetStatus>;
            /**
             * Get the state of an existing `StatefulSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): StatefulSet;
            getInputs(): inputApi.apps.v1beta2.StatefulSet;
            private readonly __inputs;
            /**
            * Create a apps.v1beta2.StatefulSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta2.StatefulSet, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * StatefulSetList is a collection of StatefulSets.
         */
        class StatefulSetList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            readonly items: pulumi.Output<outputApi.apps.v1beta2.StatefulSet[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `StatefulSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): StatefulSetList;
            getInputs(): inputApi.apps.v1beta2.StatefulSetList;
            private readonly __inputs;
            /**
            * Create a apps.v1beta2.StatefulSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.apps.v1beta2.StatefulSetList, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace authentication {
    namespace v1 {
        /**
         * TokenReview attempts to authenticate a token to a known user. Note: TokenReview requests may
         * be cached by the webhook token authenticator plugin in the kube-apiserver.
         */
        class TokenReview extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec holds information about the request being evaluated
             */
            readonly spec: pulumi.Output<outputApi.authentication.v1.TokenReviewSpec>;
            /**
             * Status is filled in by the server and indicates whether the request can be authenticated.
             */
            readonly status: pulumi.Output<outputApi.authentication.v1.TokenReviewStatus>;
            /**
             * Get the state of an existing `TokenReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): TokenReview;
            getInputs(): inputApi.authentication.v1.TokenReview;
            private readonly __inputs;
            /**
            * Create a authentication.v1.TokenReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.authentication.v1.TokenReview, opts?: pulumi.CustomResourceOptions);
        }
    }
    namespace v1beta1 {
        /**
         * TokenReview attempts to authenticate a token to a known user. Note: TokenReview requests may
         * be cached by the webhook token authenticator plugin in the kube-apiserver.
         */
        class TokenReview extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec holds information about the request being evaluated
             */
            readonly spec: pulumi.Output<outputApi.authentication.v1beta1.TokenReviewSpec>;
            /**
             * Status is filled in by the server and indicates whether the request can be authenticated.
             */
            readonly status: pulumi.Output<outputApi.authentication.v1beta1.TokenReviewStatus>;
            /**
             * Get the state of an existing `TokenReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): TokenReview;
            getInputs(): inputApi.authentication.v1beta1.TokenReview;
            private readonly __inputs;
            /**
            * Create a authentication.v1beta1.TokenReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.authentication.v1beta1.TokenReview, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace authorization {
    namespace v1 {
        /**
         * LocalSubjectAccessReview checks whether or not a user or group can perform an action in a
         * given namespace. Having a namespace scoped resource makes it much easier to grant namespace
         * scoped policy that includes permissions checking.
         */
        class LocalSubjectAccessReview extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec holds information about the request being evaluated.  spec.namespace must be equal to
             * the namespace you made the request against.  If empty, it is defaulted.
             */
            readonly spec: pulumi.Output<outputApi.authorization.v1.SubjectAccessReviewSpec>;
            /**
             * Status is filled in by the server and indicates whether the request is allowed or not
             */
            readonly status: pulumi.Output<outputApi.authorization.v1.SubjectAccessReviewStatus>;
            /**
             * Get the state of an existing `LocalSubjectAccessReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): LocalSubjectAccessReview;
            getInputs(): inputApi.authorization.v1.LocalSubjectAccessReview;
            private readonly __inputs;
            /**
            * Create a authorization.v1.LocalSubjectAccessReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.authorization.v1.LocalSubjectAccessReview, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * SelfSubjectAccessReview checks whether or the current user can perform an action.  Not
         * filling in a spec.namespace means "in all namespaces".  Self is a special case, because users
         * should always be able to check whether they can perform an action
         */
        class SelfSubjectAccessReview extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec holds information about the request being evaluated.  user and groups must be empty
             */
            readonly spec: pulumi.Output<outputApi.authorization.v1.SelfSubjectAccessReviewSpec>;
            /**
             * Status is filled in by the server and indicates whether the request is allowed or not
             */
            readonly status: pulumi.Output<outputApi.authorization.v1.SubjectAccessReviewStatus>;
            /**
             * Get the state of an existing `SelfSubjectAccessReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): SelfSubjectAccessReview;
            getInputs(): inputApi.authorization.v1.SelfSubjectAccessReview;
            private readonly __inputs;
            /**
            * Create a authorization.v1.SelfSubjectAccessReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.authorization.v1.SelfSubjectAccessReview, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * SelfSubjectRulesReview enumerates the set of actions the current user can perform within a
         * namespace. The returned list of actions may be incomplete depending on the server's
         * authorization mode, and any errors experienced during the evaluation. SelfSubjectRulesReview
         * should be used by UIs to show/hide actions, or to quickly let an end user reason about their
         * permissions. It should NOT Be used by external systems to drive authorization decisions as
         * this raises confused deputy, cache lifetime/revocation, and correctness concerns.
         * SubjectAccessReview, and LocalAccessReview are the correct way to defer authorization
         * decisions to the API server.
         */
        class SelfSubjectRulesReview extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec holds information about the request being evaluated.
             */
            readonly spec: pulumi.Output<outputApi.authorization.v1.SelfSubjectRulesReviewSpec>;
            /**
             * Status is filled in by the server and indicates the set of actions a user can perform.
             */
            readonly status: pulumi.Output<outputApi.authorization.v1.SubjectRulesReviewStatus>;
            /**
             * Get the state of an existing `SelfSubjectRulesReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): SelfSubjectRulesReview;
            getInputs(): inputApi.authorization.v1.SelfSubjectRulesReview;
            private readonly __inputs;
            /**
            * Create a authorization.v1.SelfSubjectRulesReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.authorization.v1.SelfSubjectRulesReview, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * SubjectAccessReview checks whether or not a user or group can perform an action.
         */
        class SubjectAccessReview extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec holds information about the request being evaluated
             */
            readonly spec: pulumi.Output<outputApi.authorization.v1.SubjectAccessReviewSpec>;
            /**
             * Status is filled in by the server and indicates whether the request is allowed or not
             */
            readonly status: pulumi.Output<outputApi.authorization.v1.SubjectAccessReviewStatus>;
            /**
             * Get the state of an existing `SubjectAccessReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): SubjectAccessReview;
            getInputs(): inputApi.authorization.v1.SubjectAccessReview;
            private readonly __inputs;
            /**
            * Create a authorization.v1.SubjectAccessReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.authorization.v1.SubjectAccessReview, opts?: pulumi.CustomResourceOptions);
        }
    }
    namespace v1beta1 {
        /**
         * LocalSubjectAccessReview checks whether or not a user or group can perform an action in a
         * given namespace. Having a namespace scoped resource makes it much easier to grant namespace
         * scoped policy that includes permissions checking.
         */
        class LocalSubjectAccessReview extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec holds information about the request being evaluated.  spec.namespace must be equal to
             * the namespace you made the request against.  If empty, it is defaulted.
             */
            readonly spec: pulumi.Output<outputApi.authorization.v1beta1.SubjectAccessReviewSpec>;
            /**
             * Status is filled in by the server and indicates whether the request is allowed or not
             */
            readonly status: pulumi.Output<outputApi.authorization.v1beta1.SubjectAccessReviewStatus>;
            /**
             * Get the state of an existing `LocalSubjectAccessReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): LocalSubjectAccessReview;
            getInputs(): inputApi.authorization.v1beta1.LocalSubjectAccessReview;
            private readonly __inputs;
            /**
            * Create a authorization.v1beta1.LocalSubjectAccessReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.authorization.v1beta1.LocalSubjectAccessReview, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * SelfSubjectAccessReview checks whether or the current user can perform an action.  Not
         * filling in a spec.namespace means "in all namespaces".  Self is a special case, because users
         * should always be able to check whether they can perform an action
         */
        class SelfSubjectAccessReview extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec holds information about the request being evaluated.  user and groups must be empty
             */
            readonly spec: pulumi.Output<outputApi.authorization.v1beta1.SelfSubjectAccessReviewSpec>;
            /**
             * Status is filled in by the server and indicates whether the request is allowed or not
             */
            readonly status: pulumi.Output<outputApi.authorization.v1beta1.SubjectAccessReviewStatus>;
            /**
             * Get the state of an existing `SelfSubjectAccessReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): SelfSubjectAccessReview;
            getInputs(): inputApi.authorization.v1beta1.SelfSubjectAccessReview;
            private readonly __inputs;
            /**
            * Create a authorization.v1beta1.SelfSubjectAccessReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.authorization.v1beta1.SelfSubjectAccessReview, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * SelfSubjectRulesReview enumerates the set of actions the current user can perform within a
         * namespace. The returned list of actions may be incomplete depending on the server's
         * authorization mode, and any errors experienced during the evaluation. SelfSubjectRulesReview
         * should be used by UIs to show/hide actions, or to quickly let an end user reason about their
         * permissions. It should NOT Be used by external systems to drive authorization decisions as
         * this raises confused deputy, cache lifetime/revocation, and correctness concerns.
         * SubjectAccessReview, and LocalAccessReview are the correct way to defer authorization
         * decisions to the API server.
         */
        class SelfSubjectRulesReview extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec holds information about the request being evaluated.
             */
            readonly spec: pulumi.Output<outputApi.authorization.v1beta1.SelfSubjectRulesReviewSpec>;
            /**
             * Status is filled in by the server and indicates the set of actions a user can perform.
             */
            readonly status: pulumi.Output<outputApi.authorization.v1beta1.SubjectRulesReviewStatus>;
            /**
             * Get the state of an existing `SelfSubjectRulesReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): SelfSubjectRulesReview;
            getInputs(): inputApi.authorization.v1beta1.SelfSubjectRulesReview;
            private readonly __inputs;
            /**
            * Create a authorization.v1beta1.SelfSubjectRulesReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.authorization.v1beta1.SelfSubjectRulesReview, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * SubjectAccessReview checks whether or not a user or group can perform an action.
         */
        class SubjectAccessReview extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec holds information about the request being evaluated
             */
            readonly spec: pulumi.Output<outputApi.authorization.v1beta1.SubjectAccessReviewSpec>;
            /**
             * Status is filled in by the server and indicates whether the request is allowed or not
             */
            readonly status: pulumi.Output<outputApi.authorization.v1beta1.SubjectAccessReviewStatus>;
            /**
             * Get the state of an existing `SubjectAccessReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): SubjectAccessReview;
            getInputs(): inputApi.authorization.v1beta1.SubjectAccessReview;
            private readonly __inputs;
            /**
            * Create a authorization.v1beta1.SubjectAccessReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.authorization.v1beta1.SubjectAccessReview, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace autoscaling {
    namespace v1 {
        /**
         * CrossVersionObjectReference contains enough information to let you identify the referred
         * resource.
         */
        class CrossVersionObjectReference extends pulumi.CustomResource {
            /**
             * API version of the referent
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind of the referent; More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds"
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Name of the referent; More info: http://kubernetes.io/docs/user-guide/identifiers#names
             */
            readonly name: pulumi.Output<string>;
            /**
             * Get the state of an existing `CrossVersionObjectReference` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): CrossVersionObjectReference;
            getInputs(): inputApi.autoscaling.v1.CrossVersionObjectReference;
            private readonly __inputs;
            /**
            * Create a autoscaling.v1.CrossVersionObjectReference resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.autoscaling.v1.CrossVersionObjectReference, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * configuration of a horizontal pod autoscaler.
         */
        class HorizontalPodAutoscaler extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * behaviour of autoscaler. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.
             */
            readonly spec: pulumi.Output<outputApi.autoscaling.v1.HorizontalPodAutoscalerSpec>;
            /**
             * current information about the autoscaler.
             */
            readonly status: pulumi.Output<outputApi.autoscaling.v1.HorizontalPodAutoscalerStatus>;
            /**
             * Get the state of an existing `HorizontalPodAutoscaler` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): HorizontalPodAutoscaler;
            getInputs(): inputApi.autoscaling.v1.HorizontalPodAutoscaler;
            private readonly __inputs;
            /**
            * Create a autoscaling.v1.HorizontalPodAutoscaler resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.autoscaling.v1.HorizontalPodAutoscaler, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * list of horizontal pod autoscaler objects.
         */
        class HorizontalPodAutoscalerList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * list of horizontal pod autoscaler objects.
             */
            readonly items: pulumi.Output<outputApi.autoscaling.v1.HorizontalPodAutoscaler[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `HorizontalPodAutoscalerList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): HorizontalPodAutoscalerList;
            getInputs(): inputApi.autoscaling.v1.HorizontalPodAutoscalerList;
            private readonly __inputs;
            /**
            * Create a autoscaling.v1.HorizontalPodAutoscalerList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.autoscaling.v1.HorizontalPodAutoscalerList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Scale represents a scaling request for a resource.
         */
        class Scale extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object metadata; More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * defines the behavior of the scale. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.
             */
            readonly spec: pulumi.Output<outputApi.autoscaling.v1.ScaleSpec>;
            /**
             * current status of the scale. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.
             * Read-only.
             */
            readonly status: pulumi.Output<outputApi.autoscaling.v1.ScaleStatus>;
            /**
             * Get the state of an existing `Scale` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Scale;
            getInputs(): inputApi.autoscaling.v1.Scale;
            private readonly __inputs;
            /**
            * Create a autoscaling.v1.Scale resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.autoscaling.v1.Scale, opts?: pulumi.CustomResourceOptions);
        }
    }
    namespace v2beta1 {
        /**
         * CrossVersionObjectReference contains enough information to let you identify the referred
         * resource.
         */
        class CrossVersionObjectReference extends pulumi.CustomResource {
            /**
             * API version of the referent
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind of the referent; More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds"
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Name of the referent; More info: http://kubernetes.io/docs/user-guide/identifiers#names
             */
            readonly name: pulumi.Output<string>;
            /**
             * Get the state of an existing `CrossVersionObjectReference` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): CrossVersionObjectReference;
            getInputs(): inputApi.autoscaling.v2beta1.CrossVersionObjectReference;
            private readonly __inputs;
            /**
            * Create a autoscaling.v2beta1.CrossVersionObjectReference resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.autoscaling.v2beta1.CrossVersionObjectReference, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * HorizontalPodAutoscaler is the configuration for a horizontal pod autoscaler, which
         * automatically manages the replica count of any resource implementing the scale subresource
         * based on the metrics specified.
         */
        class HorizontalPodAutoscaler extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * metadata is the standard object metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * spec is the specification for the behaviour of the autoscaler. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.
             */
            readonly spec: pulumi.Output<outputApi.autoscaling.v2beta1.HorizontalPodAutoscalerSpec>;
            /**
             * status is the current information about the autoscaler.
             */
            readonly status: pulumi.Output<outputApi.autoscaling.v2beta1.HorizontalPodAutoscalerStatus>;
            /**
             * Get the state of an existing `HorizontalPodAutoscaler` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): HorizontalPodAutoscaler;
            getInputs(): inputApi.autoscaling.v2beta1.HorizontalPodAutoscaler;
            private readonly __inputs;
            /**
            * Create a autoscaling.v2beta1.HorizontalPodAutoscaler resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.autoscaling.v2beta1.HorizontalPodAutoscaler, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * HorizontalPodAutoscaler is a list of horizontal pod autoscaler objects.
         */
        class HorizontalPodAutoscalerList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * items is the list of horizontal pod autoscaler objects.
             */
            readonly items: pulumi.Output<outputApi.autoscaling.v2beta1.HorizontalPodAutoscaler[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * metadata is the standard list metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `HorizontalPodAutoscalerList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): HorizontalPodAutoscalerList;
            getInputs(): inputApi.autoscaling.v2beta1.HorizontalPodAutoscalerList;
            private readonly __inputs;
            /**
            * Create a autoscaling.v2beta1.HorizontalPodAutoscalerList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.autoscaling.v2beta1.HorizontalPodAutoscalerList, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace batch {
    namespace v1 {
        /**
         * Job represents the configuration of a single job.
         */
        class Job extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Specification of the desired behavior of a job. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.batch.v1.JobSpec>;
            /**
             * Current status of a job. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<outputApi.batch.v1.JobStatus>;
            /**
             * Get the state of an existing `Job` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Job;
            getInputs(): inputApi.batch.v1.Job;
            private readonly __inputs;
            /**
            * Create a batch.v1.Job resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.batch.v1.Job, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * JobList is a collection of jobs.
         */
        class JobList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * items is the list of Jobs.
             */
            readonly items: pulumi.Output<outputApi.batch.v1.Job[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `JobList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): JobList;
            getInputs(): inputApi.batch.v1.JobList;
            private readonly __inputs;
            /**
            * Create a batch.v1.JobList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.batch.v1.JobList, opts?: pulumi.CustomResourceOptions);
        }
    }
    namespace v1beta1 {
        /**
         * CronJob represents the configuration of a single cron job.
         */
        class CronJob extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Specification of the desired behavior of a cron job, including the schedule. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.batch.v1beta1.CronJobSpec>;
            /**
             * Current status of a cron job. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<outputApi.batch.v1beta1.CronJobStatus>;
            /**
             * Get the state of an existing `CronJob` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): CronJob;
            getInputs(): inputApi.batch.v1beta1.CronJob;
            private readonly __inputs;
            /**
            * Create a batch.v1beta1.CronJob resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.batch.v1beta1.CronJob, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * CronJobList is a collection of cron jobs.
         */
        class CronJobList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * items is the list of CronJobs.
             */
            readonly items: pulumi.Output<outputApi.batch.v1beta1.CronJob[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `CronJobList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): CronJobList;
            getInputs(): inputApi.batch.v1beta1.CronJobList;
            private readonly __inputs;
            /**
            * Create a batch.v1beta1.CronJobList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.batch.v1beta1.CronJobList, opts?: pulumi.CustomResourceOptions);
        }
    }
    namespace v2alpha1 {
        /**
         * CronJob represents the configuration of a single cron job.
         */
        class CronJob extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Specification of the desired behavior of a cron job, including the schedule. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.batch.v2alpha1.CronJobSpec>;
            /**
             * Current status of a cron job. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<outputApi.batch.v2alpha1.CronJobStatus>;
            /**
             * Get the state of an existing `CronJob` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): CronJob;
            getInputs(): inputApi.batch.v2alpha1.CronJob;
            private readonly __inputs;
            /**
            * Create a batch.v2alpha1.CronJob resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.batch.v2alpha1.CronJob, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * CronJobList is a collection of cron jobs.
         */
        class CronJobList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * items is the list of CronJobs.
             */
            readonly items: pulumi.Output<outputApi.batch.v2alpha1.CronJob[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `CronJobList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): CronJobList;
            getInputs(): inputApi.batch.v2alpha1.CronJobList;
            private readonly __inputs;
            /**
            * Create a batch.v2alpha1.CronJobList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.batch.v2alpha1.CronJobList, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace certificates {
    namespace v1beta1 {
        /**
         * Describes a certificate signing request
         */
        class CertificateSigningRequest extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * The certificate request itself and any additional information.
             */
            readonly spec: pulumi.Output<outputApi.certificates.v1beta1.CertificateSigningRequestSpec>;
            /**
             * Derived information about the request.
             */
            readonly status: pulumi.Output<outputApi.certificates.v1beta1.CertificateSigningRequestStatus>;
            /**
             * Get the state of an existing `CertificateSigningRequest` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): CertificateSigningRequest;
            getInputs(): inputApi.certificates.v1beta1.CertificateSigningRequest;
            private readonly __inputs;
            /**
            * Create a certificates.v1beta1.CertificateSigningRequest resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.certificates.v1beta1.CertificateSigningRequest, opts?: pulumi.CustomResourceOptions);
        }
        class CertificateSigningRequestList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            readonly items: pulumi.Output<outputApi.certificates.v1beta1.CertificateSigningRequest[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `CertificateSigningRequestList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): CertificateSigningRequestList;
            getInputs(): inputApi.certificates.v1beta1.CertificateSigningRequestList;
            private readonly __inputs;
            /**
            * Create a certificates.v1beta1.CertificateSigningRequestList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.certificates.v1beta1.CertificateSigningRequestList, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace core {
    namespace v1 {
        /**
         * Binding ties one object to another; for example, a pod is bound to a node by a scheduler.
         * Deprecated in 1.7, please use the bindings subresource of pods instead.
         */
        class Binding extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * The target object that you want to bind to the standard object.
             */
            readonly target: pulumi.Output<outputApi.core.v1.ObjectReference>;
            /**
             * Get the state of an existing `Binding` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Binding;
            getInputs(): inputApi.core.v1.Binding;
            private readonly __inputs;
            /**
            * Create a core.v1.Binding resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.Binding, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ComponentStatus (and ComponentStatusList) holds the cluster validation info.
         */
        class ComponentStatus extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of component conditions observed
             */
            readonly conditions: pulumi.Output<outputApi.core.v1.ComponentCondition[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Get the state of an existing `ComponentStatus` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ComponentStatus;
            getInputs(): inputApi.core.v1.ComponentStatus;
            private readonly __inputs;
            /**
            * Create a core.v1.ComponentStatus resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.ComponentStatus, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Status of all the conditions for the component as a list of ComponentStatus objects.
         */
        class ComponentStatusList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of ComponentStatus objects.
             */
            readonly items: pulumi.Output<outputApi.core.v1.ComponentStatus[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ComponentStatusList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ComponentStatusList;
            getInputs(): inputApi.core.v1.ComponentStatusList;
            private readonly __inputs;
            /**
            * Create a core.v1.ComponentStatusList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.ComponentStatusList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ConfigMap holds configuration data for pods to consume.
         */
        class ConfigMap extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Data contains the configuration data. Each key must consist of alphanumeric characters,
             * '-', '_' or '.'.
             */
            readonly data: pulumi.Output<{
                [key: string]: pulumi.Output<string>;
            }>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Get the state of an existing `ConfigMap` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ConfigMap;
            getInputs(): inputApi.core.v1.ConfigMap;
            private readonly __inputs;
            /**
            * Create a core.v1.ConfigMap resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.ConfigMap, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ConfigMapList is a resource containing a list of ConfigMap objects.
         */
        class ConfigMapList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is the list of ConfigMaps.
             */
            readonly items: pulumi.Output<outputApi.core.v1.ConfigMap[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * More info: https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ConfigMapList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ConfigMapList;
            getInputs(): inputApi.core.v1.ConfigMapList;
            private readonly __inputs;
            /**
            * Create a core.v1.ConfigMapList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.ConfigMapList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Endpoints is a collection of endpoints that implement the actual service. Example:
         *   Name: "mysvc",
         *   Subsets: [
         *     {
         *       Addresses: [{"ip": "10.10.1.1"}, {"ip": "10.10.2.2"}],
         *       Ports: [{"name": "a", "port": 8675}, {"name": "b", "port": 309}]
         *     },
         *     {
         *       Addresses: [{"ip": "10.10.3.3"}],
         *       Ports: [{"name": "a", "port": 93}, {"name": "b", "port": 76}]
         *     },
         *  ]
         */
        class Endpoints extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * The set of all endpoints is the union of all subsets. Addresses are placed into subsets
             * according to the IPs they share. A single address with multiple ports, some of which are
             * ready and some of which are not (because they come from different containers) will result
             * in the address being displayed in different subsets for the different ports. No address
             * will appear in both Addresses and NotReadyAddresses in the same subset. Sets of addresses
             * and ports that comprise a service.
             */
            readonly subsets: pulumi.Output<outputApi.core.v1.EndpointSubset[]>;
            /**
             * Get the state of an existing `Endpoints` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Endpoints;
            getInputs(): inputApi.core.v1.Endpoints;
            private readonly __inputs;
            /**
            * Create a core.v1.Endpoints resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.Endpoints, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * EndpointsList is a list of endpoints.
         */
        class EndpointsList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of endpoints.
             */
            readonly items: pulumi.Output<outputApi.core.v1.Endpoints[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `EndpointsList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): EndpointsList;
            getInputs(): inputApi.core.v1.EndpointsList;
            private readonly __inputs;
            /**
            * Create a core.v1.EndpointsList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.EndpointsList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Event is a report of an event somewhere in the cluster.
         */
        class Event extends pulumi.CustomResource {
            /**
             * What action was taken/failed regarding to the Regarding object.
             */
            readonly action: pulumi.Output<string>;
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * The number of times this event has occurred.
             */
            readonly count: pulumi.Output<number>;
            /**
             * Time when this Event was first observed.
             */
            readonly eventTime: pulumi.Output<string>;
            /**
             * The time at which the event was first recorded. (Time of server receipt is in TypeMeta.)
             */
            readonly firstTimestamp: pulumi.Output<string>;
            /**
             * The object that this event is about.
             */
            readonly involvedObject: pulumi.Output<outputApi.core.v1.ObjectReference>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * The time at which the most recent occurrence of this event was recorded.
             */
            readonly lastTimestamp: pulumi.Output<string>;
            /**
             * A human-readable description of the status of this operation.
             */
            readonly message: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * This should be a short, machine understandable string that gives the reason for the
             * transition into the object's current status.
             */
            readonly reason: pulumi.Output<string>;
            /**
             * Optional secondary object for more complex actions.
             */
            readonly related: pulumi.Output<outputApi.core.v1.ObjectReference>;
            /**
             * Name of the controller that emitted this Event, e.g. `kubernetes.io/kubelet`.
             */
            readonly reportingComponent: pulumi.Output<string>;
            /**
             * ID of the controller instance, e.g. `kubelet-xyzf`.
             */
            readonly reportingInstance: pulumi.Output<string>;
            /**
             * Data about the Event series this event represents or nil if it's a singleton Event.
             */
            readonly series: pulumi.Output<outputApi.core.v1.EventSeries>;
            /**
             * The component reporting this event. Should be a short machine understandable string.
             */
            readonly source: pulumi.Output<outputApi.core.v1.EventSource>;
            /**
             * Type of this event (Normal, Warning), new types could be added in the future
             */
            readonly type: pulumi.Output<string>;
            /**
             * Get the state of an existing `Event` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Event;
            getInputs(): inputApi.core.v1.Event;
            private readonly __inputs;
            /**
            * Create a core.v1.Event resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.Event, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * EventList is a list of events.
         */
        class EventList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of events
             */
            readonly items: pulumi.Output<outputApi.core.v1.Event[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `EventList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): EventList;
            getInputs(): inputApi.core.v1.EventList;
            private readonly __inputs;
            /**
            * Create a core.v1.EventList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.EventList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * LimitRange sets resource usage limits for each kind of resource in a Namespace.
         */
        class LimitRange extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec defines the limits enforced. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.core.v1.LimitRangeSpec>;
            /**
             * Get the state of an existing `LimitRange` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): LimitRange;
            getInputs(): inputApi.core.v1.LimitRange;
            private readonly __inputs;
            /**
            * Create a core.v1.LimitRange resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.LimitRange, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * LimitRangeList is a list of LimitRange items.
         */
        class LimitRangeList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of LimitRange objects. More info:
             * https://kubernetes.io/docs/concepts/configuration/manage-compute-resources-container/
             */
            readonly items: pulumi.Output<outputApi.core.v1.LimitRange[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `LimitRangeList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): LimitRangeList;
            getInputs(): inputApi.core.v1.LimitRangeList;
            private readonly __inputs;
            /**
            * Create a core.v1.LimitRangeList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.LimitRangeList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Namespace provides a scope for Names. Use of multiple namespaces is optional.
         */
        class Namespace extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec defines the behavior of the Namespace. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.core.v1.NamespaceSpec>;
            /**
             * Status describes the current status of a Namespace. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<outputApi.core.v1.NamespaceStatus>;
            /**
             * Get the state of an existing `Namespace` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Namespace;
            getInputs(): inputApi.core.v1.Namespace;
            private readonly __inputs;
            /**
            * Create a core.v1.Namespace resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.Namespace, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * NamespaceList is a list of Namespaces.
         */
        class NamespaceList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is the list of Namespace objects in the list. More info:
             * https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/
             */
            readonly items: pulumi.Output<outputApi.core.v1.Namespace[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `NamespaceList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): NamespaceList;
            getInputs(): inputApi.core.v1.NamespaceList;
            private readonly __inputs;
            /**
            * Create a core.v1.NamespaceList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.NamespaceList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Node is a worker node in Kubernetes. Each node will have a unique identifier in the cache
         * (i.e. in etcd).
         */
        class Node extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec defines the behavior of a node.
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.core.v1.NodeSpec>;
            /**
             * Most recently observed status of the node. Populated by the system. Read-only. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<outputApi.core.v1.NodeStatus>;
            /**
             * Get the state of an existing `Node` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Node;
            getInputs(): inputApi.core.v1.Node;
            private readonly __inputs;
            /**
            * Create a core.v1.Node resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.Node, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * NodeConfigSource specifies a source of node configuration. Exactly one subfield (excluding
         * metadata) must be non-nil.
         */
        class NodeConfigSource extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            readonly configMapRef: pulumi.Output<outputApi.core.v1.ObjectReference>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Get the state of an existing `NodeConfigSource` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): NodeConfigSource;
            getInputs(): inputApi.core.v1.NodeConfigSource;
            private readonly __inputs;
            /**
            * Create a core.v1.NodeConfigSource resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.NodeConfigSource, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * NodeList is the whole list of all Nodes which have been registered with master.
         */
        class NodeList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of nodes
             */
            readonly items: pulumi.Output<outputApi.core.v1.Node[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `NodeList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): NodeList;
            getInputs(): inputApi.core.v1.NodeList;
            private readonly __inputs;
            /**
            * Create a core.v1.NodeList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.NodeList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ObjectReference contains enough information to let you inspect or modify the referred object.
         */
        class ObjectReference extends pulumi.CustomResource {
            /**
             * API version of the referent.
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * If referring to a piece of an object instead of an entire object, this string should
             * contain a valid JSON/Go field access statement, such as
             * desiredState.manifest.containers[2]. For example, if the object reference is to a container
             * within a pod, this would take on a value like: "spec.containers{name}" (where "name" refers
             * to the name of the container that triggered the event) or if no container name is specified
             * "spec.containers[2]" (container with index 2 in this pod). This syntax is chosen only to
             * have some well-defined way of referencing a part of an object.
             */
            readonly fieldPath: pulumi.Output<string>;
            /**
             * Kind of the referent. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Name of the referent. More info:
             * https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#names
             */
            readonly name: pulumi.Output<string>;
            /**
             * Namespace of the referent. More info:
             * https://kubernetes.io/docs/concepts/overview/working-with-objects/namespaces/
             */
            readonly namespace: pulumi.Output<string>;
            /**
             * Specific resourceVersion to which this reference is made, if any. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#concurrency-control-and-consistency
             */
            readonly resourceVersion: pulumi.Output<string>;
            /**
             * UID of the referent. More info:
             * https://kubernetes.io/docs/concepts/overview/working-with-objects/names/#uids
             */
            readonly uid: pulumi.Output<string>;
            /**
             * Get the state of an existing `ObjectReference` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ObjectReference;
            getInputs(): inputApi.core.v1.ObjectReference;
            private readonly __inputs;
            /**
            * Create a core.v1.ObjectReference resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.ObjectReference, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * PersistentVolume (PV) is a storage resource provisioned by an administrator. It is analogous
         * to a node. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes
         */
        class PersistentVolume extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec defines a specification of a persistent volume owned by the cluster. Provisioned by an
             * administrator. More info:
             * https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistent-volumes
             */
            readonly spec: pulumi.Output<outputApi.core.v1.PersistentVolumeSpec>;
            /**
             * Status represents the current information/status for the persistent volume. Populated by
             * the system. Read-only. More info:
             * https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistent-volumes
             */
            readonly status: pulumi.Output<outputApi.core.v1.PersistentVolumeStatus>;
            /**
             * Get the state of an existing `PersistentVolume` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): PersistentVolume;
            getInputs(): inputApi.core.v1.PersistentVolume;
            private readonly __inputs;
            /**
            * Create a core.v1.PersistentVolume resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.PersistentVolume, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * PersistentVolumeClaim is a user's request for and claim to a persistent volume
         */
        class PersistentVolumeClaim extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec defines the desired characteristics of a volume requested by a pod author. More info:
             * https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims
             */
            readonly spec: pulumi.Output<outputApi.core.v1.PersistentVolumeClaimSpec>;
            /**
             * Status represents the current information/status of a persistent volume claim. Read-only.
             * More info:
             * https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims
             */
            readonly status: pulumi.Output<outputApi.core.v1.PersistentVolumeClaimStatus>;
            /**
             * Get the state of an existing `PersistentVolumeClaim` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): PersistentVolumeClaim;
            getInputs(): inputApi.core.v1.PersistentVolumeClaim;
            private readonly __inputs;
            /**
            * Create a core.v1.PersistentVolumeClaim resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.PersistentVolumeClaim, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * PersistentVolumeClaimList is a list of PersistentVolumeClaim items.
         */
        class PersistentVolumeClaimList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * A list of persistent volume claims. More info:
             * https://kubernetes.io/docs/concepts/storage/persistent-volumes#persistentvolumeclaims
             */
            readonly items: pulumi.Output<outputApi.core.v1.PersistentVolumeClaim[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `PersistentVolumeClaimList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): PersistentVolumeClaimList;
            getInputs(): inputApi.core.v1.PersistentVolumeClaimList;
            private readonly __inputs;
            /**
            * Create a core.v1.PersistentVolumeClaimList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.PersistentVolumeClaimList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * PersistentVolumeList is a list of PersistentVolume items.
         */
        class PersistentVolumeList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of persistent volumes. More info:
             * https://kubernetes.io/docs/concepts/storage/persistent-volumes
             */
            readonly items: pulumi.Output<outputApi.core.v1.PersistentVolume[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `PersistentVolumeList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): PersistentVolumeList;
            getInputs(): inputApi.core.v1.PersistentVolumeList;
            private readonly __inputs;
            /**
            * Create a core.v1.PersistentVolumeList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.PersistentVolumeList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Pod is a collection of containers that can run on a host. This resource is created by clients
         * and scheduled onto hosts.
         */
        class Pod extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Specification of the desired behavior of the pod. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.core.v1.PodSpec>;
            /**
             * Most recently observed status of the pod. This data may not be up to date. Populated by the
             * system. Read-only. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<outputApi.core.v1.PodStatus>;
            /**
             * Get the state of an existing `Pod` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Pod;
            getInputs(): inputApi.core.v1.Pod;
            private readonly __inputs;
            /**
            * Create a core.v1.Pod resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.Pod, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * PodList is a list of Pods.
         */
        class PodList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of pods. More info: https://git.k8s.io/community/contributors/devel/api-conventions.md
             */
            readonly items: pulumi.Output<outputApi.core.v1.Pod[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `PodList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): PodList;
            getInputs(): inputApi.core.v1.PodList;
            private readonly __inputs;
            /**
            * Create a core.v1.PodList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.PodList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * PodTemplate describes a template for creating copies of a predefined pod.
         */
        class PodTemplate extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Template defines the pods that will be created from this pod template.
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly template: pulumi.Output<outputApi.core.v1.PodTemplateSpec>;
            /**
             * Get the state of an existing `PodTemplate` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): PodTemplate;
            getInputs(): inputApi.core.v1.PodTemplate;
            private readonly __inputs;
            /**
            * Create a core.v1.PodTemplate resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.PodTemplate, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * PodTemplateList is a list of PodTemplates.
         */
        class PodTemplateList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of pod templates
             */
            readonly items: pulumi.Output<outputApi.core.v1.PodTemplate[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `PodTemplateList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): PodTemplateList;
            getInputs(): inputApi.core.v1.PodTemplateList;
            private readonly __inputs;
            /**
            * Create a core.v1.PodTemplateList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.PodTemplateList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ReplicationController represents the configuration of a replication controller.
         */
        class ReplicationController extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * If the Labels of a ReplicationController are empty, they are defaulted to be the same as
             * the Pod(s) that the replication controller manages. Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec defines the specification of the desired behavior of the replication controller. More
             * info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.core.v1.ReplicationControllerSpec>;
            /**
             * Status is the most recently observed status of the replication controller. This data may be
             * out of date by some window of time. Populated by the system. Read-only. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<outputApi.core.v1.ReplicationControllerStatus>;
            /**
             * Get the state of an existing `ReplicationController` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ReplicationController;
            getInputs(): inputApi.core.v1.ReplicationController;
            private readonly __inputs;
            /**
            * Create a core.v1.ReplicationController resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.ReplicationController, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ReplicationControllerList is a collection of replication controllers.
         */
        class ReplicationControllerList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of replication controllers. More info:
             * https://kubernetes.io/docs/concepts/workloads/controllers/replicationcontroller
             */
            readonly items: pulumi.Output<outputApi.core.v1.ReplicationController[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ReplicationControllerList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ReplicationControllerList;
            getInputs(): inputApi.core.v1.ReplicationControllerList;
            private readonly __inputs;
            /**
            * Create a core.v1.ReplicationControllerList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.ReplicationControllerList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ResourceQuota sets aggregate quota restrictions enforced per namespace
         */
        class ResourceQuota extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec defines the desired quota.
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.core.v1.ResourceQuotaSpec>;
            /**
             * Status defines the actual enforced quota and its current usage.
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<outputApi.core.v1.ResourceQuotaStatus>;
            /**
             * Get the state of an existing `ResourceQuota` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ResourceQuota;
            getInputs(): inputApi.core.v1.ResourceQuota;
            private readonly __inputs;
            /**
            * Create a core.v1.ResourceQuota resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.ResourceQuota, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ResourceQuotaList is a list of ResourceQuota items.
         */
        class ResourceQuotaList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of ResourceQuota objects. More info:
             * https://kubernetes.io/docs/concepts/policy/resource-quotas/
             */
            readonly items: pulumi.Output<outputApi.core.v1.ResourceQuota[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ResourceQuotaList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ResourceQuotaList;
            getInputs(): inputApi.core.v1.ResourceQuotaList;
            private readonly __inputs;
            /**
            * Create a core.v1.ResourceQuotaList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.ResourceQuotaList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Secret holds secret data of a certain type. The total bytes of the values in the Data field
         * must be less than MaxSecretSize bytes.
         */
        class Secret extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Data contains the secret data. Each key must consist of alphanumeric characters, '-', '_'
             * or '.'. The serialized form of the secret data is a base64 encoded string, representing the
             * arbitrary (possibly non-string) data value here. Described in
             * https://tools.ietf.org/html/rfc4648#section-4
             */
            readonly data: pulumi.Output<object>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * stringData allows specifying non-binary secret data in string form. It is provided as a
             * write-only convenience method. All keys and values are merged into the data field on write,
             * overwriting any existing values. It is never output when reading from the API.
             */
            readonly stringData: pulumi.Output<{
                [key: string]: pulumi.Output<string>;
            }>;
            /**
             * Used to facilitate programmatic handling of secret data.
             */
            readonly type: pulumi.Output<string>;
            /**
             * Get the state of an existing `Secret` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Secret;
            getInputs(): inputApi.core.v1.Secret;
            private readonly __inputs;
            /**
            * Create a core.v1.Secret resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.Secret, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * SecretList is a list of Secret.
         */
        class SecretList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of secret objects. More info:
             * https://kubernetes.io/docs/concepts/configuration/secret
             */
            readonly items: pulumi.Output<outputApi.core.v1.Secret[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `SecretList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): SecretList;
            getInputs(): inputApi.core.v1.SecretList;
            private readonly __inputs;
            /**
            * Create a core.v1.SecretList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.SecretList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Service is a named abstraction of software service (for example, mysql) consisting of local
         * port (for example 3306) that the proxy listens on, and the selector that determines which
         * pods will answer requests sent through the proxy.
         */
        class Service extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec defines the behavior of a service.
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.core.v1.ServiceSpec>;
            /**
             * Most recently observed status of the service. Populated by the system. Read-only. More
             * info: https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<outputApi.core.v1.ServiceStatus>;
            /**
             * Get the state of an existing `Service` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Service;
            getInputs(): inputApi.core.v1.Service;
            private readonly __inputs;
            /**
            * Create a core.v1.Service resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.Service, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ServiceAccount binds together: * a name, understood by users, and perhaps by peripheral
         * systems, for an identity * a principal that can be authenticated and authorized * a set of
         * secrets
         */
        class ServiceAccount extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * AutomountServiceAccountToken indicates whether pods running as this service account should
             * have an API token automatically mounted. Can be overridden at the pod level.
             */
            readonly automountServiceAccountToken: pulumi.Output<boolean>;
            /**
             * ImagePullSecrets is a list of references to secrets in the same namespace to use for
             * pulling any images in pods that reference this ServiceAccount. ImagePullSecrets are
             * distinct from Secrets because Secrets can be mounted in the pod, but ImagePullSecrets are
             * only accessed by the kubelet. More info:
             * https://kubernetes.io/docs/concepts/containers/images/#specifying-imagepullsecrets-on-a-pod
             */
            readonly imagePullSecrets: pulumi.Output<outputApi.core.v1.LocalObjectReference[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Secrets is the list of secrets allowed to be used by pods running using this
             * ServiceAccount. More info: https://kubernetes.io/docs/concepts/configuration/secret
             */
            readonly secrets: pulumi.Output<outputApi.core.v1.ObjectReference[]>;
            /**
             * Get the state of an existing `ServiceAccount` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ServiceAccount;
            getInputs(): inputApi.core.v1.ServiceAccount;
            private readonly __inputs;
            /**
            * Create a core.v1.ServiceAccount resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.ServiceAccount, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ServiceAccountList is a list of ServiceAccount objects
         */
        class ServiceAccountList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of ServiceAccounts. More info:
             * https://kubernetes.io/docs/tasks/configure-pod-container/configure-service-account/
             */
            readonly items: pulumi.Output<outputApi.core.v1.ServiceAccount[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ServiceAccountList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ServiceAccountList;
            getInputs(): inputApi.core.v1.ServiceAccountList;
            private readonly __inputs;
            /**
            * Create a core.v1.ServiceAccountList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.ServiceAccountList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ServiceList holds a list of services.
         */
        class ServiceList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of services
             */
            readonly items: pulumi.Output<outputApi.core.v1.Service[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ServiceList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ServiceList;
            getInputs(): inputApi.core.v1.ServiceList;
            private readonly __inputs;
            /**
            * Create a core.v1.ServiceList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.core.v1.ServiceList, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace events {
    namespace v1beta1 {
        /**
         * Event is a report of an event somewhere in the cluster. It generally denotes some state
         * change in the system.
         */
        class Event extends pulumi.CustomResource {
            /**
             * What action was taken/failed regarding to the regarding object.
             */
            readonly action: pulumi.Output<string>;
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Deprecated field assuring backward compatibility with core.v1 Event type
             */
            readonly deprecatedCount: pulumi.Output<number>;
            /**
             * Deprecated field assuring backward compatibility with core.v1 Event type
             */
            readonly deprecatedFirstTimestamp: pulumi.Output<string>;
            /**
             * Deprecated field assuring backward compatibility with core.v1 Event type
             */
            readonly deprecatedLastTimestamp: pulumi.Output<string>;
            /**
             * Deprecated field assuring backward compatibility with core.v1 Event type
             */
            readonly deprecatedSource: pulumi.Output<outputApi.core.v1.EventSource>;
            /**
             * Required. Time when this Event was first observed.
             */
            readonly eventTime: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Optional. A human-readable description of the status of this operation. Maximal length of
             * the note is 1kB, but libraries should be prepared to handle values up to 64kB.
             */
            readonly note: pulumi.Output<string>;
            /**
             * Why the action was taken.
             */
            readonly reason: pulumi.Output<string>;
            /**
             * The object this Event is about. In most cases it's an Object reporting controller
             * implements. E.g. ReplicaSetController implements ReplicaSets and this event is emitted
             * because it acts on some changes in a ReplicaSet object.
             */
            readonly regarding: pulumi.Output<outputApi.core.v1.ObjectReference>;
            /**
             * Optional secondary object for more complex actions. E.g. when regarding object triggers a
             * creation or deletion of related object.
             */
            readonly related: pulumi.Output<outputApi.core.v1.ObjectReference>;
            /**
             * Name of the controller that emitted this Event, e.g. `kubernetes.io/kubelet`.
             */
            readonly reportingController: pulumi.Output<string>;
            /**
             * ID of the controller instance, e.g. `kubelet-xyzf`.
             */
            readonly reportingInstance: pulumi.Output<string>;
            /**
             * Data about the Event series this event represents or nil if it's a singleton Event.
             */
            readonly series: pulumi.Output<outputApi.events.v1beta1.EventSeries>;
            /**
             * Type of this event (Normal, Warning), new types could be added in the future.
             */
            readonly type: pulumi.Output<string>;
            /**
             * Get the state of an existing `Event` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Event;
            getInputs(): inputApi.events.v1beta1.Event;
            private readonly __inputs;
            /**
            * Create a events.v1beta1.Event resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.events.v1beta1.Event, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * EventList is a list of Event objects.
         */
        class EventList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of schema objects.
             */
            readonly items: pulumi.Output<outputApi.events.v1beta1.Event[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `EventList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): EventList;
            getInputs(): inputApi.events.v1beta1.EventList;
            private readonly __inputs;
            /**
            * Create a events.v1beta1.EventList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.events.v1beta1.EventList, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace extensions {
    namespace v1beta1 {
        /**
         * DEPRECATED - This group version of DaemonSet is deprecated by apps/v1beta2/DaemonSet. See the
         * release notes for more information. DaemonSet represents the configuration of a daemon set.
         */
        class DaemonSet extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * The desired behavior of this daemon set. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.extensions.v1beta1.DaemonSetSpec>;
            /**
             * The current status of this daemon set. This data may be out of date by some window of time.
             * Populated by the system. Read-only. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<outputApi.extensions.v1beta1.DaemonSetStatus>;
            /**
             * Get the state of an existing `DaemonSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): DaemonSet;
            getInputs(): inputApi.extensions.v1beta1.DaemonSet;
            private readonly __inputs;
            /**
            * Create a extensions.v1beta1.DaemonSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.extensions.v1beta1.DaemonSet, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DaemonSetList is a collection of daemon sets.
         */
        class DaemonSetList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * A list of daemon sets.
             */
            readonly items: pulumi.Output<outputApi.extensions.v1beta1.DaemonSet[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `DaemonSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): DaemonSetList;
            getInputs(): inputApi.extensions.v1beta1.DaemonSetList;
            private readonly __inputs;
            /**
            * Create a extensions.v1beta1.DaemonSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.extensions.v1beta1.DaemonSetList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DEPRECATED - This group version of Deployment is deprecated by apps/v1beta2/Deployment. See
         * the release notes for more information. Deployment enables declarative updates for Pods and
         * ReplicaSets.
         */
        class Deployment extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Specification of the desired behavior of the Deployment.
             */
            readonly spec: pulumi.Output<outputApi.extensions.v1beta1.DeploymentSpec>;
            /**
             * Most recently observed status of the Deployment.
             */
            readonly status: pulumi.Output<outputApi.extensions.v1beta1.DeploymentStatus>;
            /**
             * Get the state of an existing `Deployment` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Deployment;
            getInputs(): inputApi.extensions.v1beta1.Deployment;
            private readonly __inputs;
            /**
            * Create a extensions.v1beta1.Deployment resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.extensions.v1beta1.Deployment, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DeploymentList is a list of Deployments.
         */
        class DeploymentList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is the list of Deployments.
             */
            readonly items: pulumi.Output<outputApi.extensions.v1beta1.Deployment[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `DeploymentList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): DeploymentList;
            getInputs(): inputApi.extensions.v1beta1.DeploymentList;
            private readonly __inputs;
            /**
            * Create a extensions.v1beta1.DeploymentList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.extensions.v1beta1.DeploymentList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DEPRECATED. DeploymentRollback stores the information required to rollback a deployment.
         */
        class DeploymentRollback extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Required: This must match the Name of a deployment.
             */
            readonly name: pulumi.Output<string>;
            /**
             * The config of this deployment rollback.
             */
            readonly rollbackTo: pulumi.Output<outputApi.extensions.v1beta1.RollbackConfig>;
            /**
             * The annotations to be updated to a deployment
             */
            readonly updatedAnnotations: pulumi.Output<{
                [key: string]: pulumi.Output<string>;
            }>;
            /**
             * Get the state of an existing `DeploymentRollback` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): DeploymentRollback;
            getInputs(): inputApi.extensions.v1beta1.DeploymentRollback;
            private readonly __inputs;
            /**
            * Create a extensions.v1beta1.DeploymentRollback resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.extensions.v1beta1.DeploymentRollback, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Ingress is a collection of rules that allow inbound connections to reach the endpoints
         * defined by a backend. An Ingress can be configured to give services externally-reachable
         * urls, load balance traffic, terminate SSL, offer name based virtual hosting etc.
         */
        class Ingress extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec is the desired state of the Ingress. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.extensions.v1beta1.IngressSpec>;
            /**
             * Status is the current state of the Ingress. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<outputApi.extensions.v1beta1.IngressStatus>;
            /**
             * Get the state of an existing `Ingress` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Ingress;
            getInputs(): inputApi.extensions.v1beta1.Ingress;
            private readonly __inputs;
            /**
            * Create a extensions.v1beta1.Ingress resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.extensions.v1beta1.Ingress, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * IngressList is a collection of Ingress.
         */
        class IngressList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is the list of Ingress.
             */
            readonly items: pulumi.Output<outputApi.extensions.v1beta1.Ingress[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `IngressList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): IngressList;
            getInputs(): inputApi.extensions.v1beta1.IngressList;
            private readonly __inputs;
            /**
            * Create a extensions.v1beta1.IngressList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.extensions.v1beta1.IngressList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DEPRECATED 1.9 - This group version of NetworkPolicy is deprecated by
         * networking/v1/NetworkPolicy. NetworkPolicy describes what network traffic is allowed for a
         * set of Pods
         */
        class NetworkPolicy extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Specification of the desired behavior for this NetworkPolicy.
             */
            readonly spec: pulumi.Output<outputApi.extensions.v1beta1.NetworkPolicySpec>;
            /**
             * Get the state of an existing `NetworkPolicy` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): NetworkPolicy;
            getInputs(): inputApi.extensions.v1beta1.NetworkPolicy;
            private readonly __inputs;
            /**
            * Create a extensions.v1beta1.NetworkPolicy resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.extensions.v1beta1.NetworkPolicy, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DEPRECATED 1.9 - This group version of NetworkPolicyList is deprecated by
         * networking/v1/NetworkPolicyList. Network Policy List is a list of NetworkPolicy objects.
         */
        class NetworkPolicyList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of schema objects.
             */
            readonly items: pulumi.Output<outputApi.extensions.v1beta1.NetworkPolicy[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `NetworkPolicyList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): NetworkPolicyList;
            getInputs(): inputApi.extensions.v1beta1.NetworkPolicyList;
            private readonly __inputs;
            /**
            * Create a extensions.v1beta1.NetworkPolicyList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.extensions.v1beta1.NetworkPolicyList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Pod Security Policy governs the ability to make requests that affect the Security Context
         * that will be applied to a pod and container.
         */
        class PodSecurityPolicy extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * spec defines the policy enforced.
             */
            readonly spec: pulumi.Output<outputApi.extensions.v1beta1.PodSecurityPolicySpec>;
            /**
             * Get the state of an existing `PodSecurityPolicy` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): PodSecurityPolicy;
            getInputs(): inputApi.extensions.v1beta1.PodSecurityPolicy;
            private readonly __inputs;
            /**
            * Create a extensions.v1beta1.PodSecurityPolicy resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.extensions.v1beta1.PodSecurityPolicy, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Pod Security Policy List is a list of PodSecurityPolicy objects.
         */
        class PodSecurityPolicyList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of schema objects.
             */
            readonly items: pulumi.Output<outputApi.extensions.v1beta1.PodSecurityPolicy[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `PodSecurityPolicyList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): PodSecurityPolicyList;
            getInputs(): inputApi.extensions.v1beta1.PodSecurityPolicyList;
            private readonly __inputs;
            /**
            * Create a extensions.v1beta1.PodSecurityPolicyList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.extensions.v1beta1.PodSecurityPolicyList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DEPRECATED - This group version of ReplicaSet is deprecated by apps/v1beta2/ReplicaSet. See
         * the release notes for more information. ReplicaSet ensures that a specified number of pod
         * replicas are running at any given time.
         */
        class ReplicaSet extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * If the Labels of a ReplicaSet are empty, they are defaulted to be the same as the Pod(s)
             * that the ReplicaSet manages. Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Spec defines the specification of the desired behavior of the ReplicaSet. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly spec: pulumi.Output<outputApi.extensions.v1beta1.ReplicaSetSpec>;
            /**
             * Status is the most recently observed status of the ReplicaSet. This data may be out of date
             * by some window of time. Populated by the system. Read-only. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<outputApi.extensions.v1beta1.ReplicaSetStatus>;
            /**
             * Get the state of an existing `ReplicaSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ReplicaSet;
            getInputs(): inputApi.extensions.v1beta1.ReplicaSet;
            private readonly __inputs;
            /**
            * Create a extensions.v1beta1.ReplicaSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.extensions.v1beta1.ReplicaSet, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ReplicaSetList is a collection of ReplicaSets.
         */
        class ReplicaSetList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * List of ReplicaSets. More info:
             * https://kubernetes.io/docs/concepts/workloads/controllers/replicationcontroller
             */
            readonly items: pulumi.Output<outputApi.extensions.v1beta1.ReplicaSet[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ReplicaSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ReplicaSetList;
            getInputs(): inputApi.extensions.v1beta1.ReplicaSetList;
            private readonly __inputs;
            /**
            * Create a extensions.v1beta1.ReplicaSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.extensions.v1beta1.ReplicaSetList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * represents a scaling request for a resource.
         */
        class Scale extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object metadata; More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * defines the behavior of the scale. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.
             */
            readonly spec: pulumi.Output<outputApi.extensions.v1beta1.ScaleSpec>;
            /**
             * current status of the scale. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status.
             * Read-only.
             */
            readonly status: pulumi.Output<outputApi.extensions.v1beta1.ScaleStatus>;
            /**
             * Get the state of an existing `Scale` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Scale;
            getInputs(): inputApi.extensions.v1beta1.Scale;
            private readonly __inputs;
            /**
            * Create a extensions.v1beta1.Scale resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.extensions.v1beta1.Scale, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace meta {
    namespace v1 {
        /**
         * APIGroup contains the name, the supported versions, and the preferred version of a group.
         */
        class APIGroup extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * name is the name of the group.
             */
            readonly name: pulumi.Output<string>;
            /**
             * preferredVersion is the version preferred by the API server, which probably is the storage
             * version.
             */
            readonly preferredVersion: pulumi.Output<outputApi.meta.v1.GroupVersionForDiscovery>;
            /**
             * a map of client CIDR to server address that is serving this group. This is to help clients
             * reach servers in the most network-efficient way possible. Clients can use the appropriate
             * server address as per the CIDR that they match. In case of multiple matches, clients should
             * use the longest matching CIDR. The server returns only those CIDRs that it thinks that the
             * client can match. For example: the master will return an internal IP CIDR only, if the
             * client reaches the server using an internal IP. Server looks at X-Forwarded-For header or
             * X-Real-Ip header or request.RemoteAddr (in that order) to get the client IP.
             */
            readonly serverAddressByClientCIDRs: pulumi.Output<outputApi.meta.v1.ServerAddressByClientCIDR[]>;
            /**
             * versions are the versions supported in this group.
             */
            readonly versions: pulumi.Output<outputApi.meta.v1.GroupVersionForDiscovery[]>;
            /**
             * Get the state of an existing `APIGroup` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): APIGroup;
            getInputs(): inputApi.meta.v1.APIGroup;
            private readonly __inputs;
            /**
            * Create a meta.v1.APIGroup resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.meta.v1.APIGroup, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * APIGroupList is a list of APIGroup, to allow clients to discover the API at /apis.
         */
        class APIGroupList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * groups is a list of APIGroup.
             */
            readonly groups: pulumi.Output<outputApi.meta.v1.APIGroup[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Get the state of an existing `APIGroupList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): APIGroupList;
            getInputs(): inputApi.meta.v1.APIGroupList;
            private readonly __inputs;
            /**
            * Create a meta.v1.APIGroupList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.meta.v1.APIGroupList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * APIResourceList is a list of APIResource, it is used to expose the name of the resources
         * supported in a specific group and version, and if the resource is namespaced.
         */
        class APIResourceList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * groupVersion is the group and version this APIResourceList is for.
             */
            readonly groupVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * resources contains the name of the resources and if they are namespaced.
             */
            readonly resources: pulumi.Output<outputApi.meta.v1.APIResource[]>;
            /**
             * Get the state of an existing `APIResourceList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): APIResourceList;
            getInputs(): inputApi.meta.v1.APIResourceList;
            private readonly __inputs;
            /**
            * Create a meta.v1.APIResourceList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.meta.v1.APIResourceList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * APIVersions lists the versions that are available, to allow clients to discover the API at
         * /api, which is the root path of the legacy v1 API.
         */
        class APIVersions extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * a map of client CIDR to server address that is serving this group. This is to help clients
             * reach servers in the most network-efficient way possible. Clients can use the appropriate
             * server address as per the CIDR that they match. In case of multiple matches, clients should
             * use the longest matching CIDR. The server returns only those CIDRs that it thinks that the
             * client can match. For example: the master will return an internal IP CIDR only, if the
             * client reaches the server using an internal IP. Server looks at X-Forwarded-For header or
             * X-Real-Ip header or request.RemoteAddr (in that order) to get the client IP.
             */
            readonly serverAddressByClientCIDRs: pulumi.Output<outputApi.meta.v1.ServerAddressByClientCIDR[]>;
            /**
             * versions are the api versions that are available.
             */
            readonly versions: pulumi.Output<string[]>;
            /**
             * Get the state of an existing `APIVersions` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): APIVersions;
            getInputs(): inputApi.meta.v1.APIVersions;
            private readonly __inputs;
            /**
            * Create a meta.v1.APIVersions resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.meta.v1.APIVersions, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * DeleteOptions may be provided when deleting an API object.
         */
        class DeleteOptions extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * The duration in seconds before the object should be deleted. Value must be non-negative
             * integer. The value zero indicates delete immediately. If this value is nil, the default
             * grace period for the specified type will be used. Defaults to a per object value if not
             * specified. zero means delete immediately.
             */
            readonly gracePeriodSeconds: pulumi.Output<number>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Deprecated: please use the PropagationPolicy, this field will be deprecated in 1.7. Should
             * the dependent objects be orphaned. If true/false, the "orphan" finalizer will be added
             * to/removed from the object's finalizers list. Either this field or PropagationPolicy may be
             * set, but not both.
             */
            readonly orphanDependents: pulumi.Output<boolean>;
            /**
             * Must be fulfilled before a deletion is carried out. If not possible, a 409 Conflict status
             * will be returned.
             */
            readonly preconditions: pulumi.Output<outputApi.meta.v1.Preconditions>;
            /**
             * Whether and how garbage collection will be performed. Either this field or OrphanDependents
             * may be set, but not both. The default policy is decided by the existing finalizer set in
             * the metadata.finalizers and the resource-specific default policy. Acceptable values are:
             * 'Orphan' - orphan the dependents; 'Background' - allow the garbage collector to delete the
             * dependents in the background; 'Foreground' - a cascading policy that deletes all dependents
             * in the foreground.
             */
            readonly propagationPolicy: pulumi.Output<string>;
            /**
             * Get the state of an existing `DeleteOptions` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): DeleteOptions;
            getInputs(): inputApi.meta.v1.DeleteOptions;
            private readonly __inputs;
            /**
            * Create a meta.v1.DeleteOptions resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.meta.v1.DeleteOptions, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * OwnerReference contains enough information to let you identify an owning object. Currently,
         * an owning object must be in the same namespace, so there is no namespace field.
         */
        class OwnerReference extends pulumi.CustomResource {
            /**
             * API version of the referent.
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * If true, AND if the owner has the "foregroundDeletion" finalizer, then the owner cannot be
             * deleted from the key-value store until this reference is removed. Defaults to false. To set
             * this field, a user needs "delete" permission of the owner, otherwise 422 (Unprocessable
             * Entity) will be returned.
             */
            readonly blockOwnerDeletion: pulumi.Output<boolean>;
            /**
             * If true, this reference points to the managing controller.
             */
            readonly controller: pulumi.Output<boolean>;
            /**
             * Kind of the referent. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Name of the referent. More info: http://kubernetes.io/docs/user-guide/identifiers#names
             */
            readonly name: pulumi.Output<string>;
            /**
             * UID of the referent. More info: http://kubernetes.io/docs/user-guide/identifiers#uids
             */
            readonly uid: pulumi.Output<string>;
            /**
             * Get the state of an existing `OwnerReference` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): OwnerReference;
            getInputs(): inputApi.meta.v1.OwnerReference;
            private readonly __inputs;
            /**
            * Create a meta.v1.OwnerReference resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.meta.v1.OwnerReference, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Status is a return value for calls that don't return other objects.
         */
        class Status extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Suggested HTTP return code for this status, 0 if not set.
             */
            readonly code: pulumi.Output<number>;
            /**
             * Extended data associated with the reason.  Each reason may define its own extended details.
             * This field is optional and the data returned is not guaranteed to conform to any schema
             * except that defined by the reason type.
             */
            readonly details: pulumi.Output<outputApi.meta.v1.StatusDetails>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * A human-readable description of the status of this operation.
             */
            readonly message: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * A machine-readable description of why this operation is in the "Failure" status. If this
             * value is empty there is no information available. A Reason clarifies an HTTP status code
             * but does not override it.
             */
            readonly reason: pulumi.Output<string>;
            /**
             * Status of the operation. One of: "Success" or "Failure". More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#spec-and-status
             */
            readonly status: pulumi.Output<string>;
            /**
             * Get the state of an existing `Status` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Status;
            getInputs(): inputApi.meta.v1.Status;
            private readonly __inputs;
            /**
            * Create a meta.v1.Status resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.meta.v1.Status, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace networking {
    namespace v1 {
        /**
         * NetworkPolicy describes what network traffic is allowed for a set of Pods
         */
        class NetworkPolicy extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Specification of the desired behavior for this NetworkPolicy.
             */
            readonly spec: pulumi.Output<outputApi.networking.v1.NetworkPolicySpec>;
            /**
             * Get the state of an existing `NetworkPolicy` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): NetworkPolicy;
            getInputs(): inputApi.networking.v1.NetworkPolicy;
            private readonly __inputs;
            /**
            * Create a networking.v1.NetworkPolicy resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.networking.v1.NetworkPolicy, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * NetworkPolicyList is a list of NetworkPolicy objects.
         */
        class NetworkPolicyList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of schema objects.
             */
            readonly items: pulumi.Output<outputApi.networking.v1.NetworkPolicy[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `NetworkPolicyList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): NetworkPolicyList;
            getInputs(): inputApi.networking.v1.NetworkPolicyList;
            private readonly __inputs;
            /**
            * Create a networking.v1.NetworkPolicyList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.networking.v1.NetworkPolicyList, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace policy {
    namespace v1beta1 {
        /**
         * Eviction evicts a pod from its node subject to certain policies and safety constraints. This
         * is a subresource of Pod.  A request to cause such an eviction is created by POSTing to
         * .../pods/<pod name>/evictions.
         */
        class Eviction extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * DeleteOptions may be provided
             */
            readonly deleteOptions: pulumi.Output<outputApi.meta.v1.DeleteOptions>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * ObjectMeta describes the pod that is being evicted.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Get the state of an existing `Eviction` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Eviction;
            getInputs(): inputApi.policy.v1beta1.Eviction;
            private readonly __inputs;
            /**
            * Create a policy.v1beta1.Eviction resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.policy.v1beta1.Eviction, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * PodDisruptionBudget is an object to define the max disruption that can be caused to a
         * collection of pods
         */
        class PodDisruptionBudget extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Specification of the desired behavior of the PodDisruptionBudget.
             */
            readonly spec: pulumi.Output<outputApi.policy.v1beta1.PodDisruptionBudgetSpec>;
            /**
             * Most recently observed status of the PodDisruptionBudget.
             */
            readonly status: pulumi.Output<outputApi.policy.v1beta1.PodDisruptionBudgetStatus>;
            /**
             * Get the state of an existing `PodDisruptionBudget` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): PodDisruptionBudget;
            getInputs(): inputApi.policy.v1beta1.PodDisruptionBudget;
            private readonly __inputs;
            /**
            * Create a policy.v1beta1.PodDisruptionBudget resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.policy.v1beta1.PodDisruptionBudget, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * PodDisruptionBudgetList is a collection of PodDisruptionBudgets.
         */
        class PodDisruptionBudgetList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            readonly items: pulumi.Output<outputApi.policy.v1beta1.PodDisruptionBudget[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `PodDisruptionBudgetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): PodDisruptionBudgetList;
            getInputs(): inputApi.policy.v1beta1.PodDisruptionBudgetList;
            private readonly __inputs;
            /**
            * Create a policy.v1beta1.PodDisruptionBudgetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.policy.v1beta1.PodDisruptionBudgetList, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace rbac {
    namespace v1 {
        /**
         * ClusterRole is a cluster level, logical grouping of PolicyRules that can be referenced as a
         * unit by a RoleBinding or ClusterRoleBinding.
         */
        class ClusterRole extends pulumi.CustomResource {
            /**
             * AggregationRule is an optional field that describes how to build the Rules for this
             * ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct
             * changes to Rules will be stomped by the controller.
             */
            readonly aggregationRule: pulumi.Output<outputApi.rbac.v1.AggregationRule>;
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Rules holds all the PolicyRules for this ClusterRole
             */
            readonly rules: pulumi.Output<outputApi.rbac.v1.PolicyRule[]>;
            /**
             * Get the state of an existing `ClusterRole` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ClusterRole;
            getInputs(): inputApi.rbac.v1.ClusterRole;
            private readonly __inputs;
            /**
            * Create a rbac.v1.ClusterRole resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1.ClusterRole, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ClusterRoleBinding references a ClusterRole, but not contain it.  It can reference a
         * ClusterRole in the global namespace, and adds who information via Subject.
         */
        class ClusterRoleBinding extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be
             * resolved, the Authorizer must return an error.
             */
            readonly roleRef: pulumi.Output<outputApi.rbac.v1.RoleRef>;
            /**
             * Subjects holds references to the objects the role applies to.
             */
            readonly subjects: pulumi.Output<outputApi.rbac.v1.Subject[]>;
            /**
             * Get the state of an existing `ClusterRoleBinding` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ClusterRoleBinding;
            getInputs(): inputApi.rbac.v1.ClusterRoleBinding;
            private readonly __inputs;
            /**
            * Create a rbac.v1.ClusterRoleBinding resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1.ClusterRoleBinding, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ClusterRoleBindingList is a collection of ClusterRoleBindings
         */
        class ClusterRoleBindingList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of ClusterRoleBindings
             */
            readonly items: pulumi.Output<outputApi.rbac.v1.ClusterRoleBinding[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ClusterRoleBindingList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ClusterRoleBindingList;
            getInputs(): inputApi.rbac.v1.ClusterRoleBindingList;
            private readonly __inputs;
            /**
            * Create a rbac.v1.ClusterRoleBindingList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1.ClusterRoleBindingList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ClusterRoleList is a collection of ClusterRoles
         */
        class ClusterRoleList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of ClusterRoles
             */
            readonly items: pulumi.Output<outputApi.rbac.v1.ClusterRole[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ClusterRoleList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ClusterRoleList;
            getInputs(): inputApi.rbac.v1.ClusterRoleList;
            private readonly __inputs;
            /**
            * Create a rbac.v1.ClusterRoleList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1.ClusterRoleList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Role is a namespaced, logical grouping of PolicyRules that can be referenced as a unit by a
         * RoleBinding.
         */
        class Role extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Rules holds all the PolicyRules for this Role
             */
            readonly rules: pulumi.Output<outputApi.rbac.v1.PolicyRule[]>;
            /**
             * Get the state of an existing `Role` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Role;
            getInputs(): inputApi.rbac.v1.Role;
            private readonly __inputs;
            /**
            * Create a rbac.v1.Role resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1.Role, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * RoleBinding references a role, but does not contain it.  It can reference a Role in the same
         * namespace or a ClusterRole in the global namespace. It adds who information via Subjects and
         * namespace information by which namespace it exists in.  RoleBindings in a given namespace
         * only have effect in that namespace.
         */
        class RoleBinding extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * RoleRef can reference a Role in the current namespace or a ClusterRole in the global
             * namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.
             */
            readonly roleRef: pulumi.Output<outputApi.rbac.v1.RoleRef>;
            /**
             * Subjects holds references to the objects the role applies to.
             */
            readonly subjects: pulumi.Output<outputApi.rbac.v1.Subject[]>;
            /**
             * Get the state of an existing `RoleBinding` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): RoleBinding;
            getInputs(): inputApi.rbac.v1.RoleBinding;
            private readonly __inputs;
            /**
            * Create a rbac.v1.RoleBinding resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1.RoleBinding, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * RoleBindingList is a collection of RoleBindings
         */
        class RoleBindingList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of RoleBindings
             */
            readonly items: pulumi.Output<outputApi.rbac.v1.RoleBinding[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `RoleBindingList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): RoleBindingList;
            getInputs(): inputApi.rbac.v1.RoleBindingList;
            private readonly __inputs;
            /**
            * Create a rbac.v1.RoleBindingList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1.RoleBindingList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * RoleList is a collection of Roles
         */
        class RoleList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of Roles
             */
            readonly items: pulumi.Output<outputApi.rbac.v1.Role[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `RoleList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): RoleList;
            getInputs(): inputApi.rbac.v1.RoleList;
            private readonly __inputs;
            /**
            * Create a rbac.v1.RoleList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1.RoleList, opts?: pulumi.CustomResourceOptions);
        }
    }
    namespace v1alpha1 {
        /**
         * ClusterRole is a cluster level, logical grouping of PolicyRules that can be referenced as a
         * unit by a RoleBinding or ClusterRoleBinding.
         */
        class ClusterRole extends pulumi.CustomResource {
            /**
             * AggregationRule is an optional field that describes how to build the Rules for this
             * ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct
             * changes to Rules will be stomped by the controller.
             */
            readonly aggregationRule: pulumi.Output<outputApi.rbac.v1alpha1.AggregationRule>;
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Rules holds all the PolicyRules for this ClusterRole
             */
            readonly rules: pulumi.Output<outputApi.rbac.v1alpha1.PolicyRule[]>;
            /**
             * Get the state of an existing `ClusterRole` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ClusterRole;
            getInputs(): inputApi.rbac.v1alpha1.ClusterRole;
            private readonly __inputs;
            /**
            * Create a rbac.v1alpha1.ClusterRole resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1alpha1.ClusterRole, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ClusterRoleBinding references a ClusterRole, but not contain it.  It can reference a
         * ClusterRole in the global namespace, and adds who information via Subject.
         */
        class ClusterRoleBinding extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be
             * resolved, the Authorizer must return an error.
             */
            readonly roleRef: pulumi.Output<outputApi.rbac.v1alpha1.RoleRef>;
            /**
             * Subjects holds references to the objects the role applies to.
             */
            readonly subjects: pulumi.Output<outputApi.rbac.v1alpha1.Subject[]>;
            /**
             * Get the state of an existing `ClusterRoleBinding` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ClusterRoleBinding;
            getInputs(): inputApi.rbac.v1alpha1.ClusterRoleBinding;
            private readonly __inputs;
            /**
            * Create a rbac.v1alpha1.ClusterRoleBinding resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1alpha1.ClusterRoleBinding, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ClusterRoleBindingList is a collection of ClusterRoleBindings
         */
        class ClusterRoleBindingList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of ClusterRoleBindings
             */
            readonly items: pulumi.Output<outputApi.rbac.v1alpha1.ClusterRoleBinding[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ClusterRoleBindingList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ClusterRoleBindingList;
            getInputs(): inputApi.rbac.v1alpha1.ClusterRoleBindingList;
            private readonly __inputs;
            /**
            * Create a rbac.v1alpha1.ClusterRoleBindingList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1alpha1.ClusterRoleBindingList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ClusterRoleList is a collection of ClusterRoles
         */
        class ClusterRoleList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of ClusterRoles
             */
            readonly items: pulumi.Output<outputApi.rbac.v1alpha1.ClusterRole[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ClusterRoleList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ClusterRoleList;
            getInputs(): inputApi.rbac.v1alpha1.ClusterRoleList;
            private readonly __inputs;
            /**
            * Create a rbac.v1alpha1.ClusterRoleList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1alpha1.ClusterRoleList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Role is a namespaced, logical grouping of PolicyRules that can be referenced as a unit by a
         * RoleBinding.
         */
        class Role extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Rules holds all the PolicyRules for this Role
             */
            readonly rules: pulumi.Output<outputApi.rbac.v1alpha1.PolicyRule[]>;
            /**
             * Get the state of an existing `Role` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Role;
            getInputs(): inputApi.rbac.v1alpha1.Role;
            private readonly __inputs;
            /**
            * Create a rbac.v1alpha1.Role resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1alpha1.Role, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * RoleBinding references a role, but does not contain it.  It can reference a Role in the same
         * namespace or a ClusterRole in the global namespace. It adds who information via Subjects and
         * namespace information by which namespace it exists in.  RoleBindings in a given namespace
         * only have effect in that namespace.
         */
        class RoleBinding extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * RoleRef can reference a Role in the current namespace or a ClusterRole in the global
             * namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.
             */
            readonly roleRef: pulumi.Output<outputApi.rbac.v1alpha1.RoleRef>;
            /**
             * Subjects holds references to the objects the role applies to.
             */
            readonly subjects: pulumi.Output<outputApi.rbac.v1alpha1.Subject[]>;
            /**
             * Get the state of an existing `RoleBinding` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): RoleBinding;
            getInputs(): inputApi.rbac.v1alpha1.RoleBinding;
            private readonly __inputs;
            /**
            * Create a rbac.v1alpha1.RoleBinding resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1alpha1.RoleBinding, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * RoleBindingList is a collection of RoleBindings
         */
        class RoleBindingList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of RoleBindings
             */
            readonly items: pulumi.Output<outputApi.rbac.v1alpha1.RoleBinding[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `RoleBindingList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): RoleBindingList;
            getInputs(): inputApi.rbac.v1alpha1.RoleBindingList;
            private readonly __inputs;
            /**
            * Create a rbac.v1alpha1.RoleBindingList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1alpha1.RoleBindingList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * RoleList is a collection of Roles
         */
        class RoleList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of Roles
             */
            readonly items: pulumi.Output<outputApi.rbac.v1alpha1.Role[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `RoleList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): RoleList;
            getInputs(): inputApi.rbac.v1alpha1.RoleList;
            private readonly __inputs;
            /**
            * Create a rbac.v1alpha1.RoleList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1alpha1.RoleList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Subject contains a reference to the object or user identities a role binding applies to.
         * This can either hold a direct API object reference, or a value for non-objects such as user
         * and group names.
         */
        class Subject extends pulumi.CustomResource {
            /**
             * APIVersion holds the API group and version of the referenced subject. Defaults to "v1" for
             * ServiceAccount subjects. Defaults to "rbac.authorization.k8s.io/v1alpha1" for User and
             * Group subjects.
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind of object being referenced. Values defined by this API group are "User", "Group", and
             * "ServiceAccount". If the Authorizer does not recognized the kind value, the Authorizer
             * should report an error.
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Name of the object being referenced.
             */
            readonly name: pulumi.Output<string>;
            /**
             * Namespace of the referenced object.  If the object kind is non-namespace, such as "User" or
             * "Group", and this value is not empty the Authorizer should report an error.
             */
            readonly namespace: pulumi.Output<string>;
            /**
             * Get the state of an existing `Subject` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Subject;
            getInputs(): inputApi.rbac.v1alpha1.Subject;
            private readonly __inputs;
            /**
            * Create a rbac.v1alpha1.Subject resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1alpha1.Subject, opts?: pulumi.CustomResourceOptions);
        }
    }
    namespace v1beta1 {
        /**
         * ClusterRole is a cluster level, logical grouping of PolicyRules that can be referenced as a
         * unit by a RoleBinding or ClusterRoleBinding.
         */
        class ClusterRole extends pulumi.CustomResource {
            /**
             * AggregationRule is an optional field that describes how to build the Rules for this
             * ClusterRole. If AggregationRule is set, then the Rules are controller managed and direct
             * changes to Rules will be stomped by the controller.
             */
            readonly aggregationRule: pulumi.Output<outputApi.rbac.v1beta1.AggregationRule>;
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Rules holds all the PolicyRules for this ClusterRole
             */
            readonly rules: pulumi.Output<outputApi.rbac.v1beta1.PolicyRule[]>;
            /**
             * Get the state of an existing `ClusterRole` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ClusterRole;
            getInputs(): inputApi.rbac.v1beta1.ClusterRole;
            private readonly __inputs;
            /**
            * Create a rbac.v1beta1.ClusterRole resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1beta1.ClusterRole, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ClusterRoleBinding references a ClusterRole, but not contain it.  It can reference a
         * ClusterRole in the global namespace, and adds who information via Subject.
         */
        class ClusterRoleBinding extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * RoleRef can only reference a ClusterRole in the global namespace. If the RoleRef cannot be
             * resolved, the Authorizer must return an error.
             */
            readonly roleRef: pulumi.Output<outputApi.rbac.v1beta1.RoleRef>;
            /**
             * Subjects holds references to the objects the role applies to.
             */
            readonly subjects: pulumi.Output<outputApi.rbac.v1beta1.Subject[]>;
            /**
             * Get the state of an existing `ClusterRoleBinding` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ClusterRoleBinding;
            getInputs(): inputApi.rbac.v1beta1.ClusterRoleBinding;
            private readonly __inputs;
            /**
            * Create a rbac.v1beta1.ClusterRoleBinding resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1beta1.ClusterRoleBinding, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ClusterRoleBindingList is a collection of ClusterRoleBindings
         */
        class ClusterRoleBindingList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of ClusterRoleBindings
             */
            readonly items: pulumi.Output<outputApi.rbac.v1beta1.ClusterRoleBinding[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ClusterRoleBindingList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ClusterRoleBindingList;
            getInputs(): inputApi.rbac.v1beta1.ClusterRoleBindingList;
            private readonly __inputs;
            /**
            * Create a rbac.v1beta1.ClusterRoleBindingList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1beta1.ClusterRoleBindingList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * ClusterRoleList is a collection of ClusterRoles
         */
        class ClusterRoleList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of ClusterRoles
             */
            readonly items: pulumi.Output<outputApi.rbac.v1beta1.ClusterRole[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `ClusterRoleList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): ClusterRoleList;
            getInputs(): inputApi.rbac.v1beta1.ClusterRoleList;
            private readonly __inputs;
            /**
            * Create a rbac.v1beta1.ClusterRoleList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1beta1.ClusterRoleList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * Role is a namespaced, logical grouping of PolicyRules that can be referenced as a unit by a
         * RoleBinding.
         */
        class Role extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Rules holds all the PolicyRules for this Role
             */
            readonly rules: pulumi.Output<outputApi.rbac.v1beta1.PolicyRule[]>;
            /**
             * Get the state of an existing `Role` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): Role;
            getInputs(): inputApi.rbac.v1beta1.Role;
            private readonly __inputs;
            /**
            * Create a rbac.v1beta1.Role resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1beta1.Role, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * RoleBinding references a role, but does not contain it.  It can reference a Role in the same
         * namespace or a ClusterRole in the global namespace. It adds who information via Subjects and
         * namespace information by which namespace it exists in.  RoleBindings in a given namespace
         * only have effect in that namespace.
         */
        class RoleBinding extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * RoleRef can reference a Role in the current namespace or a ClusterRole in the global
             * namespace. If the RoleRef cannot be resolved, the Authorizer must return an error.
             */
            readonly roleRef: pulumi.Output<outputApi.rbac.v1beta1.RoleRef>;
            /**
             * Subjects holds references to the objects the role applies to.
             */
            readonly subjects: pulumi.Output<outputApi.rbac.v1beta1.Subject[]>;
            /**
             * Get the state of an existing `RoleBinding` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): RoleBinding;
            getInputs(): inputApi.rbac.v1beta1.RoleBinding;
            private readonly __inputs;
            /**
            * Create a rbac.v1beta1.RoleBinding resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1beta1.RoleBinding, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * RoleBindingList is a collection of RoleBindings
         */
        class RoleBindingList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of RoleBindings
             */
            readonly items: pulumi.Output<outputApi.rbac.v1beta1.RoleBinding[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `RoleBindingList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): RoleBindingList;
            getInputs(): inputApi.rbac.v1beta1.RoleBindingList;
            private readonly __inputs;
            /**
            * Create a rbac.v1beta1.RoleBindingList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1beta1.RoleBindingList, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * RoleList is a collection of Roles
         */
        class RoleList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of Roles
             */
            readonly items: pulumi.Output<outputApi.rbac.v1beta1.Role[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata.
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `RoleList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): RoleList;
            getInputs(): inputApi.rbac.v1beta1.RoleList;
            private readonly __inputs;
            /**
            * Create a rbac.v1beta1.RoleList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.rbac.v1beta1.RoleList, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace scheduling {
    namespace v1alpha1 {
        /**
         * PriorityClass defines mapping from a priority class name to the priority integer value. The
         * value can be any valid integer.
         */
        class PriorityClass extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * description is an arbitrary string that usually provides guidelines on when this priority
             * class should be used.
             */
            readonly description: pulumi.Output<string>;
            /**
             * globalDefault specifies whether this PriorityClass should be considered as the default
             * priority for pods that do not have any priority class.
             */
            readonly globalDefault: pulumi.Output<boolean>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * http://releases.k8s.io/HEAD/docs/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * The value of this priority class. This is the actual priority that pods receive when they
             * have the name of this class in their pod spec.
             */
            readonly value: pulumi.Output<number>;
            /**
             * Get the state of an existing `PriorityClass` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): PriorityClass;
            getInputs(): inputApi.scheduling.v1alpha1.PriorityClass;
            private readonly __inputs;
            /**
            * Create a scheduling.v1alpha1.PriorityClass resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.scheduling.v1alpha1.PriorityClass, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * PriorityClassList is a collection of priority classes.
         */
        class PriorityClassList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * items is the list of PriorityClasses
             */
            readonly items: pulumi.Output<outputApi.scheduling.v1alpha1.PriorityClass[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata More info:
             * http://releases.k8s.io/HEAD/docs/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `PriorityClassList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): PriorityClassList;
            getInputs(): inputApi.scheduling.v1alpha1.PriorityClassList;
            private readonly __inputs;
            /**
            * Create a scheduling.v1alpha1.PriorityClassList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.scheduling.v1alpha1.PriorityClassList, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace settings {
    namespace v1alpha1 {
        /**
         * PodPreset is a policy resource that defines additional runtime requirements for a Pod.
         */
        class PodPreset extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            readonly spec: pulumi.Output<outputApi.settings.v1alpha1.PodPresetSpec>;
            /**
             * Get the state of an existing `PodPreset` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): PodPreset;
            getInputs(): inputApi.settings.v1alpha1.PodPreset;
            private readonly __inputs;
            /**
            * Create a settings.v1alpha1.PodPreset resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.settings.v1alpha1.PodPreset, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * PodPresetList is a list of PodPreset objects.
         */
        class PodPresetList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is a list of schema objects.
             */
            readonly items: pulumi.Output<outputApi.settings.v1alpha1.PodPreset[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `PodPresetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): PodPresetList;
            getInputs(): inputApi.settings.v1alpha1.PodPresetList;
            private readonly __inputs;
            /**
            * Create a settings.v1alpha1.PodPresetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.settings.v1alpha1.PodPresetList, opts?: pulumi.CustomResourceOptions);
        }
    }
}
export declare namespace storage {
    namespace v1 {
        /**
         * StorageClass describes the parameters for a class of storage for which PersistentVolumes can
         * be dynamically provisioned.
         *
         * StorageClasses are non-namespaced; the name of the storage class according to etcd is in
         * ObjectMeta.Name.
         */
        class StorageClass extends pulumi.CustomResource {
            /**
             * AllowVolumeExpansion shows whether the storage class allow volume expand
             */
            readonly allowVolumeExpansion: pulumi.Output<boolean>;
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Dynamically provisioned PersistentVolumes of this storage class are created with these
             * mountOptions, e.g. ["ro", "soft"]. Not validated - mount of the PVs will simply fail if one
             * is invalid.
             */
            readonly mountOptions: pulumi.Output<string[]>;
            /**
             * Parameters holds the parameters for the provisioner that should create volumes of this
             * storage class.
             */
            readonly parameters: pulumi.Output<{
                [key: string]: pulumi.Output<string>;
            }>;
            /**
             * Provisioner indicates the type of the provisioner.
             */
            readonly provisioner: pulumi.Output<string>;
            /**
             * Dynamically provisioned PersistentVolumes of this storage class are created with this
             * reclaimPolicy. Defaults to Delete.
             */
            readonly reclaimPolicy: pulumi.Output<string>;
            /**
             * VolumeBindingMode indicates how PersistentVolumeClaims should be provisioned and bound.
             * When unset, VolumeBindingImmediate is used. This field is alpha-level and is only honored
             * by servers that enable the VolumeScheduling feature.
             */
            readonly volumeBindingMode: pulumi.Output<string>;
            /**
             * Get the state of an existing `StorageClass` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): StorageClass;
            getInputs(): inputApi.storage.v1.StorageClass;
            private readonly __inputs;
            /**
            * Create a storage.v1.StorageClass resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.storage.v1.StorageClass, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * StorageClassList is a collection of storage classes.
         */
        class StorageClassList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is the list of StorageClasses
             */
            readonly items: pulumi.Output<outputApi.storage.v1.StorageClass[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `StorageClassList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): StorageClassList;
            getInputs(): inputApi.storage.v1.StorageClassList;
            private readonly __inputs;
            /**
            * Create a storage.v1.StorageClassList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.storage.v1.StorageClassList, opts?: pulumi.CustomResourceOptions);
        }
    }
    namespace v1alpha1 {
        /**
         * VolumeAttachment captures the intent to attach or detach the specified volume to/from the
         * specified node.
         *
         * VolumeAttachment objects are non-namespaced.
         */
        class VolumeAttachment extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Specification of the desired attach/detach volume behavior. Populated by the Kubernetes
             * system.
             */
            readonly spec: pulumi.Output<outputApi.storage.v1alpha1.VolumeAttachmentSpec>;
            /**
             * Status of the VolumeAttachment request. Populated by the entity completing the attach or
             * detach operation, i.e. the external-attacher.
             */
            readonly status: pulumi.Output<outputApi.storage.v1alpha1.VolumeAttachmentStatus>;
            /**
             * Get the state of an existing `VolumeAttachment` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): VolumeAttachment;
            getInputs(): inputApi.storage.v1alpha1.VolumeAttachment;
            private readonly __inputs;
            /**
            * Create a storage.v1alpha1.VolumeAttachment resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.storage.v1alpha1.VolumeAttachment, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * VolumeAttachmentList is a collection of VolumeAttachment objects.
         */
        class VolumeAttachmentList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is the list of VolumeAttachments
             */
            readonly items: pulumi.Output<outputApi.storage.v1alpha1.VolumeAttachment[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `VolumeAttachmentList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): VolumeAttachmentList;
            getInputs(): inputApi.storage.v1alpha1.VolumeAttachmentList;
            private readonly __inputs;
            /**
            * Create a storage.v1alpha1.VolumeAttachmentList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.storage.v1alpha1.VolumeAttachmentList, opts?: pulumi.CustomResourceOptions);
        }
    }
    namespace v1beta1 {
        /**
         * StorageClass describes the parameters for a class of storage for which PersistentVolumes can
         * be dynamically provisioned.
         *
         * StorageClasses are non-namespaced; the name of the storage class according to etcd is in
         * ObjectMeta.Name.
         */
        class StorageClass extends pulumi.CustomResource {
            /**
             * AllowVolumeExpansion shows whether the storage class allow volume expand
             */
            readonly allowVolumeExpansion: pulumi.Output<boolean>;
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard object's metadata. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ObjectMeta>;
            /**
             * Dynamically provisioned PersistentVolumes of this storage class are created with these
             * mountOptions, e.g. ["ro", "soft"]. Not validated - mount of the PVs will simply fail if one
             * is invalid.
             */
            readonly mountOptions: pulumi.Output<string[]>;
            /**
             * Parameters holds the parameters for the provisioner that should create volumes of this
             * storage class.
             */
            readonly parameters: pulumi.Output<{
                [key: string]: pulumi.Output<string>;
            }>;
            /**
             * Provisioner indicates the type of the provisioner.
             */
            readonly provisioner: pulumi.Output<string>;
            /**
             * Dynamically provisioned PersistentVolumes of this storage class are created with this
             * reclaimPolicy. Defaults to Delete.
             */
            readonly reclaimPolicy: pulumi.Output<string>;
            /**
             * VolumeBindingMode indicates how PersistentVolumeClaims should be provisioned and bound.
             * When unset, VolumeBindingImmediate is used. This field is alpha-level and is only honored
             * by servers that enable the VolumeScheduling feature.
             */
            readonly volumeBindingMode: pulumi.Output<string>;
            /**
             * Get the state of an existing `StorageClass` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): StorageClass;
            getInputs(): inputApi.storage.v1beta1.StorageClass;
            private readonly __inputs;
            /**
            * Create a storage.v1beta1.StorageClass resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.storage.v1beta1.StorageClass, opts?: pulumi.CustomResourceOptions);
        }
        /**
         * StorageClassList is a collection of storage classes.
         */
        class StorageClassList extends pulumi.CustomResource {
            /**
             * APIVersion defines the versioned schema of this representation of an object. Servers should
             * convert recognized schemas to the latest internal value, and may reject unrecognized
             * values. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#resources
             */
            readonly apiVersion: pulumi.Output<string>;
            /**
             * Items is the list of StorageClasses
             */
            readonly items: pulumi.Output<outputApi.storage.v1beta1.StorageClass[]>;
            /**
             * Kind is a string value representing the REST resource this object represents. Servers may
             * infer this from the endpoint the client submits requests to. Cannot be updated. In
             * CamelCase. More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#types-kinds
             */
            readonly kind: pulumi.Output<string>;
            /**
             * Standard list metadata More info:
             * https://git.k8s.io/community/contributors/devel/api-conventions.md#metadata
             */
            readonly metadata: pulumi.Output<outputApi.meta.v1.ListMeta>;
            /**
             * Get the state of an existing `StorageClassList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name: string, id: pulumi.Input<pulumi.ID>): StorageClassList;
            getInputs(): inputApi.storage.v1beta1.StorageClassList;
            private readonly __inputs;
            /**
            * Create a storage.v1beta1.StorageClassList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name: string, args?: inputApi.storage.v1beta1.StorageClassList, opts?: pulumi.CustomResourceOptions);
        }
    }
}
