"use strict";
// *** WARNING: this file was generated by the Pulumi Kubernetes codegen tool. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const pulumi = require("@pulumi/pulumi");
const jsyaml = require("js-yaml");
const glob = require("glob");
var yaml;
(function (yaml) {
    function parse(config, opts) {
        let resources = {};
        if (config.files !== undefined) {
            let files = [];
            if (typeof config.files === 'string') {
                files = glob.sync(config.files);
            }
            else {
                for (const file of config.files) {
                    files.push(...glob.sync(file));
                }
            }
            for (const file of files) {
                const cf = new ConfigFile(file, { file: file, transformations: config.transformations }, opts);
                if (cf != null) {
                    resources = Object.assign({}, resources, cf.resources);
                }
            }
        }
        if (config.yaml !== undefined) {
            let yamlTexts = [];
            if (typeof config.yaml === 'string') {
                yamlTexts.push(config.yaml);
            }
            else {
                yamlTexts.push(...config.yaml);
            }
            for (const text of yamlTexts) {
                const objs = jsyaml.safeLoadAll(text);
                const docResources = parseYamlDocument({ objs: objs, transformations: config.transformations }, opts);
                resources = Object.assign({}, resources, docResources);
            }
        }
        if (config.objs !== undefined) {
            const objs = Array.isArray(config.objs) ? config.objs : [config.objs];
            const docResources = parseYamlDocument({ objs: objs, transformations: config.transformations }, opts);
            resources = Object.assign({}, resources, docResources);
        }
        return resources;
    }
    yaml.parse = parse;
    class CollectionComponentResource extends pulumi.ComponentResource {
        constructor(resourceType, name, config, opts) {
            super(resourceType, name, config, opts);
        }
        getResource(groupVersionKind, namespaceOrName, name) {
            return this.getResourceImpl(groupVersionKind, namespaceOrName, name);
        }
        getCustomResource(groupVersionKind, namespaceOrName, name) {
            return this.getResourceImpl(groupVersionKind, namespaceOrName, name);
        }
        getResourceImpl(groupVersionKind, namespaceOrName, name) {
            // `id` will either be `${name}` or `${namespace}/${name}`.
            let id = namespaceOrName;
            if (name !== undefined) {
                id = `${namespaceOrName}/${name}`;
            }
            return this.resources[`${groupVersionKind}::${id}`];
        }
    }
    yaml.CollectionComponentResource = CollectionComponentResource;
    /**
     * ConfigGroup creates a set of Kubernetes resources from Kubernetes YAML text. The YAML text
     * may be supplied using any of the following `ConfigGroupOpts`:
     *
     *   1. Using a filename or a list of filenames:
     *        a. `{files: "foo.yaml"}`
     *        b. `{files: ["foo.yaml", "bar.yaml"]}`
     *   2. Using a file pattern or a list of file patterns:
     *        a. `{files: "*.yaml"}`
     *        b. `{files: ["foo/*.yaml", "bar/*.yaml"]}`
     *   3. Using a literal string containing YAML, or a list of such strings:
     *        a. `{yaml: "(LITERAL YAML HERE)"}`
     *        b. `{yaml: ["(LITERAL YAML HERE)", "(MORE YAML)"]}`
     *   4. Any combination of files, patterns, or YAML strings:
     *        a. `{files: "foo.yaml", yaml: "(LITERAL YAML HERE)"}`
     */
    class ConfigGroup extends CollectionComponentResource {
        constructor(name, config, opts) {
            super("kubernetes:yaml:ConfigGroup", name, config, opts);
            this.resources = parse(config, { parent: this });
        }
    }
    yaml.ConfigGroup = ConfigGroup;
    /**
     * ConfigFile creates a set of Kubernetes resources from Kubernetes YAML file. If `config.name`
     * is not specified, `ConfigFile` assumes the argument `name` is the filename.
     */
    class ConfigFile extends CollectionComponentResource {
        constructor(name, config, opts) {
            super("kubernetes:yaml:ConfigFile", name, config, opts);
            const text = fs.readFileSync(config && config.file || name).toString();
            const objs = jsyaml.safeLoadAll(text);
            this.resources = parseYamlDocument({
                objs: objs,
                transformations: config && config.transformations || []
            }, { parent: this });
        }
    }
    yaml.ConfigFile = ConfigFile;
    function parseYamlDocument(config, opts) {
        let resources = {};
        for (const obj of config.objs) {
            const fileObjects = parseYamlObject(obj, config.transformations, opts);
            for (const fileObject of fileObjects) {
                resources[fileObject.name] = fileObject.resource;
            }
        }
        return resources;
    }
    function parseYamlObject(obj, transformations, opts) {
        if (obj == null || Object.keys(obj).length == 0) {
            return [];
        }
        // Allow users to change API objects before any validation.
        for (const t of transformations || []) {
            t(obj);
        }
        if (!("kind" in obj && "apiVersion" in obj)) {
            throw new Error(`Kubernetes resources require a kind and apiVersion: ${JSON.stringify(obj)}`);
        }
        const kind = obj["kind"];
        const apiVersion = obj["apiVersion"];
        // Flatten `v1.List`. `v1.List` is an undocumented Kubernetes resource, and does not appear
        // in the Kubernetes OpenAPI spec. `kubectl`, ksonnet, and Helm all flatten it.
        if (apiVersion == "v1" && kind == "List") {
            const objs = [];
            const items = obj["items"] || [];
            for (const item of items) {
                objs.push(...parseYamlObject(item, transformations, opts));
            }
            return objs;
        }
        if (!("metadata" in obj) || !("name" in obj["metadata"])) {
            throw new Error(`YAML object does not have a .metadata.name: ${JSON.stringify(obj)}`);
        }
        const meta = obj["metadata"];
        let id = meta["name"];
        const namespace = meta["namespace"] || undefined;
        if (namespace !== undefined) {
            id = `${namespace}/${id}`;
        }
        switch (`${apiVersion}/${kind}`) {
            case "admissionregistration.k8s.io/v1alpha1/InitializerConfiguration":
                return [{
                        name: `admissionregistration.k8s.io/v1alpha1/InitializerConfiguration::${id}`,
                        resource: new admissionregistration.v1alpha1.InitializerConfiguration(id, obj, opts),
                    }];
            case "admissionregistration.k8s.io/v1alpha1/InitializerConfigurationList":
                return [{
                        name: `admissionregistration.k8s.io/v1alpha1/InitializerConfigurationList::${id}`,
                        resource: new admissionregistration.v1alpha1.InitializerConfigurationList(id, obj, opts),
                    }];
            case "admissionregistration.k8s.io/v1beta1/MutatingWebhookConfiguration":
                return [{
                        name: `admissionregistration.k8s.io/v1beta1/MutatingWebhookConfiguration::${id}`,
                        resource: new admissionregistration.v1beta1.MutatingWebhookConfiguration(id, obj, opts),
                    }];
            case "admissionregistration.k8s.io/v1beta1/MutatingWebhookConfigurationList":
                return [{
                        name: `admissionregistration.k8s.io/v1beta1/MutatingWebhookConfigurationList::${id}`,
                        resource: new admissionregistration.v1beta1.MutatingWebhookConfigurationList(id, obj, opts),
                    }];
            case "admissionregistration.k8s.io/v1beta1/ValidatingWebhookConfiguration":
                return [{
                        name: `admissionregistration.k8s.io/v1beta1/ValidatingWebhookConfiguration::${id}`,
                        resource: new admissionregistration.v1beta1.ValidatingWebhookConfiguration(id, obj, opts),
                    }];
            case "admissionregistration.k8s.io/v1beta1/ValidatingWebhookConfigurationList":
                return [{
                        name: `admissionregistration.k8s.io/v1beta1/ValidatingWebhookConfigurationList::${id}`,
                        resource: new admissionregistration.v1beta1.ValidatingWebhookConfigurationList(id, obj, opts),
                    }];
            case "apiextensions.k8s.io/v1beta1/CustomResourceDefinition":
                return [{
                        name: `apiextensions.k8s.io/v1beta1/CustomResourceDefinition::${id}`,
                        resource: new apiextensions.v1beta1.CustomResourceDefinition(id, obj, opts),
                    }];
            case "apiextensions.k8s.io/v1beta1/CustomResourceDefinitionList":
                return [{
                        name: `apiextensions.k8s.io/v1beta1/CustomResourceDefinitionList::${id}`,
                        resource: new apiextensions.v1beta1.CustomResourceDefinitionList(id, obj, opts),
                    }];
            case "apiregistration/v1beta1/APIService":
                return [{
                        name: `apiregistration/v1beta1/APIService::${id}`,
                        resource: new apiregistration.v1beta1.APIService(id, obj, opts),
                    }];
            case "apiregistration/v1beta1/APIServiceList":
                return [{
                        name: `apiregistration/v1beta1/APIServiceList::${id}`,
                        resource: new apiregistration.v1beta1.APIServiceList(id, obj, opts),
                    }];
            case "apps/v1/ControllerRevision":
                return [{
                        name: `apps/v1/ControllerRevision::${id}`,
                        resource: new apps.v1.ControllerRevision(id, obj, opts),
                    }];
            case "apps/v1/ControllerRevisionList":
                return [{
                        name: `apps/v1/ControllerRevisionList::${id}`,
                        resource: new apps.v1.ControllerRevisionList(id, obj, opts),
                    }];
            case "apps/v1/DaemonSet":
                return [{
                        name: `apps/v1/DaemonSet::${id}`,
                        resource: new apps.v1.DaemonSet(id, obj, opts),
                    }];
            case "apps/v1/DaemonSetList":
                return [{
                        name: `apps/v1/DaemonSetList::${id}`,
                        resource: new apps.v1.DaemonSetList(id, obj, opts),
                    }];
            case "apps/v1/Deployment":
                return [{
                        name: `apps/v1/Deployment::${id}`,
                        resource: new apps.v1.Deployment(id, obj, opts),
                    }];
            case "apps/v1/DeploymentList":
                return [{
                        name: `apps/v1/DeploymentList::${id}`,
                        resource: new apps.v1.DeploymentList(id, obj, opts),
                    }];
            case "apps/v1/ReplicaSet":
                return [{
                        name: `apps/v1/ReplicaSet::${id}`,
                        resource: new apps.v1.ReplicaSet(id, obj, opts),
                    }];
            case "apps/v1/ReplicaSetList":
                return [{
                        name: `apps/v1/ReplicaSetList::${id}`,
                        resource: new apps.v1.ReplicaSetList(id, obj, opts),
                    }];
            case "apps/v1/StatefulSet":
                return [{
                        name: `apps/v1/StatefulSet::${id}`,
                        resource: new apps.v1.StatefulSet(id, obj, opts),
                    }];
            case "apps/v1/StatefulSetList":
                return [{
                        name: `apps/v1/StatefulSetList::${id}`,
                        resource: new apps.v1.StatefulSetList(id, obj, opts),
                    }];
            case "apps/v1beta1/ControllerRevision":
                return [{
                        name: `apps/v1beta1/ControllerRevision::${id}`,
                        resource: new apps.v1beta1.ControllerRevision(id, obj, opts),
                    }];
            case "apps/v1beta1/ControllerRevisionList":
                return [{
                        name: `apps/v1beta1/ControllerRevisionList::${id}`,
                        resource: new apps.v1beta1.ControllerRevisionList(id, obj, opts),
                    }];
            case "apps/v1beta1/Deployment":
                return [{
                        name: `apps/v1beta1/Deployment::${id}`,
                        resource: new apps.v1beta1.Deployment(id, obj, opts),
                    }];
            case "apps/v1beta1/DeploymentList":
                return [{
                        name: `apps/v1beta1/DeploymentList::${id}`,
                        resource: new apps.v1beta1.DeploymentList(id, obj, opts),
                    }];
            case "apps/v1beta1/DeploymentRollback":
                return [{
                        name: `apps/v1beta1/DeploymentRollback::${id}`,
                        resource: new apps.v1beta1.DeploymentRollback(id, obj, opts),
                    }];
            case "apps/v1beta1/Scale":
                return [{
                        name: `apps/v1beta1/Scale::${id}`,
                        resource: new apps.v1beta1.Scale(id, obj, opts),
                    }];
            case "apps/v1beta1/StatefulSet":
                return [{
                        name: `apps/v1beta1/StatefulSet::${id}`,
                        resource: new apps.v1beta1.StatefulSet(id, obj, opts),
                    }];
            case "apps/v1beta1/StatefulSetList":
                return [{
                        name: `apps/v1beta1/StatefulSetList::${id}`,
                        resource: new apps.v1beta1.StatefulSetList(id, obj, opts),
                    }];
            case "apps/v1beta2/ControllerRevision":
                return [{
                        name: `apps/v1beta2/ControllerRevision::${id}`,
                        resource: new apps.v1beta2.ControllerRevision(id, obj, opts),
                    }];
            case "apps/v1beta2/ControllerRevisionList":
                return [{
                        name: `apps/v1beta2/ControllerRevisionList::${id}`,
                        resource: new apps.v1beta2.ControllerRevisionList(id, obj, opts),
                    }];
            case "apps/v1beta2/DaemonSet":
                return [{
                        name: `apps/v1beta2/DaemonSet::${id}`,
                        resource: new apps.v1beta2.DaemonSet(id, obj, opts),
                    }];
            case "apps/v1beta2/DaemonSetList":
                return [{
                        name: `apps/v1beta2/DaemonSetList::${id}`,
                        resource: new apps.v1beta2.DaemonSetList(id, obj, opts),
                    }];
            case "apps/v1beta2/Deployment":
                return [{
                        name: `apps/v1beta2/Deployment::${id}`,
                        resource: new apps.v1beta2.Deployment(id, obj, opts),
                    }];
            case "apps/v1beta2/DeploymentList":
                return [{
                        name: `apps/v1beta2/DeploymentList::${id}`,
                        resource: new apps.v1beta2.DeploymentList(id, obj, opts),
                    }];
            case "apps/v1beta2/ReplicaSet":
                return [{
                        name: `apps/v1beta2/ReplicaSet::${id}`,
                        resource: new apps.v1beta2.ReplicaSet(id, obj, opts),
                    }];
            case "apps/v1beta2/ReplicaSetList":
                return [{
                        name: `apps/v1beta2/ReplicaSetList::${id}`,
                        resource: new apps.v1beta2.ReplicaSetList(id, obj, opts),
                    }];
            case "apps/v1beta2/Scale":
                return [{
                        name: `apps/v1beta2/Scale::${id}`,
                        resource: new apps.v1beta2.Scale(id, obj, opts),
                    }];
            case "apps/v1beta2/StatefulSet":
                return [{
                        name: `apps/v1beta2/StatefulSet::${id}`,
                        resource: new apps.v1beta2.StatefulSet(id, obj, opts),
                    }];
            case "apps/v1beta2/StatefulSetList":
                return [{
                        name: `apps/v1beta2/StatefulSetList::${id}`,
                        resource: new apps.v1beta2.StatefulSetList(id, obj, opts),
                    }];
            case "authentication.k8s.io/v1/TokenReview":
                return [{
                        name: `authentication.k8s.io/v1/TokenReview::${id}`,
                        resource: new authentication.v1.TokenReview(id, obj, opts),
                    }];
            case "authentication.k8s.io/v1beta1/TokenReview":
                return [{
                        name: `authentication.k8s.io/v1beta1/TokenReview::${id}`,
                        resource: new authentication.v1beta1.TokenReview(id, obj, opts),
                    }];
            case "authorization.k8s.io/v1/LocalSubjectAccessReview":
                return [{
                        name: `authorization.k8s.io/v1/LocalSubjectAccessReview::${id}`,
                        resource: new authorization.v1.LocalSubjectAccessReview(id, obj, opts),
                    }];
            case "authorization.k8s.io/v1/SelfSubjectAccessReview":
                return [{
                        name: `authorization.k8s.io/v1/SelfSubjectAccessReview::${id}`,
                        resource: new authorization.v1.SelfSubjectAccessReview(id, obj, opts),
                    }];
            case "authorization.k8s.io/v1/SelfSubjectRulesReview":
                return [{
                        name: `authorization.k8s.io/v1/SelfSubjectRulesReview::${id}`,
                        resource: new authorization.v1.SelfSubjectRulesReview(id, obj, opts),
                    }];
            case "authorization.k8s.io/v1/SubjectAccessReview":
                return [{
                        name: `authorization.k8s.io/v1/SubjectAccessReview::${id}`,
                        resource: new authorization.v1.SubjectAccessReview(id, obj, opts),
                    }];
            case "authorization.k8s.io/v1beta1/LocalSubjectAccessReview":
                return [{
                        name: `authorization.k8s.io/v1beta1/LocalSubjectAccessReview::${id}`,
                        resource: new authorization.v1beta1.LocalSubjectAccessReview(id, obj, opts),
                    }];
            case "authorization.k8s.io/v1beta1/SelfSubjectAccessReview":
                return [{
                        name: `authorization.k8s.io/v1beta1/SelfSubjectAccessReview::${id}`,
                        resource: new authorization.v1beta1.SelfSubjectAccessReview(id, obj, opts),
                    }];
            case "authorization.k8s.io/v1beta1/SelfSubjectRulesReview":
                return [{
                        name: `authorization.k8s.io/v1beta1/SelfSubjectRulesReview::${id}`,
                        resource: new authorization.v1beta1.SelfSubjectRulesReview(id, obj, opts),
                    }];
            case "authorization.k8s.io/v1beta1/SubjectAccessReview":
                return [{
                        name: `authorization.k8s.io/v1beta1/SubjectAccessReview::${id}`,
                        resource: new authorization.v1beta1.SubjectAccessReview(id, obj, opts),
                    }];
            case "autoscaling/v1/CrossVersionObjectReference":
                return [{
                        name: `autoscaling/v1/CrossVersionObjectReference::${id}`,
                        resource: new autoscaling.v1.CrossVersionObjectReference(id, obj, opts),
                    }];
            case "autoscaling/v1/HorizontalPodAutoscaler":
                return [{
                        name: `autoscaling/v1/HorizontalPodAutoscaler::${id}`,
                        resource: new autoscaling.v1.HorizontalPodAutoscaler(id, obj, opts),
                    }];
            case "autoscaling/v1/HorizontalPodAutoscalerList":
                return [{
                        name: `autoscaling/v1/HorizontalPodAutoscalerList::${id}`,
                        resource: new autoscaling.v1.HorizontalPodAutoscalerList(id, obj, opts),
                    }];
            case "autoscaling/v1/Scale":
                return [{
                        name: `autoscaling/v1/Scale::${id}`,
                        resource: new autoscaling.v1.Scale(id, obj, opts),
                    }];
            case "autoscaling/v2beta1/CrossVersionObjectReference":
                return [{
                        name: `autoscaling/v2beta1/CrossVersionObjectReference::${id}`,
                        resource: new autoscaling.v2beta1.CrossVersionObjectReference(id, obj, opts),
                    }];
            case "autoscaling/v2beta1/HorizontalPodAutoscaler":
                return [{
                        name: `autoscaling/v2beta1/HorizontalPodAutoscaler::${id}`,
                        resource: new autoscaling.v2beta1.HorizontalPodAutoscaler(id, obj, opts),
                    }];
            case "autoscaling/v2beta1/HorizontalPodAutoscalerList":
                return [{
                        name: `autoscaling/v2beta1/HorizontalPodAutoscalerList::${id}`,
                        resource: new autoscaling.v2beta1.HorizontalPodAutoscalerList(id, obj, opts),
                    }];
            case "batch/v1/Job":
                return [{
                        name: `batch/v1/Job::${id}`,
                        resource: new batch.v1.Job(id, obj, opts),
                    }];
            case "batch/v1/JobList":
                return [{
                        name: `batch/v1/JobList::${id}`,
                        resource: new batch.v1.JobList(id, obj, opts),
                    }];
            case "batch/v1beta1/CronJob":
                return [{
                        name: `batch/v1beta1/CronJob::${id}`,
                        resource: new batch.v1beta1.CronJob(id, obj, opts),
                    }];
            case "batch/v1beta1/CronJobList":
                return [{
                        name: `batch/v1beta1/CronJobList::${id}`,
                        resource: new batch.v1beta1.CronJobList(id, obj, opts),
                    }];
            case "batch/v2alpha1/CronJob":
                return [{
                        name: `batch/v2alpha1/CronJob::${id}`,
                        resource: new batch.v2alpha1.CronJob(id, obj, opts),
                    }];
            case "batch/v2alpha1/CronJobList":
                return [{
                        name: `batch/v2alpha1/CronJobList::${id}`,
                        resource: new batch.v2alpha1.CronJobList(id, obj, opts),
                    }];
            case "certificates.k8s.io/v1beta1/CertificateSigningRequest":
                return [{
                        name: `certificates.k8s.io/v1beta1/CertificateSigningRequest::${id}`,
                        resource: new certificates.v1beta1.CertificateSigningRequest(id, obj, opts),
                    }];
            case "certificates.k8s.io/v1beta1/CertificateSigningRequestList":
                return [{
                        name: `certificates.k8s.io/v1beta1/CertificateSigningRequestList::${id}`,
                        resource: new certificates.v1beta1.CertificateSigningRequestList(id, obj, opts),
                    }];
            case "v1/Binding":
                return [{
                        name: `v1/Binding::${id}`,
                        resource: new core.v1.Binding(id, obj, opts),
                    }];
            case "v1/ComponentStatus":
                return [{
                        name: `v1/ComponentStatus::${id}`,
                        resource: new core.v1.ComponentStatus(id, obj, opts),
                    }];
            case "v1/ComponentStatusList":
                return [{
                        name: `v1/ComponentStatusList::${id}`,
                        resource: new core.v1.ComponentStatusList(id, obj, opts),
                    }];
            case "v1/ConfigMap":
                return [{
                        name: `v1/ConfigMap::${id}`,
                        resource: new core.v1.ConfigMap(id, obj, opts),
                    }];
            case "v1/ConfigMapList":
                return [{
                        name: `v1/ConfigMapList::${id}`,
                        resource: new core.v1.ConfigMapList(id, obj, opts),
                    }];
            case "v1/Endpoints":
                return [{
                        name: `v1/Endpoints::${id}`,
                        resource: new core.v1.Endpoints(id, obj, opts),
                    }];
            case "v1/EndpointsList":
                return [{
                        name: `v1/EndpointsList::${id}`,
                        resource: new core.v1.EndpointsList(id, obj, opts),
                    }];
            case "v1/Event":
                return [{
                        name: `v1/Event::${id}`,
                        resource: new core.v1.Event(id, obj, opts),
                    }];
            case "v1/EventList":
                return [{
                        name: `v1/EventList::${id}`,
                        resource: new core.v1.EventList(id, obj, opts),
                    }];
            case "v1/LimitRange":
                return [{
                        name: `v1/LimitRange::${id}`,
                        resource: new core.v1.LimitRange(id, obj, opts),
                    }];
            case "v1/LimitRangeList":
                return [{
                        name: `v1/LimitRangeList::${id}`,
                        resource: new core.v1.LimitRangeList(id, obj, opts),
                    }];
            case "v1/Namespace":
                return [{
                        name: `v1/Namespace::${id}`,
                        resource: new core.v1.Namespace(id, obj, opts),
                    }];
            case "v1/NamespaceList":
                return [{
                        name: `v1/NamespaceList::${id}`,
                        resource: new core.v1.NamespaceList(id, obj, opts),
                    }];
            case "v1/Node":
                return [{
                        name: `v1/Node::${id}`,
                        resource: new core.v1.Node(id, obj, opts),
                    }];
            case "v1/NodeConfigSource":
                return [{
                        name: `v1/NodeConfigSource::${id}`,
                        resource: new core.v1.NodeConfigSource(id, obj, opts),
                    }];
            case "v1/NodeList":
                return [{
                        name: `v1/NodeList::${id}`,
                        resource: new core.v1.NodeList(id, obj, opts),
                    }];
            case "core/v1/ObjectReference":
                return [{
                        name: `core/v1/ObjectReference::${id}`,
                        resource: new core.v1.ObjectReference(id, obj, opts),
                    }];
            case "v1/PersistentVolume":
                return [{
                        name: `v1/PersistentVolume::${id}`,
                        resource: new core.v1.PersistentVolume(id, obj, opts),
                    }];
            case "v1/PersistentVolumeClaim":
                return [{
                        name: `v1/PersistentVolumeClaim::${id}`,
                        resource: new core.v1.PersistentVolumeClaim(id, obj, opts),
                    }];
            case "v1/PersistentVolumeClaimList":
                return [{
                        name: `v1/PersistentVolumeClaimList::${id}`,
                        resource: new core.v1.PersistentVolumeClaimList(id, obj, opts),
                    }];
            case "v1/PersistentVolumeList":
                return [{
                        name: `v1/PersistentVolumeList::${id}`,
                        resource: new core.v1.PersistentVolumeList(id, obj, opts),
                    }];
            case "v1/Pod":
                return [{
                        name: `v1/Pod::${id}`,
                        resource: new core.v1.Pod(id, obj, opts),
                    }];
            case "v1/PodList":
                return [{
                        name: `v1/PodList::${id}`,
                        resource: new core.v1.PodList(id, obj, opts),
                    }];
            case "v1/PodTemplate":
                return [{
                        name: `v1/PodTemplate::${id}`,
                        resource: new core.v1.PodTemplate(id, obj, opts),
                    }];
            case "v1/PodTemplateList":
                return [{
                        name: `v1/PodTemplateList::${id}`,
                        resource: new core.v1.PodTemplateList(id, obj, opts),
                    }];
            case "v1/ReplicationController":
                return [{
                        name: `v1/ReplicationController::${id}`,
                        resource: new core.v1.ReplicationController(id, obj, opts),
                    }];
            case "v1/ReplicationControllerList":
                return [{
                        name: `v1/ReplicationControllerList::${id}`,
                        resource: new core.v1.ReplicationControllerList(id, obj, opts),
                    }];
            case "v1/ResourceQuota":
                return [{
                        name: `v1/ResourceQuota::${id}`,
                        resource: new core.v1.ResourceQuota(id, obj, opts),
                    }];
            case "v1/ResourceQuotaList":
                return [{
                        name: `v1/ResourceQuotaList::${id}`,
                        resource: new core.v1.ResourceQuotaList(id, obj, opts),
                    }];
            case "v1/Secret":
                return [{
                        name: `v1/Secret::${id}`,
                        resource: new core.v1.Secret(id, obj, opts),
                    }];
            case "v1/SecretList":
                return [{
                        name: `v1/SecretList::${id}`,
                        resource: new core.v1.SecretList(id, obj, opts),
                    }];
            case "v1/Service":
                return [{
                        name: `v1/Service::${id}`,
                        resource: new core.v1.Service(id, obj, opts),
                    }];
            case "v1/ServiceAccount":
                return [{
                        name: `v1/ServiceAccount::${id}`,
                        resource: new core.v1.ServiceAccount(id, obj, opts),
                    }];
            case "v1/ServiceAccountList":
                return [{
                        name: `v1/ServiceAccountList::${id}`,
                        resource: new core.v1.ServiceAccountList(id, obj, opts),
                    }];
            case "v1/ServiceList":
                return [{
                        name: `v1/ServiceList::${id}`,
                        resource: new core.v1.ServiceList(id, obj, opts),
                    }];
            case "events.k8s.io/v1beta1/Event":
                return [{
                        name: `events.k8s.io/v1beta1/Event::${id}`,
                        resource: new events.v1beta1.Event(id, obj, opts),
                    }];
            case "events.k8s.io/v1beta1/EventList":
                return [{
                        name: `events.k8s.io/v1beta1/EventList::${id}`,
                        resource: new events.v1beta1.EventList(id, obj, opts),
                    }];
            case "extensions/v1beta1/DaemonSet":
                return [{
                        name: `extensions/v1beta1/DaemonSet::${id}`,
                        resource: new extensions.v1beta1.DaemonSet(id, obj, opts),
                    }];
            case "extensions/v1beta1/DaemonSetList":
                return [{
                        name: `extensions/v1beta1/DaemonSetList::${id}`,
                        resource: new extensions.v1beta1.DaemonSetList(id, obj, opts),
                    }];
            case "extensions/v1beta1/Deployment":
                return [{
                        name: `extensions/v1beta1/Deployment::${id}`,
                        resource: new extensions.v1beta1.Deployment(id, obj, opts),
                    }];
            case "extensions/v1beta1/DeploymentList":
                return [{
                        name: `extensions/v1beta1/DeploymentList::${id}`,
                        resource: new extensions.v1beta1.DeploymentList(id, obj, opts),
                    }];
            case "extensions/v1beta1/DeploymentRollback":
                return [{
                        name: `extensions/v1beta1/DeploymentRollback::${id}`,
                        resource: new extensions.v1beta1.DeploymentRollback(id, obj, opts),
                    }];
            case "extensions/v1beta1/Ingress":
                return [{
                        name: `extensions/v1beta1/Ingress::${id}`,
                        resource: new extensions.v1beta1.Ingress(id, obj, opts),
                    }];
            case "extensions/v1beta1/IngressList":
                return [{
                        name: `extensions/v1beta1/IngressList::${id}`,
                        resource: new extensions.v1beta1.IngressList(id, obj, opts),
                    }];
            case "extensions/v1beta1/NetworkPolicy":
                return [{
                        name: `extensions/v1beta1/NetworkPolicy::${id}`,
                        resource: new extensions.v1beta1.NetworkPolicy(id, obj, opts),
                    }];
            case "extensions/v1beta1/NetworkPolicyList":
                return [{
                        name: `extensions/v1beta1/NetworkPolicyList::${id}`,
                        resource: new extensions.v1beta1.NetworkPolicyList(id, obj, opts),
                    }];
            case "extensions/v1beta1/PodSecurityPolicy":
                return [{
                        name: `extensions/v1beta1/PodSecurityPolicy::${id}`,
                        resource: new extensions.v1beta1.PodSecurityPolicy(id, obj, opts),
                    }];
            case "extensions/v1beta1/PodSecurityPolicyList":
                return [{
                        name: `extensions/v1beta1/PodSecurityPolicyList::${id}`,
                        resource: new extensions.v1beta1.PodSecurityPolicyList(id, obj, opts),
                    }];
            case "extensions/v1beta1/ReplicaSet":
                return [{
                        name: `extensions/v1beta1/ReplicaSet::${id}`,
                        resource: new extensions.v1beta1.ReplicaSet(id, obj, opts),
                    }];
            case "extensions/v1beta1/ReplicaSetList":
                return [{
                        name: `extensions/v1beta1/ReplicaSetList::${id}`,
                        resource: new extensions.v1beta1.ReplicaSetList(id, obj, opts),
                    }];
            case "extensions/v1beta1/Scale":
                return [{
                        name: `extensions/v1beta1/Scale::${id}`,
                        resource: new extensions.v1beta1.Scale(id, obj, opts),
                    }];
            case "v1/APIGroup":
                return [{
                        name: `v1/APIGroup::${id}`,
                        resource: new meta.v1.APIGroup(id, obj, opts),
                    }];
            case "v1/APIGroupList":
                return [{
                        name: `v1/APIGroupList::${id}`,
                        resource: new meta.v1.APIGroupList(id, obj, opts),
                    }];
            case "v1/APIResourceList":
                return [{
                        name: `v1/APIResourceList::${id}`,
                        resource: new meta.v1.APIResourceList(id, obj, opts),
                    }];
            case "v1/APIVersions":
                return [{
                        name: `v1/APIVersions::${id}`,
                        resource: new meta.v1.APIVersions(id, obj, opts),
                    }];
            case "v1/DeleteOptions":
                return [{
                        name: `v1/DeleteOptions::${id}`,
                        resource: new meta.v1.DeleteOptions(id, obj, opts),
                    }];
            case "meta/v1/OwnerReference":
                return [{
                        name: `meta/v1/OwnerReference::${id}`,
                        resource: new meta.v1.OwnerReference(id, obj, opts),
                    }];
            case "v1/Status":
                return [{
                        name: `v1/Status::${id}`,
                        resource: new meta.v1.Status(id, obj, opts),
                    }];
            case "networking.k8s.io/v1/NetworkPolicy":
                return [{
                        name: `networking.k8s.io/v1/NetworkPolicy::${id}`,
                        resource: new networking.v1.NetworkPolicy(id, obj, opts),
                    }];
            case "networking.k8s.io/v1/NetworkPolicyList":
                return [{
                        name: `networking.k8s.io/v1/NetworkPolicyList::${id}`,
                        resource: new networking.v1.NetworkPolicyList(id, obj, opts),
                    }];
            case "policy/v1beta1/Eviction":
                return [{
                        name: `policy/v1beta1/Eviction::${id}`,
                        resource: new policy.v1beta1.Eviction(id, obj, opts),
                    }];
            case "policy/v1beta1/PodDisruptionBudget":
                return [{
                        name: `policy/v1beta1/PodDisruptionBudget::${id}`,
                        resource: new policy.v1beta1.PodDisruptionBudget(id, obj, opts),
                    }];
            case "policy/v1beta1/PodDisruptionBudgetList":
                return [{
                        name: `policy/v1beta1/PodDisruptionBudgetList::${id}`,
                        resource: new policy.v1beta1.PodDisruptionBudgetList(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1/ClusterRole":
                return [{
                        name: `rbac.authorization.k8s.io/v1/ClusterRole::${id}`,
                        resource: new rbac.v1.ClusterRole(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1/ClusterRoleBinding":
                return [{
                        name: `rbac.authorization.k8s.io/v1/ClusterRoleBinding::${id}`,
                        resource: new rbac.v1.ClusterRoleBinding(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1/ClusterRoleBindingList":
                return [{
                        name: `rbac.authorization.k8s.io/v1/ClusterRoleBindingList::${id}`,
                        resource: new rbac.v1.ClusterRoleBindingList(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1/ClusterRoleList":
                return [{
                        name: `rbac.authorization.k8s.io/v1/ClusterRoleList::${id}`,
                        resource: new rbac.v1.ClusterRoleList(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1/Role":
                return [{
                        name: `rbac.authorization.k8s.io/v1/Role::${id}`,
                        resource: new rbac.v1.Role(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1/RoleBinding":
                return [{
                        name: `rbac.authorization.k8s.io/v1/RoleBinding::${id}`,
                        resource: new rbac.v1.RoleBinding(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1/RoleBindingList":
                return [{
                        name: `rbac.authorization.k8s.io/v1/RoleBindingList::${id}`,
                        resource: new rbac.v1.RoleBindingList(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1/RoleList":
                return [{
                        name: `rbac.authorization.k8s.io/v1/RoleList::${id}`,
                        resource: new rbac.v1.RoleList(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1alpha1/ClusterRole":
                return [{
                        name: `rbac.authorization.k8s.io/v1alpha1/ClusterRole::${id}`,
                        resource: new rbac.v1alpha1.ClusterRole(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1alpha1/ClusterRoleBinding":
                return [{
                        name: `rbac.authorization.k8s.io/v1alpha1/ClusterRoleBinding::${id}`,
                        resource: new rbac.v1alpha1.ClusterRoleBinding(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1alpha1/ClusterRoleBindingList":
                return [{
                        name: `rbac.authorization.k8s.io/v1alpha1/ClusterRoleBindingList::${id}`,
                        resource: new rbac.v1alpha1.ClusterRoleBindingList(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1alpha1/ClusterRoleList":
                return [{
                        name: `rbac.authorization.k8s.io/v1alpha1/ClusterRoleList::${id}`,
                        resource: new rbac.v1alpha1.ClusterRoleList(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1alpha1/Role":
                return [{
                        name: `rbac.authorization.k8s.io/v1alpha1/Role::${id}`,
                        resource: new rbac.v1alpha1.Role(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1alpha1/RoleBinding":
                return [{
                        name: `rbac.authorization.k8s.io/v1alpha1/RoleBinding::${id}`,
                        resource: new rbac.v1alpha1.RoleBinding(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1alpha1/RoleBindingList":
                return [{
                        name: `rbac.authorization.k8s.io/v1alpha1/RoleBindingList::${id}`,
                        resource: new rbac.v1alpha1.RoleBindingList(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1alpha1/RoleList":
                return [{
                        name: `rbac.authorization.k8s.io/v1alpha1/RoleList::${id}`,
                        resource: new rbac.v1alpha1.RoleList(id, obj, opts),
                    }];
            case "rbac/v1alpha1/Subject":
                return [{
                        name: `rbac/v1alpha1/Subject::${id}`,
                        resource: new rbac.v1alpha1.Subject(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1beta1/ClusterRole":
                return [{
                        name: `rbac.authorization.k8s.io/v1beta1/ClusterRole::${id}`,
                        resource: new rbac.v1beta1.ClusterRole(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1beta1/ClusterRoleBinding":
                return [{
                        name: `rbac.authorization.k8s.io/v1beta1/ClusterRoleBinding::${id}`,
                        resource: new rbac.v1beta1.ClusterRoleBinding(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1beta1/ClusterRoleBindingList":
                return [{
                        name: `rbac.authorization.k8s.io/v1beta1/ClusterRoleBindingList::${id}`,
                        resource: new rbac.v1beta1.ClusterRoleBindingList(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1beta1/ClusterRoleList":
                return [{
                        name: `rbac.authorization.k8s.io/v1beta1/ClusterRoleList::${id}`,
                        resource: new rbac.v1beta1.ClusterRoleList(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1beta1/Role":
                return [{
                        name: `rbac.authorization.k8s.io/v1beta1/Role::${id}`,
                        resource: new rbac.v1beta1.Role(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1beta1/RoleBinding":
                return [{
                        name: `rbac.authorization.k8s.io/v1beta1/RoleBinding::${id}`,
                        resource: new rbac.v1beta1.RoleBinding(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1beta1/RoleBindingList":
                return [{
                        name: `rbac.authorization.k8s.io/v1beta1/RoleBindingList::${id}`,
                        resource: new rbac.v1beta1.RoleBindingList(id, obj, opts),
                    }];
            case "rbac.authorization.k8s.io/v1beta1/RoleList":
                return [{
                        name: `rbac.authorization.k8s.io/v1beta1/RoleList::${id}`,
                        resource: new rbac.v1beta1.RoleList(id, obj, opts),
                    }];
            case "scheduling.k8s.io/v1alpha1/PriorityClass":
                return [{
                        name: `scheduling.k8s.io/v1alpha1/PriorityClass::${id}`,
                        resource: new scheduling.v1alpha1.PriorityClass(id, obj, opts),
                    }];
            case "scheduling.k8s.io/v1alpha1/PriorityClassList":
                return [{
                        name: `scheduling.k8s.io/v1alpha1/PriorityClassList::${id}`,
                        resource: new scheduling.v1alpha1.PriorityClassList(id, obj, opts),
                    }];
            case "settings.k8s.io/v1alpha1/PodPreset":
                return [{
                        name: `settings.k8s.io/v1alpha1/PodPreset::${id}`,
                        resource: new settings.v1alpha1.PodPreset(id, obj, opts),
                    }];
            case "settings.k8s.io/v1alpha1/PodPresetList":
                return [{
                        name: `settings.k8s.io/v1alpha1/PodPresetList::${id}`,
                        resource: new settings.v1alpha1.PodPresetList(id, obj, opts),
                    }];
            case "storage.k8s.io/v1/StorageClass":
                return [{
                        name: `storage.k8s.io/v1/StorageClass::${id}`,
                        resource: new storage.v1.StorageClass(id, obj, opts),
                    }];
            case "storage.k8s.io/v1/StorageClassList":
                return [{
                        name: `storage.k8s.io/v1/StorageClassList::${id}`,
                        resource: new storage.v1.StorageClassList(id, obj, opts),
                    }];
            case "storage.k8s.io/v1alpha1/VolumeAttachment":
                return [{
                        name: `storage.k8s.io/v1alpha1/VolumeAttachment::${id}`,
                        resource: new storage.v1alpha1.VolumeAttachment(id, obj, opts),
                    }];
            case "storage.k8s.io/v1alpha1/VolumeAttachmentList":
                return [{
                        name: `storage.k8s.io/v1alpha1/VolumeAttachmentList::${id}`,
                        resource: new storage.v1alpha1.VolumeAttachmentList(id, obj, opts),
                    }];
            case "storage.k8s.io/v1beta1/StorageClass":
                return [{
                        name: `storage.k8s.io/v1beta1/StorageClass::${id}`,
                        resource: new storage.v1beta1.StorageClass(id, obj, opts),
                    }];
            case "storage.k8s.io/v1beta1/StorageClassList":
                return [{
                        name: `storage.k8s.io/v1beta1/StorageClassList::${id}`,
                        resource: new storage.v1beta1.StorageClassList(id, obj, opts),
                    }];
            default:
                return [{
                        name: `${apiVersion}/${kind}::${id}`,
                        resource: new apiextensions.CustomResource(id, obj, opts),
                    }];
        }
    }
})(yaml = exports.yaml || (exports.yaml = {}));
var apiextensions;
(function (apiextensions) {
    /**
     * CustomResource represents an instance of a CustomResourceDefinition (CRD). For example, the
     * CoreOS Prometheus operator exposes a CRD `monitoring.coreos.com/ServiceMonitor`; to
     * instantiate this as a Pulumi resource, one could call `new CustomResource`, passing the
     * `ServiceMonitor` resource definition as an argument.
     */
    class CustomResource extends pulumi.CustomResource {
        /**
        * Create a CustomResource resource with the given unique name, arguments, and options.
        *
        * @param name The _unique_ name of the resource.
        * @param args The arguments to use to populate this resource's properties.
        * @param opts A bag of options that control this resource's behavior.
        */
        constructor(name, args, opts) {
            let inputs = {};
            for (const key of Object.keys(args)) {
                inputs[key] = args[key];
            }
            super(`kubernetes:${args.apiVersion}:${args.kind}`, name, inputs, opts);
            this.__inputs = args;
        }
        getInputs() { return this.__inputs; }
    }
    apiextensions.CustomResource = CustomResource;
})(apiextensions = exports.apiextensions || (exports.apiextensions = {}));
/**
 * The provider type for the kubernetes package.
 */
class Provider extends pulumi.ProviderResource {
    /**
     * Create a Provider resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let inputs = {
            "cluster": args ? args.cluster : undefined,
            "context": args ? args.context : undefined,
            "kubeconfig": args ? args.kubeconfig : undefined,
            "namespace": args ? args.namespace : undefined,
        };
        super("kubernetes", name, inputs, opts);
    }
}
exports.Provider = Provider;
var admissionregistration;
(function (admissionregistration) {
    let v1alpha1;
    (function (v1alpha1) {
        /**
         * InitializerConfiguration describes the configuration of initializers.
         */
        class InitializerConfiguration extends pulumi.CustomResource {
            /**
            * Create a admissionregistration.v1alpha1.InitializerConfiguration resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "admissionregistration.k8s.io/v1alpha1";
                inputs["initializers"] = args && args.initializers || undefined;
                inputs["kind"] = "InitializerConfiguration";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:admissionregistration.k8s.io/v1alpha1:InitializerConfiguration", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `InitializerConfiguration` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new InitializerConfiguration(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.InitializerConfiguration = InitializerConfiguration;
        /**
         * InitializerConfigurationList is a list of InitializerConfiguration.
         */
        class InitializerConfigurationList extends pulumi.CustomResource {
            /**
            * Create a admissionregistration.v1alpha1.InitializerConfigurationList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "admissionregistration.k8s.io/v1alpha1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "InitializerConfigurationList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:admissionregistration.k8s.io/v1alpha1:InitializerConfigurationList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `InitializerConfigurationList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new InitializerConfigurationList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.InitializerConfigurationList = InitializerConfigurationList;
    })(v1alpha1 = admissionregistration.v1alpha1 || (admissionregistration.v1alpha1 = {}));
    let v1beta1;
    (function (v1beta1) {
        /**
         * MutatingWebhookConfiguration describes the configuration of and admission webhook that accept
         * or reject and may change the object.
         */
        class MutatingWebhookConfiguration extends pulumi.CustomResource {
            /**
            * Create a admissionregistration.v1beta1.MutatingWebhookConfiguration resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "admissionregistration.k8s.io/v1beta1";
                inputs["kind"] = "MutatingWebhookConfiguration";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["webhooks"] = args && args.webhooks || undefined;
                super("kubernetes:admissionregistration.k8s.io/v1beta1:MutatingWebhookConfiguration", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `MutatingWebhookConfiguration` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new MutatingWebhookConfiguration(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.MutatingWebhookConfiguration = MutatingWebhookConfiguration;
        /**
         * MutatingWebhookConfigurationList is a list of MutatingWebhookConfiguration.
         */
        class MutatingWebhookConfigurationList extends pulumi.CustomResource {
            /**
            * Create a admissionregistration.v1beta1.MutatingWebhookConfigurationList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "admissionregistration.k8s.io/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "MutatingWebhookConfigurationList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:admissionregistration.k8s.io/v1beta1:MutatingWebhookConfigurationList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `MutatingWebhookConfigurationList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new MutatingWebhookConfigurationList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.MutatingWebhookConfigurationList = MutatingWebhookConfigurationList;
        /**
         * ValidatingWebhookConfiguration describes the configuration of and admission webhook that
         * accept or reject and object without changing it.
         */
        class ValidatingWebhookConfiguration extends pulumi.CustomResource {
            /**
            * Create a admissionregistration.v1beta1.ValidatingWebhookConfiguration resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "admissionregistration.k8s.io/v1beta1";
                inputs["kind"] = "ValidatingWebhookConfiguration";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["webhooks"] = args && args.webhooks || undefined;
                super("kubernetes:admissionregistration.k8s.io/v1beta1:ValidatingWebhookConfiguration", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ValidatingWebhookConfiguration` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ValidatingWebhookConfiguration(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.ValidatingWebhookConfiguration = ValidatingWebhookConfiguration;
        /**
         * ValidatingWebhookConfigurationList is a list of ValidatingWebhookConfiguration.
         */
        class ValidatingWebhookConfigurationList extends pulumi.CustomResource {
            /**
            * Create a admissionregistration.v1beta1.ValidatingWebhookConfigurationList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "admissionregistration.k8s.io/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ValidatingWebhookConfigurationList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:admissionregistration.k8s.io/v1beta1:ValidatingWebhookConfigurationList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ValidatingWebhookConfigurationList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ValidatingWebhookConfigurationList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.ValidatingWebhookConfigurationList = ValidatingWebhookConfigurationList;
    })(v1beta1 = admissionregistration.v1beta1 || (admissionregistration.v1beta1 = {}));
})(admissionregistration = exports.admissionregistration || (exports.admissionregistration = {}));
(function (apiextensions) {
    let v1beta1;
    (function (v1beta1) {
        /**
         * CustomResourceDefinition represents a resource that should be exposed on the API server.  Its
         * name MUST be in the format <.spec.name>.<.spec.group>.
         */
        class CustomResourceDefinition extends pulumi.CustomResource {
            /**
            * Create a apiextensions.v1beta1.CustomResourceDefinition resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apiextensions.k8s.io/v1beta1";
                inputs["kind"] = "CustomResourceDefinition";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:apiextensions.k8s.io/v1beta1:CustomResourceDefinition", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `CustomResourceDefinition` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new CustomResourceDefinition(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.CustomResourceDefinition = CustomResourceDefinition;
        /**
         * CustomResourceDefinitionList is a list of CustomResourceDefinition objects.
         */
        class CustomResourceDefinitionList extends pulumi.CustomResource {
            /**
            * Create a apiextensions.v1beta1.CustomResourceDefinitionList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apiextensions.k8s.io/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "CustomResourceDefinitionList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:apiextensions.k8s.io/v1beta1:CustomResourceDefinitionList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `CustomResourceDefinitionList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new CustomResourceDefinitionList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.CustomResourceDefinitionList = CustomResourceDefinitionList;
    })(v1beta1 = apiextensions.v1beta1 || (apiextensions.v1beta1 = {}));
})(apiextensions = exports.apiextensions || (exports.apiextensions = {}));
var apiregistration;
(function (apiregistration) {
    let v1beta1;
    (function (v1beta1) {
        /**
         * APIService represents a server for a particular GroupVersion. Name must be "version.group".
         */
        class APIService extends pulumi.CustomResource {
            /**
            * Create a apiregistration.v1beta1.APIService resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apiregistration/v1beta1";
                inputs["kind"] = "APIService";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:apiregistration/v1beta1:APIService", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `APIService` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new APIService(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.APIService = APIService;
        /**
         * APIServiceList is a list of APIService objects.
         */
        class APIServiceList extends pulumi.CustomResource {
            /**
            * Create a apiregistration.v1beta1.APIServiceList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apiregistration/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "APIServiceList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:apiregistration/v1beta1:APIServiceList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `APIServiceList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new APIServiceList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.APIServiceList = APIServiceList;
    })(v1beta1 = apiregistration.v1beta1 || (apiregistration.v1beta1 = {}));
})(apiregistration = exports.apiregistration || (exports.apiregistration = {}));
var apps;
(function (apps) {
    let v1;
    (function (v1) {
        /**
         * ControllerRevision implements an immutable snapshot of state data. Clients are responsible
         * for serializing and deserializing the objects that contain their internal state. Once a
         * ControllerRevision has been successfully created, it can not be updated. The API Server will
         * fail validation of all requests that attempt to mutate the Data field. ControllerRevisions
         * may, however, be deleted. Note that, due to its use by both the DaemonSet and StatefulSet
         * controllers for update and rollback, this object is beta. However, it may be subject to name
         * and representation changes in future releases, and clients should not depend on its
         * stability. It is primarily for internal use by controllers.
         */
        class ControllerRevision extends pulumi.CustomResource {
            /**
            * Create a apps.v1.ControllerRevision resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1";
                inputs["data"] = args && args.data || undefined;
                inputs["kind"] = "ControllerRevision";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["revision"] = args && args.revision || undefined;
                super("kubernetes:apps/v1:ControllerRevision", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ControllerRevision` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ControllerRevision(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ControllerRevision = ControllerRevision;
        /**
         * ControllerRevisionList is a resource containing a list of ControllerRevision objects.
         */
        class ControllerRevisionList extends pulumi.CustomResource {
            /**
            * Create a apps.v1.ControllerRevisionList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ControllerRevisionList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:apps/v1:ControllerRevisionList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ControllerRevisionList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ControllerRevisionList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ControllerRevisionList = ControllerRevisionList;
        /**
         * DaemonSet represents the configuration of a daemon set.
         */
        class DaemonSet extends pulumi.CustomResource {
            /**
            * Create a apps.v1.DaemonSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1";
                inputs["kind"] = "DaemonSet";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:apps/v1:DaemonSet", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `DaemonSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new DaemonSet(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.DaemonSet = DaemonSet;
        /**
         * DaemonSetList is a collection of daemon sets.
         */
        class DaemonSetList extends pulumi.CustomResource {
            /**
            * Create a apps.v1.DaemonSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "DaemonSetList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:apps/v1:DaemonSetList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `DaemonSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new DaemonSetList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.DaemonSetList = DaemonSetList;
        /**
         * Deployment enables declarative updates for Pods and ReplicaSets.
         */
        class Deployment extends pulumi.CustomResource {
            /**
            * Create a apps.v1.Deployment resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1";
                inputs["kind"] = "Deployment";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:apps/v1:Deployment", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Deployment` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Deployment(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.Deployment = Deployment;
        /**
         * DeploymentList is a list of Deployments.
         */
        class DeploymentList extends pulumi.CustomResource {
            /**
            * Create a apps.v1.DeploymentList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "DeploymentList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:apps/v1:DeploymentList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `DeploymentList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new DeploymentList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.DeploymentList = DeploymentList;
        /**
         * ReplicaSet ensures that a specified number of pod replicas are running at any given time.
         */
        class ReplicaSet extends pulumi.CustomResource {
            /**
            * Create a apps.v1.ReplicaSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1";
                inputs["kind"] = "ReplicaSet";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:apps/v1:ReplicaSet", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ReplicaSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ReplicaSet(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ReplicaSet = ReplicaSet;
        /**
         * ReplicaSetList is a collection of ReplicaSets.
         */
        class ReplicaSetList extends pulumi.CustomResource {
            /**
            * Create a apps.v1.ReplicaSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ReplicaSetList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:apps/v1:ReplicaSetList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ReplicaSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ReplicaSetList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ReplicaSetList = ReplicaSetList;
        /**
         * StatefulSet represents a set of pods with consistent identities. Identities are defined as:
         *  - Network: A single stable DNS and hostname.
         *  - Storage: As many VolumeClaims as requested.
         * The StatefulSet guarantees that a given network identity will always map to the same storage
         * identity.
         */
        class StatefulSet extends pulumi.CustomResource {
            /**
            * Create a apps.v1.StatefulSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1";
                inputs["kind"] = "StatefulSet";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:apps/v1:StatefulSet", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `StatefulSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new StatefulSet(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.StatefulSet = StatefulSet;
        /**
         * StatefulSetList is a collection of StatefulSets.
         */
        class StatefulSetList extends pulumi.CustomResource {
            /**
            * Create a apps.v1.StatefulSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "StatefulSetList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:apps/v1:StatefulSetList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `StatefulSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new StatefulSetList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.StatefulSetList = StatefulSetList;
    })(v1 = apps.v1 || (apps.v1 = {}));
    let v1beta1;
    (function (v1beta1) {
        /**
         * DEPRECATED - This group version of ControllerRevision is deprecated by
         * apps/v1beta2/ControllerRevision. See the release notes for more information.
         * ControllerRevision implements an immutable snapshot of state data. Clients are responsible
         * for serializing and deserializing the objects that contain their internal state. Once a
         * ControllerRevision has been successfully created, it can not be updated. The API Server will
         * fail validation of all requests that attempt to mutate the Data field. ControllerRevisions
         * may, however, be deleted. Note that, due to its use by both the DaemonSet and StatefulSet
         * controllers for update and rollback, this object is beta. However, it may be subject to name
         * and representation changes in future releases, and clients should not depend on its
         * stability. It is primarily for internal use by controllers.
         */
        class ControllerRevision extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta1.ControllerRevision resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta1";
                inputs["data"] = args && args.data || undefined;
                inputs["kind"] = "ControllerRevision";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["revision"] = args && args.revision || undefined;
                super("kubernetes:apps/v1beta1:ControllerRevision", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ControllerRevision` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ControllerRevision(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.ControllerRevision = ControllerRevision;
        /**
         * ControllerRevisionList is a resource containing a list of ControllerRevision objects.
         */
        class ControllerRevisionList extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta1.ControllerRevisionList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ControllerRevisionList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:apps/v1beta1:ControllerRevisionList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ControllerRevisionList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ControllerRevisionList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.ControllerRevisionList = ControllerRevisionList;
        /**
         * DEPRECATED - This group version of Deployment is deprecated by apps/v1beta2/Deployment. See
         * the release notes for more information. Deployment enables declarative updates for Pods and
         * ReplicaSets.
         */
        class Deployment extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta1.Deployment resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta1";
                inputs["kind"] = "Deployment";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:apps/v1beta1:Deployment", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Deployment` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Deployment(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.Deployment = Deployment;
        /**
         * DeploymentList is a list of Deployments.
         */
        class DeploymentList extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta1.DeploymentList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "DeploymentList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:apps/v1beta1:DeploymentList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `DeploymentList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new DeploymentList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.DeploymentList = DeploymentList;
        /**
         * DEPRECATED. DeploymentRollback stores the information required to rollback a deployment.
         */
        class DeploymentRollback extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta1.DeploymentRollback resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta1";
                inputs["kind"] = "DeploymentRollback";
                inputs["name"] = args && args.name || undefined;
                inputs["rollbackTo"] = args && args.rollbackTo || undefined;
                inputs["updatedAnnotations"] = args && args.updatedAnnotations || undefined;
                super("kubernetes:apps/v1beta1:DeploymentRollback", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `DeploymentRollback` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new DeploymentRollback(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.DeploymentRollback = DeploymentRollback;
        /**
         * Scale represents a scaling request for a resource.
         */
        class Scale extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta1.Scale resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta1";
                inputs["kind"] = "Scale";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:apps/v1beta1:Scale", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Scale` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Scale(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.Scale = Scale;
        /**
         * DEPRECATED - This group version of StatefulSet is deprecated by apps/v1beta2/StatefulSet. See
         * the release notes for more information. StatefulSet represents a set of pods with consistent
         * identities. Identities are defined as:
         *  - Network: A single stable DNS and hostname.
         *  - Storage: As many VolumeClaims as requested.
         * The StatefulSet guarantees that a given network identity will always map to the same storage
         * identity.
         */
        class StatefulSet extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta1.StatefulSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta1";
                inputs["kind"] = "StatefulSet";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:apps/v1beta1:StatefulSet", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `StatefulSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new StatefulSet(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.StatefulSet = StatefulSet;
        /**
         * StatefulSetList is a collection of StatefulSets.
         */
        class StatefulSetList extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta1.StatefulSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "StatefulSetList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:apps/v1beta1:StatefulSetList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `StatefulSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new StatefulSetList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.StatefulSetList = StatefulSetList;
    })(v1beta1 = apps.v1beta1 || (apps.v1beta1 = {}));
    let v1beta2;
    (function (v1beta2) {
        /**
         * DEPRECATED - This group version of ControllerRevision is deprecated by
         * apps/v1/ControllerRevision. See the release notes for more information. ControllerRevision
         * implements an immutable snapshot of state data. Clients are responsible for serializing and
         * deserializing the objects that contain their internal state. Once a ControllerRevision has
         * been successfully created, it can not be updated. The API Server will fail validation of all
         * requests that attempt to mutate the Data field. ControllerRevisions may, however, be deleted.
         * Note that, due to its use by both the DaemonSet and StatefulSet controllers for update and
         * rollback, this object is beta. However, it may be subject to name and representation changes
         * in future releases, and clients should not depend on its stability. It is primarily for
         * internal use by controllers.
         */
        class ControllerRevision extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta2.ControllerRevision resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta2";
                inputs["data"] = args && args.data || undefined;
                inputs["kind"] = "ControllerRevision";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["revision"] = args && args.revision || undefined;
                super("kubernetes:apps/v1beta2:ControllerRevision", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ControllerRevision` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ControllerRevision(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta2.ControllerRevision = ControllerRevision;
        /**
         * ControllerRevisionList is a resource containing a list of ControllerRevision objects.
         */
        class ControllerRevisionList extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta2.ControllerRevisionList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta2";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ControllerRevisionList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:apps/v1beta2:ControllerRevisionList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ControllerRevisionList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ControllerRevisionList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta2.ControllerRevisionList = ControllerRevisionList;
        /**
         * DEPRECATED - This group version of DaemonSet is deprecated by apps/v1/DaemonSet. See the
         * release notes for more information. DaemonSet represents the configuration of a daemon set.
         */
        class DaemonSet extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta2.DaemonSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta2";
                inputs["kind"] = "DaemonSet";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:apps/v1beta2:DaemonSet", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `DaemonSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new DaemonSet(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta2.DaemonSet = DaemonSet;
        /**
         * DaemonSetList is a collection of daemon sets.
         */
        class DaemonSetList extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta2.DaemonSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta2";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "DaemonSetList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:apps/v1beta2:DaemonSetList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `DaemonSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new DaemonSetList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta2.DaemonSetList = DaemonSetList;
        /**
         * DEPRECATED - This group version of Deployment is deprecated by apps/v1/Deployment. See the
         * release notes for more information. Deployment enables declarative updates for Pods and
         * ReplicaSets.
         */
        class Deployment extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta2.Deployment resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta2";
                inputs["kind"] = "Deployment";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:apps/v1beta2:Deployment", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Deployment` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Deployment(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta2.Deployment = Deployment;
        /**
         * DeploymentList is a list of Deployments.
         */
        class DeploymentList extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta2.DeploymentList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta2";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "DeploymentList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:apps/v1beta2:DeploymentList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `DeploymentList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new DeploymentList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta2.DeploymentList = DeploymentList;
        /**
         * DEPRECATED - This group version of ReplicaSet is deprecated by apps/v1/ReplicaSet. See the
         * release notes for more information. ReplicaSet ensures that a specified number of pod
         * replicas are running at any given time.
         */
        class ReplicaSet extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta2.ReplicaSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta2";
                inputs["kind"] = "ReplicaSet";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:apps/v1beta2:ReplicaSet", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ReplicaSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ReplicaSet(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta2.ReplicaSet = ReplicaSet;
        /**
         * ReplicaSetList is a collection of ReplicaSets.
         */
        class ReplicaSetList extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta2.ReplicaSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta2";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ReplicaSetList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:apps/v1beta2:ReplicaSetList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ReplicaSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ReplicaSetList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta2.ReplicaSetList = ReplicaSetList;
        /**
         * Scale represents a scaling request for a resource.
         */
        class Scale extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta2.Scale resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta2";
                inputs["kind"] = "Scale";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:apps/v1beta2:Scale", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Scale` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Scale(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta2.Scale = Scale;
        /**
         * DEPRECATED - This group version of StatefulSet is deprecated by apps/v1/StatefulSet. See the
         * release notes for more information. StatefulSet represents a set of pods with consistent
         * identities. Identities are defined as:
         *  - Network: A single stable DNS and hostname.
         *  - Storage: As many VolumeClaims as requested.
         * The StatefulSet guarantees that a given network identity will always map to the same storage
         * identity.
         */
        class StatefulSet extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta2.StatefulSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta2";
                inputs["kind"] = "StatefulSet";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:apps/v1beta2:StatefulSet", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `StatefulSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new StatefulSet(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta2.StatefulSet = StatefulSet;
        /**
         * StatefulSetList is a collection of StatefulSets.
         */
        class StatefulSetList extends pulumi.CustomResource {
            /**
            * Create a apps.v1beta2.StatefulSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "apps/v1beta2";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "StatefulSetList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:apps/v1beta2:StatefulSetList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `StatefulSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new StatefulSetList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta2.StatefulSetList = StatefulSetList;
    })(v1beta2 = apps.v1beta2 || (apps.v1beta2 = {}));
})(apps = exports.apps || (exports.apps = {}));
var authentication;
(function (authentication) {
    let v1;
    (function (v1) {
        /**
         * TokenReview attempts to authenticate a token to a known user. Note: TokenReview requests may
         * be cached by the webhook token authenticator plugin in the kube-apiserver.
         */
        class TokenReview extends pulumi.CustomResource {
            /**
            * Create a authentication.v1.TokenReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "authentication.k8s.io/v1";
                inputs["kind"] = "TokenReview";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:authentication.k8s.io/v1:TokenReview", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `TokenReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new TokenReview(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.TokenReview = TokenReview;
    })(v1 = authentication.v1 || (authentication.v1 = {}));
    let v1beta1;
    (function (v1beta1) {
        /**
         * TokenReview attempts to authenticate a token to a known user. Note: TokenReview requests may
         * be cached by the webhook token authenticator plugin in the kube-apiserver.
         */
        class TokenReview extends pulumi.CustomResource {
            /**
            * Create a authentication.v1beta1.TokenReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "authentication.k8s.io/v1beta1";
                inputs["kind"] = "TokenReview";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:authentication.k8s.io/v1beta1:TokenReview", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `TokenReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new TokenReview(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.TokenReview = TokenReview;
    })(v1beta1 = authentication.v1beta1 || (authentication.v1beta1 = {}));
})(authentication = exports.authentication || (exports.authentication = {}));
var authorization;
(function (authorization) {
    let v1;
    (function (v1) {
        /**
         * LocalSubjectAccessReview checks whether or not a user or group can perform an action in a
         * given namespace. Having a namespace scoped resource makes it much easier to grant namespace
         * scoped policy that includes permissions checking.
         */
        class LocalSubjectAccessReview extends pulumi.CustomResource {
            /**
            * Create a authorization.v1.LocalSubjectAccessReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "authorization.k8s.io/v1";
                inputs["kind"] = "LocalSubjectAccessReview";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:authorization.k8s.io/v1:LocalSubjectAccessReview", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `LocalSubjectAccessReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new LocalSubjectAccessReview(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.LocalSubjectAccessReview = LocalSubjectAccessReview;
        /**
         * SelfSubjectAccessReview checks whether or the current user can perform an action.  Not
         * filling in a spec.namespace means "in all namespaces".  Self is a special case, because users
         * should always be able to check whether they can perform an action
         */
        class SelfSubjectAccessReview extends pulumi.CustomResource {
            /**
            * Create a authorization.v1.SelfSubjectAccessReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "authorization.k8s.io/v1";
                inputs["kind"] = "SelfSubjectAccessReview";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:authorization.k8s.io/v1:SelfSubjectAccessReview", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `SelfSubjectAccessReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new SelfSubjectAccessReview(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.SelfSubjectAccessReview = SelfSubjectAccessReview;
        /**
         * SelfSubjectRulesReview enumerates the set of actions the current user can perform within a
         * namespace. The returned list of actions may be incomplete depending on the server's
         * authorization mode, and any errors experienced during the evaluation. SelfSubjectRulesReview
         * should be used by UIs to show/hide actions, or to quickly let an end user reason about their
         * permissions. It should NOT Be used by external systems to drive authorization decisions as
         * this raises confused deputy, cache lifetime/revocation, and correctness concerns.
         * SubjectAccessReview, and LocalAccessReview are the correct way to defer authorization
         * decisions to the API server.
         */
        class SelfSubjectRulesReview extends pulumi.CustomResource {
            /**
            * Create a authorization.v1.SelfSubjectRulesReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "authorization.k8s.io/v1";
                inputs["kind"] = "SelfSubjectRulesReview";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:authorization.k8s.io/v1:SelfSubjectRulesReview", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `SelfSubjectRulesReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new SelfSubjectRulesReview(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.SelfSubjectRulesReview = SelfSubjectRulesReview;
        /**
         * SubjectAccessReview checks whether or not a user or group can perform an action.
         */
        class SubjectAccessReview extends pulumi.CustomResource {
            /**
            * Create a authorization.v1.SubjectAccessReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "authorization.k8s.io/v1";
                inputs["kind"] = "SubjectAccessReview";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:authorization.k8s.io/v1:SubjectAccessReview", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `SubjectAccessReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new SubjectAccessReview(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.SubjectAccessReview = SubjectAccessReview;
    })(v1 = authorization.v1 || (authorization.v1 = {}));
    let v1beta1;
    (function (v1beta1) {
        /**
         * LocalSubjectAccessReview checks whether or not a user or group can perform an action in a
         * given namespace. Having a namespace scoped resource makes it much easier to grant namespace
         * scoped policy that includes permissions checking.
         */
        class LocalSubjectAccessReview extends pulumi.CustomResource {
            /**
            * Create a authorization.v1beta1.LocalSubjectAccessReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "authorization.k8s.io/v1beta1";
                inputs["kind"] = "LocalSubjectAccessReview";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:authorization.k8s.io/v1beta1:LocalSubjectAccessReview", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `LocalSubjectAccessReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new LocalSubjectAccessReview(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.LocalSubjectAccessReview = LocalSubjectAccessReview;
        /**
         * SelfSubjectAccessReview checks whether or the current user can perform an action.  Not
         * filling in a spec.namespace means "in all namespaces".  Self is a special case, because users
         * should always be able to check whether they can perform an action
         */
        class SelfSubjectAccessReview extends pulumi.CustomResource {
            /**
            * Create a authorization.v1beta1.SelfSubjectAccessReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "authorization.k8s.io/v1beta1";
                inputs["kind"] = "SelfSubjectAccessReview";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:authorization.k8s.io/v1beta1:SelfSubjectAccessReview", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `SelfSubjectAccessReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new SelfSubjectAccessReview(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.SelfSubjectAccessReview = SelfSubjectAccessReview;
        /**
         * SelfSubjectRulesReview enumerates the set of actions the current user can perform within a
         * namespace. The returned list of actions may be incomplete depending on the server's
         * authorization mode, and any errors experienced during the evaluation. SelfSubjectRulesReview
         * should be used by UIs to show/hide actions, or to quickly let an end user reason about their
         * permissions. It should NOT Be used by external systems to drive authorization decisions as
         * this raises confused deputy, cache lifetime/revocation, and correctness concerns.
         * SubjectAccessReview, and LocalAccessReview are the correct way to defer authorization
         * decisions to the API server.
         */
        class SelfSubjectRulesReview extends pulumi.CustomResource {
            /**
            * Create a authorization.v1beta1.SelfSubjectRulesReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "authorization.k8s.io/v1beta1";
                inputs["kind"] = "SelfSubjectRulesReview";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:authorization.k8s.io/v1beta1:SelfSubjectRulesReview", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `SelfSubjectRulesReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new SelfSubjectRulesReview(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.SelfSubjectRulesReview = SelfSubjectRulesReview;
        /**
         * SubjectAccessReview checks whether or not a user or group can perform an action.
         */
        class SubjectAccessReview extends pulumi.CustomResource {
            /**
            * Create a authorization.v1beta1.SubjectAccessReview resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "authorization.k8s.io/v1beta1";
                inputs["kind"] = "SubjectAccessReview";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:authorization.k8s.io/v1beta1:SubjectAccessReview", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `SubjectAccessReview` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new SubjectAccessReview(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.SubjectAccessReview = SubjectAccessReview;
    })(v1beta1 = authorization.v1beta1 || (authorization.v1beta1 = {}));
})(authorization = exports.authorization || (exports.authorization = {}));
var autoscaling;
(function (autoscaling) {
    let v1;
    (function (v1) {
        /**
         * CrossVersionObjectReference contains enough information to let you identify the referred
         * resource.
         */
        class CrossVersionObjectReference extends pulumi.CustomResource {
            /**
            * Create a autoscaling.v1.CrossVersionObjectReference resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "autoscaling/v1";
                inputs["kind"] = "CrossVersionObjectReference";
                inputs["name"] = args && args.name || undefined;
                super("kubernetes:autoscaling/v1:CrossVersionObjectReference", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `CrossVersionObjectReference` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new CrossVersionObjectReference(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.CrossVersionObjectReference = CrossVersionObjectReference;
        /**
         * configuration of a horizontal pod autoscaler.
         */
        class HorizontalPodAutoscaler extends pulumi.CustomResource {
            /**
            * Create a autoscaling.v1.HorizontalPodAutoscaler resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "autoscaling/v1";
                inputs["kind"] = "HorizontalPodAutoscaler";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:autoscaling/v1:HorizontalPodAutoscaler", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `HorizontalPodAutoscaler` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new HorizontalPodAutoscaler(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.HorizontalPodAutoscaler = HorizontalPodAutoscaler;
        /**
         * list of horizontal pod autoscaler objects.
         */
        class HorizontalPodAutoscalerList extends pulumi.CustomResource {
            /**
            * Create a autoscaling.v1.HorizontalPodAutoscalerList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "autoscaling/v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "HorizontalPodAutoscalerList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:autoscaling/v1:HorizontalPodAutoscalerList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `HorizontalPodAutoscalerList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new HorizontalPodAutoscalerList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.HorizontalPodAutoscalerList = HorizontalPodAutoscalerList;
        /**
         * Scale represents a scaling request for a resource.
         */
        class Scale extends pulumi.CustomResource {
            /**
            * Create a autoscaling.v1.Scale resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "autoscaling/v1";
                inputs["kind"] = "Scale";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:autoscaling/v1:Scale", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Scale` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Scale(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.Scale = Scale;
    })(v1 = autoscaling.v1 || (autoscaling.v1 = {}));
    let v2beta1;
    (function (v2beta1) {
        /**
         * CrossVersionObjectReference contains enough information to let you identify the referred
         * resource.
         */
        class CrossVersionObjectReference extends pulumi.CustomResource {
            /**
            * Create a autoscaling.v2beta1.CrossVersionObjectReference resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "autoscaling/v2beta1";
                inputs["kind"] = "CrossVersionObjectReference";
                inputs["name"] = args && args.name || undefined;
                super("kubernetes:autoscaling/v2beta1:CrossVersionObjectReference", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `CrossVersionObjectReference` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new CrossVersionObjectReference(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v2beta1.CrossVersionObjectReference = CrossVersionObjectReference;
        /**
         * HorizontalPodAutoscaler is the configuration for a horizontal pod autoscaler, which
         * automatically manages the replica count of any resource implementing the scale subresource
         * based on the metrics specified.
         */
        class HorizontalPodAutoscaler extends pulumi.CustomResource {
            /**
            * Create a autoscaling.v2beta1.HorizontalPodAutoscaler resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "autoscaling/v2beta1";
                inputs["kind"] = "HorizontalPodAutoscaler";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:autoscaling/v2beta1:HorizontalPodAutoscaler", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `HorizontalPodAutoscaler` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new HorizontalPodAutoscaler(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v2beta1.HorizontalPodAutoscaler = HorizontalPodAutoscaler;
        /**
         * HorizontalPodAutoscaler is a list of horizontal pod autoscaler objects.
         */
        class HorizontalPodAutoscalerList extends pulumi.CustomResource {
            /**
            * Create a autoscaling.v2beta1.HorizontalPodAutoscalerList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "autoscaling/v2beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "HorizontalPodAutoscalerList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:autoscaling/v2beta1:HorizontalPodAutoscalerList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `HorizontalPodAutoscalerList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new HorizontalPodAutoscalerList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v2beta1.HorizontalPodAutoscalerList = HorizontalPodAutoscalerList;
    })(v2beta1 = autoscaling.v2beta1 || (autoscaling.v2beta1 = {}));
})(autoscaling = exports.autoscaling || (exports.autoscaling = {}));
var batch;
(function (batch) {
    let v1;
    (function (v1) {
        /**
         * Job represents the configuration of a single job.
         */
        class Job extends pulumi.CustomResource {
            /**
            * Create a batch.v1.Job resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "batch/v1";
                inputs["kind"] = "Job";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:batch/v1:Job", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Job` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Job(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.Job = Job;
        /**
         * JobList is a collection of jobs.
         */
        class JobList extends pulumi.CustomResource {
            /**
            * Create a batch.v1.JobList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "batch/v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "JobList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:batch/v1:JobList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `JobList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new JobList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.JobList = JobList;
    })(v1 = batch.v1 || (batch.v1 = {}));
    let v1beta1;
    (function (v1beta1) {
        /**
         * CronJob represents the configuration of a single cron job.
         */
        class CronJob extends pulumi.CustomResource {
            /**
            * Create a batch.v1beta1.CronJob resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "batch/v1beta1";
                inputs["kind"] = "CronJob";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:batch/v1beta1:CronJob", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `CronJob` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new CronJob(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.CronJob = CronJob;
        /**
         * CronJobList is a collection of cron jobs.
         */
        class CronJobList extends pulumi.CustomResource {
            /**
            * Create a batch.v1beta1.CronJobList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "batch/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "CronJobList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:batch/v1beta1:CronJobList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `CronJobList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new CronJobList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.CronJobList = CronJobList;
    })(v1beta1 = batch.v1beta1 || (batch.v1beta1 = {}));
    let v2alpha1;
    (function (v2alpha1) {
        /**
         * CronJob represents the configuration of a single cron job.
         */
        class CronJob extends pulumi.CustomResource {
            /**
            * Create a batch.v2alpha1.CronJob resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "batch/v2alpha1";
                inputs["kind"] = "CronJob";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:batch/v2alpha1:CronJob", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `CronJob` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new CronJob(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v2alpha1.CronJob = CronJob;
        /**
         * CronJobList is a collection of cron jobs.
         */
        class CronJobList extends pulumi.CustomResource {
            /**
            * Create a batch.v2alpha1.CronJobList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "batch/v2alpha1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "CronJobList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:batch/v2alpha1:CronJobList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `CronJobList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new CronJobList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v2alpha1.CronJobList = CronJobList;
    })(v2alpha1 = batch.v2alpha1 || (batch.v2alpha1 = {}));
})(batch = exports.batch || (exports.batch = {}));
var certificates;
(function (certificates) {
    let v1beta1;
    (function (v1beta1) {
        /**
         * Describes a certificate signing request
         */
        class CertificateSigningRequest extends pulumi.CustomResource {
            /**
            * Create a certificates.v1beta1.CertificateSigningRequest resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "certificates.k8s.io/v1beta1";
                inputs["kind"] = "CertificateSigningRequest";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:certificates.k8s.io/v1beta1:CertificateSigningRequest", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `CertificateSigningRequest` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new CertificateSigningRequest(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.CertificateSigningRequest = CertificateSigningRequest;
        class CertificateSigningRequestList extends pulumi.CustomResource {
            /**
            * Create a certificates.v1beta1.CertificateSigningRequestList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "certificates.k8s.io/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "CertificateSigningRequestList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:certificates.k8s.io/v1beta1:CertificateSigningRequestList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `CertificateSigningRequestList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new CertificateSigningRequestList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.CertificateSigningRequestList = CertificateSigningRequestList;
    })(v1beta1 = certificates.v1beta1 || (certificates.v1beta1 = {}));
})(certificates = exports.certificates || (exports.certificates = {}));
var core;
(function (core) {
    let v1;
    (function (v1) {
        /**
         * Binding ties one object to another; for example, a pod is bound to a node by a scheduler.
         * Deprecated in 1.7, please use the bindings subresource of pods instead.
         */
        class Binding extends pulumi.CustomResource {
            /**
            * Create a core.v1.Binding resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["kind"] = "Binding";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["target"] = args && args.target || undefined;
                super("kubernetes:core/v1:Binding", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Binding` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Binding(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.Binding = Binding;
        /**
         * ComponentStatus (and ComponentStatusList) holds the cluster validation info.
         */
        class ComponentStatus extends pulumi.CustomResource {
            /**
            * Create a core.v1.ComponentStatus resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["conditions"] = args && args.conditions || undefined;
                inputs["kind"] = "ComponentStatus";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:ComponentStatus", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ComponentStatus` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ComponentStatus(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ComponentStatus = ComponentStatus;
        /**
         * Status of all the conditions for the component as a list of ComponentStatus objects.
         */
        class ComponentStatusList extends pulumi.CustomResource {
            /**
            * Create a core.v1.ComponentStatusList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ComponentStatusList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:ComponentStatusList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ComponentStatusList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ComponentStatusList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ComponentStatusList = ComponentStatusList;
        /**
         * ConfigMap holds configuration data for pods to consume.
         */
        class ConfigMap extends pulumi.CustomResource {
            /**
            * Create a core.v1.ConfigMap resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["data"] = args && args.data || undefined;
                inputs["kind"] = "ConfigMap";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:ConfigMap", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ConfigMap` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ConfigMap(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ConfigMap = ConfigMap;
        /**
         * ConfigMapList is a resource containing a list of ConfigMap objects.
         */
        class ConfigMapList extends pulumi.CustomResource {
            /**
            * Create a core.v1.ConfigMapList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ConfigMapList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:ConfigMapList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ConfigMapList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ConfigMapList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ConfigMapList = ConfigMapList;
        /**
         * Endpoints is a collection of endpoints that implement the actual service. Example:
         *   Name: "mysvc",
         *   Subsets: [
         *     {
         *       Addresses: [{"ip": "10.10.1.1"}, {"ip": "10.10.2.2"}],
         *       Ports: [{"name": "a", "port": 8675}, {"name": "b", "port": 309}]
         *     },
         *     {
         *       Addresses: [{"ip": "10.10.3.3"}],
         *       Ports: [{"name": "a", "port": 93}, {"name": "b", "port": 76}]
         *     },
         *  ]
         */
        class Endpoints extends pulumi.CustomResource {
            /**
            * Create a core.v1.Endpoints resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["kind"] = "Endpoints";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["subsets"] = args && args.subsets || undefined;
                super("kubernetes:core/v1:Endpoints", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Endpoints` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Endpoints(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.Endpoints = Endpoints;
        /**
         * EndpointsList is a list of endpoints.
         */
        class EndpointsList extends pulumi.CustomResource {
            /**
            * Create a core.v1.EndpointsList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "EndpointsList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:EndpointsList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `EndpointsList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new EndpointsList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.EndpointsList = EndpointsList;
        /**
         * Event is a report of an event somewhere in the cluster.
         */
        class Event extends pulumi.CustomResource {
            /**
            * Create a core.v1.Event resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["action"] = args && args.action || undefined;
                inputs["apiVersion"] = "v1";
                inputs["count"] = args && args.count || undefined;
                inputs["eventTime"] = args && args.eventTime || undefined;
                inputs["firstTimestamp"] = args && args.firstTimestamp || undefined;
                inputs["involvedObject"] = args && args.involvedObject || undefined;
                inputs["kind"] = "Event";
                inputs["lastTimestamp"] = args && args.lastTimestamp || undefined;
                inputs["message"] = args && args.message || undefined;
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["reason"] = args && args.reason || undefined;
                inputs["related"] = args && args.related || undefined;
                inputs["reportingComponent"] = args && args.reportingComponent || undefined;
                inputs["reportingInstance"] = args && args.reportingInstance || undefined;
                inputs["series"] = args && args.series || undefined;
                inputs["source"] = args && args.source || undefined;
                inputs["type"] = args && args.type || undefined;
                super("kubernetes:core/v1:Event", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Event` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Event(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.Event = Event;
        /**
         * EventList is a list of events.
         */
        class EventList extends pulumi.CustomResource {
            /**
            * Create a core.v1.EventList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "EventList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:EventList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `EventList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new EventList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.EventList = EventList;
        /**
         * LimitRange sets resource usage limits for each kind of resource in a Namespace.
         */
        class LimitRange extends pulumi.CustomResource {
            /**
            * Create a core.v1.LimitRange resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["kind"] = "LimitRange";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                super("kubernetes:core/v1:LimitRange", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `LimitRange` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new LimitRange(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.LimitRange = LimitRange;
        /**
         * LimitRangeList is a list of LimitRange items.
         */
        class LimitRangeList extends pulumi.CustomResource {
            /**
            * Create a core.v1.LimitRangeList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "LimitRangeList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:LimitRangeList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `LimitRangeList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new LimitRangeList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.LimitRangeList = LimitRangeList;
        /**
         * Namespace provides a scope for Names. Use of multiple namespaces is optional.
         */
        class Namespace extends pulumi.CustomResource {
            /**
            * Create a core.v1.Namespace resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["kind"] = "Namespace";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:core/v1:Namespace", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Namespace` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Namespace(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.Namespace = Namespace;
        /**
         * NamespaceList is a list of Namespaces.
         */
        class NamespaceList extends pulumi.CustomResource {
            /**
            * Create a core.v1.NamespaceList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "NamespaceList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:NamespaceList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `NamespaceList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new NamespaceList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.NamespaceList = NamespaceList;
        /**
         * Node is a worker node in Kubernetes. Each node will have a unique identifier in the cache
         * (i.e. in etcd).
         */
        class Node extends pulumi.CustomResource {
            /**
            * Create a core.v1.Node resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["kind"] = "Node";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:core/v1:Node", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Node` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Node(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.Node = Node;
        /**
         * NodeConfigSource specifies a source of node configuration. Exactly one subfield (excluding
         * metadata) must be non-nil.
         */
        class NodeConfigSource extends pulumi.CustomResource {
            /**
            * Create a core.v1.NodeConfigSource resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["configMapRef"] = args && args.configMapRef || undefined;
                inputs["kind"] = "NodeConfigSource";
                super("kubernetes:core/v1:NodeConfigSource", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `NodeConfigSource` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new NodeConfigSource(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.NodeConfigSource = NodeConfigSource;
        /**
         * NodeList is the whole list of all Nodes which have been registered with master.
         */
        class NodeList extends pulumi.CustomResource {
            /**
            * Create a core.v1.NodeList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "NodeList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:NodeList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `NodeList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new NodeList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.NodeList = NodeList;
        /**
         * ObjectReference contains enough information to let you inspect or modify the referred object.
         */
        class ObjectReference extends pulumi.CustomResource {
            /**
            * Create a core.v1.ObjectReference resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "core/v1";
                inputs["fieldPath"] = args && args.fieldPath || undefined;
                inputs["kind"] = "ObjectReference";
                inputs["name"] = args && args.name || undefined;
                inputs["namespace"] = args && args.namespace || undefined;
                inputs["resourceVersion"] = args && args.resourceVersion || undefined;
                inputs["uid"] = args && args.uid || undefined;
                super("kubernetes:core/v1:ObjectReference", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ObjectReference` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ObjectReference(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ObjectReference = ObjectReference;
        /**
         * PersistentVolume (PV) is a storage resource provisioned by an administrator. It is analogous
         * to a node. More info: https://kubernetes.io/docs/concepts/storage/persistent-volumes
         */
        class PersistentVolume extends pulumi.CustomResource {
            /**
            * Create a core.v1.PersistentVolume resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["kind"] = "PersistentVolume";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:core/v1:PersistentVolume", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `PersistentVolume` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new PersistentVolume(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.PersistentVolume = PersistentVolume;
        /**
         * PersistentVolumeClaim is a user's request for and claim to a persistent volume
         */
        class PersistentVolumeClaim extends pulumi.CustomResource {
            /**
            * Create a core.v1.PersistentVolumeClaim resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["kind"] = "PersistentVolumeClaim";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:core/v1:PersistentVolumeClaim", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `PersistentVolumeClaim` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new PersistentVolumeClaim(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.PersistentVolumeClaim = PersistentVolumeClaim;
        /**
         * PersistentVolumeClaimList is a list of PersistentVolumeClaim items.
         */
        class PersistentVolumeClaimList extends pulumi.CustomResource {
            /**
            * Create a core.v1.PersistentVolumeClaimList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "PersistentVolumeClaimList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:PersistentVolumeClaimList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `PersistentVolumeClaimList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new PersistentVolumeClaimList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.PersistentVolumeClaimList = PersistentVolumeClaimList;
        /**
         * PersistentVolumeList is a list of PersistentVolume items.
         */
        class PersistentVolumeList extends pulumi.CustomResource {
            /**
            * Create a core.v1.PersistentVolumeList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "PersistentVolumeList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:PersistentVolumeList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `PersistentVolumeList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new PersistentVolumeList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.PersistentVolumeList = PersistentVolumeList;
        /**
         * Pod is a collection of containers that can run on a host. This resource is created by clients
         * and scheduled onto hosts.
         */
        class Pod extends pulumi.CustomResource {
            /**
            * Create a core.v1.Pod resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["kind"] = "Pod";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:core/v1:Pod", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Pod` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Pod(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.Pod = Pod;
        /**
         * PodList is a list of Pods.
         */
        class PodList extends pulumi.CustomResource {
            /**
            * Create a core.v1.PodList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "PodList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:PodList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `PodList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new PodList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.PodList = PodList;
        /**
         * PodTemplate describes a template for creating copies of a predefined pod.
         */
        class PodTemplate extends pulumi.CustomResource {
            /**
            * Create a core.v1.PodTemplate resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["kind"] = "PodTemplate";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["template"] = args && args.template || undefined;
                super("kubernetes:core/v1:PodTemplate", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `PodTemplate` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new PodTemplate(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.PodTemplate = PodTemplate;
        /**
         * PodTemplateList is a list of PodTemplates.
         */
        class PodTemplateList extends pulumi.CustomResource {
            /**
            * Create a core.v1.PodTemplateList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "PodTemplateList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:PodTemplateList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `PodTemplateList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new PodTemplateList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.PodTemplateList = PodTemplateList;
        /**
         * ReplicationController represents the configuration of a replication controller.
         */
        class ReplicationController extends pulumi.CustomResource {
            /**
            * Create a core.v1.ReplicationController resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["kind"] = "ReplicationController";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:core/v1:ReplicationController", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ReplicationController` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ReplicationController(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ReplicationController = ReplicationController;
        /**
         * ReplicationControllerList is a collection of replication controllers.
         */
        class ReplicationControllerList extends pulumi.CustomResource {
            /**
            * Create a core.v1.ReplicationControllerList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ReplicationControllerList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:ReplicationControllerList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ReplicationControllerList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ReplicationControllerList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ReplicationControllerList = ReplicationControllerList;
        /**
         * ResourceQuota sets aggregate quota restrictions enforced per namespace
         */
        class ResourceQuota extends pulumi.CustomResource {
            /**
            * Create a core.v1.ResourceQuota resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["kind"] = "ResourceQuota";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:core/v1:ResourceQuota", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ResourceQuota` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ResourceQuota(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ResourceQuota = ResourceQuota;
        /**
         * ResourceQuotaList is a list of ResourceQuota items.
         */
        class ResourceQuotaList extends pulumi.CustomResource {
            /**
            * Create a core.v1.ResourceQuotaList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ResourceQuotaList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:ResourceQuotaList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ResourceQuotaList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ResourceQuotaList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ResourceQuotaList = ResourceQuotaList;
        /**
         * Secret holds secret data of a certain type. The total bytes of the values in the Data field
         * must be less than MaxSecretSize bytes.
         */
        class Secret extends pulumi.CustomResource {
            /**
            * Create a core.v1.Secret resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["data"] = args && args.data || undefined;
                inputs["kind"] = "Secret";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["stringData"] = args && args.stringData || undefined;
                inputs["type"] = args && args.type || undefined;
                super("kubernetes:core/v1:Secret", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Secret` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Secret(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.Secret = Secret;
        /**
         * SecretList is a list of Secret.
         */
        class SecretList extends pulumi.CustomResource {
            /**
            * Create a core.v1.SecretList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "SecretList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:SecretList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `SecretList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new SecretList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.SecretList = SecretList;
        /**
         * Service is a named abstraction of software service (for example, mysql) consisting of local
         * port (for example 3306) that the proxy listens on, and the selector that determines which
         * pods will answer requests sent through the proxy.
         */
        class Service extends pulumi.CustomResource {
            /**
            * Create a core.v1.Service resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["kind"] = "Service";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:core/v1:Service", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Service` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Service(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.Service = Service;
        /**
         * ServiceAccount binds together: * a name, understood by users, and perhaps by peripheral
         * systems, for an identity * a principal that can be authenticated and authorized * a set of
         * secrets
         */
        class ServiceAccount extends pulumi.CustomResource {
            /**
            * Create a core.v1.ServiceAccount resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["automountServiceAccountToken"] = args && args.automountServiceAccountToken || undefined;
                inputs["imagePullSecrets"] = args && args.imagePullSecrets || undefined;
                inputs["kind"] = "ServiceAccount";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["secrets"] = args && args.secrets || undefined;
                super("kubernetes:core/v1:ServiceAccount", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ServiceAccount` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ServiceAccount(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ServiceAccount = ServiceAccount;
        /**
         * ServiceAccountList is a list of ServiceAccount objects
         */
        class ServiceAccountList extends pulumi.CustomResource {
            /**
            * Create a core.v1.ServiceAccountList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ServiceAccountList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:ServiceAccountList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ServiceAccountList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ServiceAccountList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ServiceAccountList = ServiceAccountList;
        /**
         * ServiceList holds a list of services.
         */
        class ServiceList extends pulumi.CustomResource {
            /**
            * Create a core.v1.ServiceList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ServiceList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:core/v1:ServiceList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ServiceList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ServiceList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ServiceList = ServiceList;
    })(v1 = core.v1 || (core.v1 = {}));
})(core = exports.core || (exports.core = {}));
var events;
(function (events) {
    let v1beta1;
    (function (v1beta1) {
        /**
         * Event is a report of an event somewhere in the cluster. It generally denotes some state
         * change in the system.
         */
        class Event extends pulumi.CustomResource {
            /**
            * Create a events.v1beta1.Event resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["action"] = args && args.action || undefined;
                inputs["apiVersion"] = "events.k8s.io/v1beta1";
                inputs["deprecatedCount"] = args && args.deprecatedCount || undefined;
                inputs["deprecatedFirstTimestamp"] = args && args.deprecatedFirstTimestamp || undefined;
                inputs["deprecatedLastTimestamp"] = args && args.deprecatedLastTimestamp || undefined;
                inputs["deprecatedSource"] = args && args.deprecatedSource || undefined;
                inputs["eventTime"] = args && args.eventTime || undefined;
                inputs["kind"] = "Event";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["note"] = args && args.note || undefined;
                inputs["reason"] = args && args.reason || undefined;
                inputs["regarding"] = args && args.regarding || undefined;
                inputs["related"] = args && args.related || undefined;
                inputs["reportingController"] = args && args.reportingController || undefined;
                inputs["reportingInstance"] = args && args.reportingInstance || undefined;
                inputs["series"] = args && args.series || undefined;
                inputs["type"] = args && args.type || undefined;
                super("kubernetes:events.k8s.io/v1beta1:Event", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Event` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Event(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.Event = Event;
        /**
         * EventList is a list of Event objects.
         */
        class EventList extends pulumi.CustomResource {
            /**
            * Create a events.v1beta1.EventList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "events.k8s.io/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "EventList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:events.k8s.io/v1beta1:EventList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `EventList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new EventList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.EventList = EventList;
    })(v1beta1 = events.v1beta1 || (events.v1beta1 = {}));
})(events = exports.events || (exports.events = {}));
var extensions;
(function (extensions) {
    let v1beta1;
    (function (v1beta1) {
        /**
         * DEPRECATED - This group version of DaemonSet is deprecated by apps/v1beta2/DaemonSet. See the
         * release notes for more information. DaemonSet represents the configuration of a daemon set.
         */
        class DaemonSet extends pulumi.CustomResource {
            /**
            * Create a extensions.v1beta1.DaemonSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "extensions/v1beta1";
                inputs["kind"] = "DaemonSet";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:extensions/v1beta1:DaemonSet", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `DaemonSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new DaemonSet(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.DaemonSet = DaemonSet;
        /**
         * DaemonSetList is a collection of daemon sets.
         */
        class DaemonSetList extends pulumi.CustomResource {
            /**
            * Create a extensions.v1beta1.DaemonSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "extensions/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "DaemonSetList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:extensions/v1beta1:DaemonSetList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `DaemonSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new DaemonSetList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.DaemonSetList = DaemonSetList;
        /**
         * DEPRECATED - This group version of Deployment is deprecated by apps/v1beta2/Deployment. See
         * the release notes for more information. Deployment enables declarative updates for Pods and
         * ReplicaSets.
         */
        class Deployment extends pulumi.CustomResource {
            /**
            * Create a extensions.v1beta1.Deployment resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "extensions/v1beta1";
                inputs["kind"] = "Deployment";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:extensions/v1beta1:Deployment", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Deployment` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Deployment(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.Deployment = Deployment;
        /**
         * DeploymentList is a list of Deployments.
         */
        class DeploymentList extends pulumi.CustomResource {
            /**
            * Create a extensions.v1beta1.DeploymentList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "extensions/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "DeploymentList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:extensions/v1beta1:DeploymentList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `DeploymentList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new DeploymentList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.DeploymentList = DeploymentList;
        /**
         * DEPRECATED. DeploymentRollback stores the information required to rollback a deployment.
         */
        class DeploymentRollback extends pulumi.CustomResource {
            /**
            * Create a extensions.v1beta1.DeploymentRollback resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "extensions/v1beta1";
                inputs["kind"] = "DeploymentRollback";
                inputs["name"] = args && args.name || undefined;
                inputs["rollbackTo"] = args && args.rollbackTo || undefined;
                inputs["updatedAnnotations"] = args && args.updatedAnnotations || undefined;
                super("kubernetes:extensions/v1beta1:DeploymentRollback", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `DeploymentRollback` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new DeploymentRollback(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.DeploymentRollback = DeploymentRollback;
        /**
         * Ingress is a collection of rules that allow inbound connections to reach the endpoints
         * defined by a backend. An Ingress can be configured to give services externally-reachable
         * urls, load balance traffic, terminate SSL, offer name based virtual hosting etc.
         */
        class Ingress extends pulumi.CustomResource {
            /**
            * Create a extensions.v1beta1.Ingress resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "extensions/v1beta1";
                inputs["kind"] = "Ingress";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:extensions/v1beta1:Ingress", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Ingress` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Ingress(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.Ingress = Ingress;
        /**
         * IngressList is a collection of Ingress.
         */
        class IngressList extends pulumi.CustomResource {
            /**
            * Create a extensions.v1beta1.IngressList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "extensions/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "IngressList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:extensions/v1beta1:IngressList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `IngressList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new IngressList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.IngressList = IngressList;
        /**
         * DEPRECATED 1.9 - This group version of NetworkPolicy is deprecated by
         * networking/v1/NetworkPolicy. NetworkPolicy describes what network traffic is allowed for a
         * set of Pods
         */
        class NetworkPolicy extends pulumi.CustomResource {
            /**
            * Create a extensions.v1beta1.NetworkPolicy resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "extensions/v1beta1";
                inputs["kind"] = "NetworkPolicy";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                super("kubernetes:extensions/v1beta1:NetworkPolicy", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `NetworkPolicy` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new NetworkPolicy(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.NetworkPolicy = NetworkPolicy;
        /**
         * DEPRECATED 1.9 - This group version of NetworkPolicyList is deprecated by
         * networking/v1/NetworkPolicyList. Network Policy List is a list of NetworkPolicy objects.
         */
        class NetworkPolicyList extends pulumi.CustomResource {
            /**
            * Create a extensions.v1beta1.NetworkPolicyList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "extensions/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "NetworkPolicyList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:extensions/v1beta1:NetworkPolicyList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `NetworkPolicyList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new NetworkPolicyList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.NetworkPolicyList = NetworkPolicyList;
        /**
         * Pod Security Policy governs the ability to make requests that affect the Security Context
         * that will be applied to a pod and container.
         */
        class PodSecurityPolicy extends pulumi.CustomResource {
            /**
            * Create a extensions.v1beta1.PodSecurityPolicy resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "extensions/v1beta1";
                inputs["kind"] = "PodSecurityPolicy";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                super("kubernetes:extensions/v1beta1:PodSecurityPolicy", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `PodSecurityPolicy` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new PodSecurityPolicy(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.PodSecurityPolicy = PodSecurityPolicy;
        /**
         * Pod Security Policy List is a list of PodSecurityPolicy objects.
         */
        class PodSecurityPolicyList extends pulumi.CustomResource {
            /**
            * Create a extensions.v1beta1.PodSecurityPolicyList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "extensions/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "PodSecurityPolicyList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:extensions/v1beta1:PodSecurityPolicyList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `PodSecurityPolicyList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new PodSecurityPolicyList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.PodSecurityPolicyList = PodSecurityPolicyList;
        /**
         * DEPRECATED - This group version of ReplicaSet is deprecated by apps/v1beta2/ReplicaSet. See
         * the release notes for more information. ReplicaSet ensures that a specified number of pod
         * replicas are running at any given time.
         */
        class ReplicaSet extends pulumi.CustomResource {
            /**
            * Create a extensions.v1beta1.ReplicaSet resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "extensions/v1beta1";
                inputs["kind"] = "ReplicaSet";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:extensions/v1beta1:ReplicaSet", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ReplicaSet` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ReplicaSet(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.ReplicaSet = ReplicaSet;
        /**
         * ReplicaSetList is a collection of ReplicaSets.
         */
        class ReplicaSetList extends pulumi.CustomResource {
            /**
            * Create a extensions.v1beta1.ReplicaSetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "extensions/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ReplicaSetList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:extensions/v1beta1:ReplicaSetList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ReplicaSetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ReplicaSetList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.ReplicaSetList = ReplicaSetList;
        /**
         * represents a scaling request for a resource.
         */
        class Scale extends pulumi.CustomResource {
            /**
            * Create a extensions.v1beta1.Scale resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "extensions/v1beta1";
                inputs["kind"] = "Scale";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:extensions/v1beta1:Scale", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Scale` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Scale(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.Scale = Scale;
    })(v1beta1 = extensions.v1beta1 || (extensions.v1beta1 = {}));
})(extensions = exports.extensions || (exports.extensions = {}));
var meta;
(function (meta) {
    let v1;
    (function (v1) {
        /**
         * APIGroup contains the name, the supported versions, and the preferred version of a group.
         */
        class APIGroup extends pulumi.CustomResource {
            /**
            * Create a meta.v1.APIGroup resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["kind"] = "APIGroup";
                inputs["name"] = args && args.name || undefined;
                inputs["preferredVersion"] = args && args.preferredVersion || undefined;
                inputs["serverAddressByClientCIDRs"] = args && args.serverAddressByClientCIDRs || undefined;
                inputs["versions"] = args && args.versions || undefined;
                super("kubernetes:core/v1:APIGroup", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `APIGroup` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new APIGroup(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.APIGroup = APIGroup;
        /**
         * APIGroupList is a list of APIGroup, to allow clients to discover the API at /apis.
         */
        class APIGroupList extends pulumi.CustomResource {
            /**
            * Create a meta.v1.APIGroupList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["groups"] = args && args.groups || undefined;
                inputs["kind"] = "APIGroupList";
                super("kubernetes:core/v1:APIGroupList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `APIGroupList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new APIGroupList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.APIGroupList = APIGroupList;
        /**
         * APIResourceList is a list of APIResource, it is used to expose the name of the resources
         * supported in a specific group and version, and if the resource is namespaced.
         */
        class APIResourceList extends pulumi.CustomResource {
            /**
            * Create a meta.v1.APIResourceList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["groupVersion"] = args && args.groupVersion || undefined;
                inputs["kind"] = "APIResourceList";
                inputs["resources"] = args && args.resources || undefined;
                super("kubernetes:core/v1:APIResourceList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `APIResourceList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new APIResourceList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.APIResourceList = APIResourceList;
        /**
         * APIVersions lists the versions that are available, to allow clients to discover the API at
         * /api, which is the root path of the legacy v1 API.
         */
        class APIVersions extends pulumi.CustomResource {
            /**
            * Create a meta.v1.APIVersions resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["kind"] = "APIVersions";
                inputs["serverAddressByClientCIDRs"] = args && args.serverAddressByClientCIDRs || undefined;
                inputs["versions"] = args && args.versions || undefined;
                super("kubernetes:core/v1:APIVersions", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `APIVersions` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new APIVersions(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.APIVersions = APIVersions;
        /**
         * DeleteOptions may be provided when deleting an API object.
         */
        class DeleteOptions extends pulumi.CustomResource {
            /**
            * Create a meta.v1.DeleteOptions resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["gracePeriodSeconds"] = args && args.gracePeriodSeconds || undefined;
                inputs["kind"] = "DeleteOptions";
                inputs["orphanDependents"] = args && args.orphanDependents || undefined;
                inputs["preconditions"] = args && args.preconditions || undefined;
                inputs["propagationPolicy"] = args && args.propagationPolicy || undefined;
                super("kubernetes:core/v1:DeleteOptions", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `DeleteOptions` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new DeleteOptions(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.DeleteOptions = DeleteOptions;
        /**
         * OwnerReference contains enough information to let you identify an owning object. Currently,
         * an owning object must be in the same namespace, so there is no namespace field.
         */
        class OwnerReference extends pulumi.CustomResource {
            /**
            * Create a meta.v1.OwnerReference resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "meta/v1";
                inputs["blockOwnerDeletion"] = args && args.blockOwnerDeletion || undefined;
                inputs["controller"] = args && args.controller || undefined;
                inputs["kind"] = "OwnerReference";
                inputs["name"] = args && args.name || undefined;
                inputs["uid"] = args && args.uid || undefined;
                super("kubernetes:meta/v1:OwnerReference", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `OwnerReference` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new OwnerReference(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.OwnerReference = OwnerReference;
        /**
         * Status is a return value for calls that don't return other objects.
         */
        class Status extends pulumi.CustomResource {
            /**
            * Create a meta.v1.Status resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "v1";
                inputs["code"] = args && args.code || undefined;
                inputs["details"] = args && args.details || undefined;
                inputs["kind"] = "Status";
                inputs["message"] = args && args.message || undefined;
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["reason"] = args && args.reason || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:core/v1:Status", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Status` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Status(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.Status = Status;
    })(v1 = meta.v1 || (meta.v1 = {}));
})(meta = exports.meta || (exports.meta = {}));
var networking;
(function (networking) {
    let v1;
    (function (v1) {
        /**
         * NetworkPolicy describes what network traffic is allowed for a set of Pods
         */
        class NetworkPolicy extends pulumi.CustomResource {
            /**
            * Create a networking.v1.NetworkPolicy resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "networking.k8s.io/v1";
                inputs["kind"] = "NetworkPolicy";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                super("kubernetes:networking.k8s.io/v1:NetworkPolicy", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `NetworkPolicy` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new NetworkPolicy(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.NetworkPolicy = NetworkPolicy;
        /**
         * NetworkPolicyList is a list of NetworkPolicy objects.
         */
        class NetworkPolicyList extends pulumi.CustomResource {
            /**
            * Create a networking.v1.NetworkPolicyList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "networking.k8s.io/v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "NetworkPolicyList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:networking.k8s.io/v1:NetworkPolicyList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `NetworkPolicyList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new NetworkPolicyList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.NetworkPolicyList = NetworkPolicyList;
    })(v1 = networking.v1 || (networking.v1 = {}));
})(networking = exports.networking || (exports.networking = {}));
var policy;
(function (policy) {
    let v1beta1;
    (function (v1beta1) {
        /**
         * Eviction evicts a pod from its node subject to certain policies and safety constraints. This
         * is a subresource of Pod.  A request to cause such an eviction is created by POSTing to
         * .../pods/<pod name>/evictions.
         */
        class Eviction extends pulumi.CustomResource {
            /**
            * Create a policy.v1beta1.Eviction resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "policy/v1beta1";
                inputs["deleteOptions"] = args && args.deleteOptions || undefined;
                inputs["kind"] = "Eviction";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:policy/v1beta1:Eviction", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Eviction` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Eviction(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.Eviction = Eviction;
        /**
         * PodDisruptionBudget is an object to define the max disruption that can be caused to a
         * collection of pods
         */
        class PodDisruptionBudget extends pulumi.CustomResource {
            /**
            * Create a policy.v1beta1.PodDisruptionBudget resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "policy/v1beta1";
                inputs["kind"] = "PodDisruptionBudget";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:policy/v1beta1:PodDisruptionBudget", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `PodDisruptionBudget` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new PodDisruptionBudget(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.PodDisruptionBudget = PodDisruptionBudget;
        /**
         * PodDisruptionBudgetList is a collection of PodDisruptionBudgets.
         */
        class PodDisruptionBudgetList extends pulumi.CustomResource {
            /**
            * Create a policy.v1beta1.PodDisruptionBudgetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "policy/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "PodDisruptionBudgetList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:policy/v1beta1:PodDisruptionBudgetList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `PodDisruptionBudgetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new PodDisruptionBudgetList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.PodDisruptionBudgetList = PodDisruptionBudgetList;
    })(v1beta1 = policy.v1beta1 || (policy.v1beta1 = {}));
})(policy = exports.policy || (exports.policy = {}));
var rbac;
(function (rbac) {
    let v1;
    (function (v1) {
        /**
         * ClusterRole is a cluster level, logical grouping of PolicyRules that can be referenced as a
         * unit by a RoleBinding or ClusterRoleBinding.
         */
        class ClusterRole extends pulumi.CustomResource {
            /**
            * Create a rbac.v1.ClusterRole resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["aggregationRule"] = args && args.aggregationRule || undefined;
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1";
                inputs["kind"] = "ClusterRole";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["rules"] = args && args.rules || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1:ClusterRole", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ClusterRole` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ClusterRole(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ClusterRole = ClusterRole;
        /**
         * ClusterRoleBinding references a ClusterRole, but not contain it.  It can reference a
         * ClusterRole in the global namespace, and adds who information via Subject.
         */
        class ClusterRoleBinding extends pulumi.CustomResource {
            /**
            * Create a rbac.v1.ClusterRoleBinding resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1";
                inputs["kind"] = "ClusterRoleBinding";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["roleRef"] = args && args.roleRef || undefined;
                inputs["subjects"] = args && args.subjects || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1:ClusterRoleBinding", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ClusterRoleBinding` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ClusterRoleBinding(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ClusterRoleBinding = ClusterRoleBinding;
        /**
         * ClusterRoleBindingList is a collection of ClusterRoleBindings
         */
        class ClusterRoleBindingList extends pulumi.CustomResource {
            /**
            * Create a rbac.v1.ClusterRoleBindingList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ClusterRoleBindingList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1:ClusterRoleBindingList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ClusterRoleBindingList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ClusterRoleBindingList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ClusterRoleBindingList = ClusterRoleBindingList;
        /**
         * ClusterRoleList is a collection of ClusterRoles
         */
        class ClusterRoleList extends pulumi.CustomResource {
            /**
            * Create a rbac.v1.ClusterRoleList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ClusterRoleList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1:ClusterRoleList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ClusterRoleList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ClusterRoleList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.ClusterRoleList = ClusterRoleList;
        /**
         * Role is a namespaced, logical grouping of PolicyRules that can be referenced as a unit by a
         * RoleBinding.
         */
        class Role extends pulumi.CustomResource {
            /**
            * Create a rbac.v1.Role resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1";
                inputs["kind"] = "Role";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["rules"] = args && args.rules || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1:Role", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Role` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Role(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.Role = Role;
        /**
         * RoleBinding references a role, but does not contain it.  It can reference a Role in the same
         * namespace or a ClusterRole in the global namespace. It adds who information via Subjects and
         * namespace information by which namespace it exists in.  RoleBindings in a given namespace
         * only have effect in that namespace.
         */
        class RoleBinding extends pulumi.CustomResource {
            /**
            * Create a rbac.v1.RoleBinding resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1";
                inputs["kind"] = "RoleBinding";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["roleRef"] = args && args.roleRef || undefined;
                inputs["subjects"] = args && args.subjects || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1:RoleBinding", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `RoleBinding` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new RoleBinding(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.RoleBinding = RoleBinding;
        /**
         * RoleBindingList is a collection of RoleBindings
         */
        class RoleBindingList extends pulumi.CustomResource {
            /**
            * Create a rbac.v1.RoleBindingList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "RoleBindingList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1:RoleBindingList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `RoleBindingList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new RoleBindingList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.RoleBindingList = RoleBindingList;
        /**
         * RoleList is a collection of Roles
         */
        class RoleList extends pulumi.CustomResource {
            /**
            * Create a rbac.v1.RoleList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "RoleList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1:RoleList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `RoleList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new RoleList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.RoleList = RoleList;
    })(v1 = rbac.v1 || (rbac.v1 = {}));
    let v1alpha1;
    (function (v1alpha1) {
        /**
         * ClusterRole is a cluster level, logical grouping of PolicyRules that can be referenced as a
         * unit by a RoleBinding or ClusterRoleBinding.
         */
        class ClusterRole extends pulumi.CustomResource {
            /**
            * Create a rbac.v1alpha1.ClusterRole resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["aggregationRule"] = args && args.aggregationRule || undefined;
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1alpha1";
                inputs["kind"] = "ClusterRole";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["rules"] = args && args.rules || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1alpha1:ClusterRole", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ClusterRole` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ClusterRole(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.ClusterRole = ClusterRole;
        /**
         * ClusterRoleBinding references a ClusterRole, but not contain it.  It can reference a
         * ClusterRole in the global namespace, and adds who information via Subject.
         */
        class ClusterRoleBinding extends pulumi.CustomResource {
            /**
            * Create a rbac.v1alpha1.ClusterRoleBinding resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1alpha1";
                inputs["kind"] = "ClusterRoleBinding";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["roleRef"] = args && args.roleRef || undefined;
                inputs["subjects"] = args && args.subjects || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1alpha1:ClusterRoleBinding", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ClusterRoleBinding` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ClusterRoleBinding(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.ClusterRoleBinding = ClusterRoleBinding;
        /**
         * ClusterRoleBindingList is a collection of ClusterRoleBindings
         */
        class ClusterRoleBindingList extends pulumi.CustomResource {
            /**
            * Create a rbac.v1alpha1.ClusterRoleBindingList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1alpha1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ClusterRoleBindingList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1alpha1:ClusterRoleBindingList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ClusterRoleBindingList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ClusterRoleBindingList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.ClusterRoleBindingList = ClusterRoleBindingList;
        /**
         * ClusterRoleList is a collection of ClusterRoles
         */
        class ClusterRoleList extends pulumi.CustomResource {
            /**
            * Create a rbac.v1alpha1.ClusterRoleList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1alpha1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ClusterRoleList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1alpha1:ClusterRoleList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ClusterRoleList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ClusterRoleList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.ClusterRoleList = ClusterRoleList;
        /**
         * Role is a namespaced, logical grouping of PolicyRules that can be referenced as a unit by a
         * RoleBinding.
         */
        class Role extends pulumi.CustomResource {
            /**
            * Create a rbac.v1alpha1.Role resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1alpha1";
                inputs["kind"] = "Role";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["rules"] = args && args.rules || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1alpha1:Role", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Role` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Role(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.Role = Role;
        /**
         * RoleBinding references a role, but does not contain it.  It can reference a Role in the same
         * namespace or a ClusterRole in the global namespace. It adds who information via Subjects and
         * namespace information by which namespace it exists in.  RoleBindings in a given namespace
         * only have effect in that namespace.
         */
        class RoleBinding extends pulumi.CustomResource {
            /**
            * Create a rbac.v1alpha1.RoleBinding resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1alpha1";
                inputs["kind"] = "RoleBinding";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["roleRef"] = args && args.roleRef || undefined;
                inputs["subjects"] = args && args.subjects || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1alpha1:RoleBinding", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `RoleBinding` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new RoleBinding(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.RoleBinding = RoleBinding;
        /**
         * RoleBindingList is a collection of RoleBindings
         */
        class RoleBindingList extends pulumi.CustomResource {
            /**
            * Create a rbac.v1alpha1.RoleBindingList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1alpha1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "RoleBindingList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1alpha1:RoleBindingList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `RoleBindingList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new RoleBindingList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.RoleBindingList = RoleBindingList;
        /**
         * RoleList is a collection of Roles
         */
        class RoleList extends pulumi.CustomResource {
            /**
            * Create a rbac.v1alpha1.RoleList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1alpha1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "RoleList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1alpha1:RoleList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `RoleList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new RoleList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.RoleList = RoleList;
        /**
         * Subject contains a reference to the object or user identities a role binding applies to.
         * This can either hold a direct API object reference, or a value for non-objects such as user
         * and group names.
         */
        class Subject extends pulumi.CustomResource {
            /**
            * Create a rbac.v1alpha1.Subject resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac/v1alpha1";
                inputs["kind"] = "Subject";
                inputs["name"] = args && args.name || undefined;
                inputs["namespace"] = args && args.namespace || undefined;
                super("kubernetes:rbac/v1alpha1:Subject", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Subject` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Subject(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.Subject = Subject;
    })(v1alpha1 = rbac.v1alpha1 || (rbac.v1alpha1 = {}));
    let v1beta1;
    (function (v1beta1) {
        /**
         * ClusterRole is a cluster level, logical grouping of PolicyRules that can be referenced as a
         * unit by a RoleBinding or ClusterRoleBinding.
         */
        class ClusterRole extends pulumi.CustomResource {
            /**
            * Create a rbac.v1beta1.ClusterRole resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["aggregationRule"] = args && args.aggregationRule || undefined;
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1beta1";
                inputs["kind"] = "ClusterRole";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["rules"] = args && args.rules || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1beta1:ClusterRole", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ClusterRole` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ClusterRole(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.ClusterRole = ClusterRole;
        /**
         * ClusterRoleBinding references a ClusterRole, but not contain it.  It can reference a
         * ClusterRole in the global namespace, and adds who information via Subject.
         */
        class ClusterRoleBinding extends pulumi.CustomResource {
            /**
            * Create a rbac.v1beta1.ClusterRoleBinding resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1beta1";
                inputs["kind"] = "ClusterRoleBinding";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["roleRef"] = args && args.roleRef || undefined;
                inputs["subjects"] = args && args.subjects || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1beta1:ClusterRoleBinding", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ClusterRoleBinding` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ClusterRoleBinding(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.ClusterRoleBinding = ClusterRoleBinding;
        /**
         * ClusterRoleBindingList is a collection of ClusterRoleBindings
         */
        class ClusterRoleBindingList extends pulumi.CustomResource {
            /**
            * Create a rbac.v1beta1.ClusterRoleBindingList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ClusterRoleBindingList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1beta1:ClusterRoleBindingList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ClusterRoleBindingList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ClusterRoleBindingList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.ClusterRoleBindingList = ClusterRoleBindingList;
        /**
         * ClusterRoleList is a collection of ClusterRoles
         */
        class ClusterRoleList extends pulumi.CustomResource {
            /**
            * Create a rbac.v1beta1.ClusterRoleList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "ClusterRoleList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1beta1:ClusterRoleList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `ClusterRoleList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new ClusterRoleList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.ClusterRoleList = ClusterRoleList;
        /**
         * Role is a namespaced, logical grouping of PolicyRules that can be referenced as a unit by a
         * RoleBinding.
         */
        class Role extends pulumi.CustomResource {
            /**
            * Create a rbac.v1beta1.Role resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1beta1";
                inputs["kind"] = "Role";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["rules"] = args && args.rules || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1beta1:Role", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `Role` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new Role(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.Role = Role;
        /**
         * RoleBinding references a role, but does not contain it.  It can reference a Role in the same
         * namespace or a ClusterRole in the global namespace. It adds who information via Subjects and
         * namespace information by which namespace it exists in.  RoleBindings in a given namespace
         * only have effect in that namespace.
         */
        class RoleBinding extends pulumi.CustomResource {
            /**
            * Create a rbac.v1beta1.RoleBinding resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1beta1";
                inputs["kind"] = "RoleBinding";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["roleRef"] = args && args.roleRef || undefined;
                inputs["subjects"] = args && args.subjects || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1beta1:RoleBinding", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `RoleBinding` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new RoleBinding(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.RoleBinding = RoleBinding;
        /**
         * RoleBindingList is a collection of RoleBindings
         */
        class RoleBindingList extends pulumi.CustomResource {
            /**
            * Create a rbac.v1beta1.RoleBindingList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "RoleBindingList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1beta1:RoleBindingList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `RoleBindingList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new RoleBindingList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.RoleBindingList = RoleBindingList;
        /**
         * RoleList is a collection of Roles
         */
        class RoleList extends pulumi.CustomResource {
            /**
            * Create a rbac.v1beta1.RoleList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "rbac.authorization.k8s.io/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "RoleList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:rbac.authorization.k8s.io/v1beta1:RoleList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `RoleList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new RoleList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.RoleList = RoleList;
    })(v1beta1 = rbac.v1beta1 || (rbac.v1beta1 = {}));
})(rbac = exports.rbac || (exports.rbac = {}));
var scheduling;
(function (scheduling) {
    let v1alpha1;
    (function (v1alpha1) {
        /**
         * PriorityClass defines mapping from a priority class name to the priority integer value. The
         * value can be any valid integer.
         */
        class PriorityClass extends pulumi.CustomResource {
            /**
            * Create a scheduling.v1alpha1.PriorityClass resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "scheduling.k8s.io/v1alpha1";
                inputs["description"] = args && args.description || undefined;
                inputs["globalDefault"] = args && args.globalDefault || undefined;
                inputs["kind"] = "PriorityClass";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["value"] = args && args.value || undefined;
                super("kubernetes:scheduling.k8s.io/v1alpha1:PriorityClass", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `PriorityClass` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new PriorityClass(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.PriorityClass = PriorityClass;
        /**
         * PriorityClassList is a collection of priority classes.
         */
        class PriorityClassList extends pulumi.CustomResource {
            /**
            * Create a scheduling.v1alpha1.PriorityClassList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "scheduling.k8s.io/v1alpha1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "PriorityClassList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:scheduling.k8s.io/v1alpha1:PriorityClassList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `PriorityClassList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new PriorityClassList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.PriorityClassList = PriorityClassList;
    })(v1alpha1 = scheduling.v1alpha1 || (scheduling.v1alpha1 = {}));
})(scheduling = exports.scheduling || (exports.scheduling = {}));
var settings;
(function (settings) {
    let v1alpha1;
    (function (v1alpha1) {
        /**
         * PodPreset is a policy resource that defines additional runtime requirements for a Pod.
         */
        class PodPreset extends pulumi.CustomResource {
            /**
            * Create a settings.v1alpha1.PodPreset resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "settings.k8s.io/v1alpha1";
                inputs["kind"] = "PodPreset";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                super("kubernetes:settings.k8s.io/v1alpha1:PodPreset", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `PodPreset` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new PodPreset(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.PodPreset = PodPreset;
        /**
         * PodPresetList is a list of PodPreset objects.
         */
        class PodPresetList extends pulumi.CustomResource {
            /**
            * Create a settings.v1alpha1.PodPresetList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "settings.k8s.io/v1alpha1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "PodPresetList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:settings.k8s.io/v1alpha1:PodPresetList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `PodPresetList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new PodPresetList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.PodPresetList = PodPresetList;
    })(v1alpha1 = settings.v1alpha1 || (settings.v1alpha1 = {}));
})(settings = exports.settings || (exports.settings = {}));
var storage;
(function (storage) {
    let v1;
    (function (v1) {
        /**
         * StorageClass describes the parameters for a class of storage for which PersistentVolumes can
         * be dynamically provisioned.
         *
         * StorageClasses are non-namespaced; the name of the storage class according to etcd is in
         * ObjectMeta.Name.
         */
        class StorageClass extends pulumi.CustomResource {
            /**
            * Create a storage.v1.StorageClass resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["allowVolumeExpansion"] = args && args.allowVolumeExpansion || undefined;
                inputs["apiVersion"] = "storage.k8s.io/v1";
                inputs["kind"] = "StorageClass";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["mountOptions"] = args && args.mountOptions || undefined;
                inputs["parameters"] = args && args.parameters || undefined;
                inputs["provisioner"] = args && args.provisioner || undefined;
                inputs["reclaimPolicy"] = args && args.reclaimPolicy || undefined;
                inputs["volumeBindingMode"] = args && args.volumeBindingMode || undefined;
                super("kubernetes:storage.k8s.io/v1:StorageClass", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `StorageClass` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new StorageClass(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.StorageClass = StorageClass;
        /**
         * StorageClassList is a collection of storage classes.
         */
        class StorageClassList extends pulumi.CustomResource {
            /**
            * Create a storage.v1.StorageClassList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "storage.k8s.io/v1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "StorageClassList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:storage.k8s.io/v1:StorageClassList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `StorageClassList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new StorageClassList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1.StorageClassList = StorageClassList;
    })(v1 = storage.v1 || (storage.v1 = {}));
    let v1alpha1;
    (function (v1alpha1) {
        /**
         * VolumeAttachment captures the intent to attach or detach the specified volume to/from the
         * specified node.
         *
         * VolumeAttachment objects are non-namespaced.
         */
        class VolumeAttachment extends pulumi.CustomResource {
            /**
            * Create a storage.v1alpha1.VolumeAttachment resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "storage.k8s.io/v1alpha1";
                inputs["kind"] = "VolumeAttachment";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["spec"] = args && args.spec || undefined;
                inputs["status"] = args && args.status || undefined;
                super("kubernetes:storage.k8s.io/v1alpha1:VolumeAttachment", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `VolumeAttachment` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new VolumeAttachment(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.VolumeAttachment = VolumeAttachment;
        /**
         * VolumeAttachmentList is a collection of VolumeAttachment objects.
         */
        class VolumeAttachmentList extends pulumi.CustomResource {
            /**
            * Create a storage.v1alpha1.VolumeAttachmentList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "storage.k8s.io/v1alpha1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "VolumeAttachmentList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:storage.k8s.io/v1alpha1:VolumeAttachmentList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `VolumeAttachmentList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new VolumeAttachmentList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1alpha1.VolumeAttachmentList = VolumeAttachmentList;
    })(v1alpha1 = storage.v1alpha1 || (storage.v1alpha1 = {}));
    let v1beta1;
    (function (v1beta1) {
        /**
         * StorageClass describes the parameters for a class of storage for which PersistentVolumes can
         * be dynamically provisioned.
         *
         * StorageClasses are non-namespaced; the name of the storage class according to etcd is in
         * ObjectMeta.Name.
         */
        class StorageClass extends pulumi.CustomResource {
            /**
            * Create a storage.v1beta1.StorageClass resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["allowVolumeExpansion"] = args && args.allowVolumeExpansion || undefined;
                inputs["apiVersion"] = "storage.k8s.io/v1beta1";
                inputs["kind"] = "StorageClass";
                inputs["metadata"] = args && args.metadata || undefined;
                inputs["mountOptions"] = args && args.mountOptions || undefined;
                inputs["parameters"] = args && args.parameters || undefined;
                inputs["provisioner"] = args && args.provisioner || undefined;
                inputs["reclaimPolicy"] = args && args.reclaimPolicy || undefined;
                inputs["volumeBindingMode"] = args && args.volumeBindingMode || undefined;
                super("kubernetes:storage.k8s.io/v1beta1:StorageClass", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `StorageClass` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new StorageClass(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.StorageClass = StorageClass;
        /**
         * StorageClassList is a collection of storage classes.
         */
        class StorageClassList extends pulumi.CustomResource {
            /**
            * Create a storage.v1beta1.StorageClassList resource with the given unique name, arguments, and options.
            *
            * @param name The _unique_ name of the resource.
            * @param args The arguments to use to populate this resource's properties.
            * @param opts A bag of options that control this resource's behavior.
            */
            constructor(name, args, opts) {
                let inputs = {};
                inputs["apiVersion"] = "storage.k8s.io/v1beta1";
                inputs["items"] = args && args.items || undefined;
                inputs["kind"] = "StorageClassList";
                inputs["metadata"] = args && args.metadata || undefined;
                super("kubernetes:storage.k8s.io/v1beta1:StorageClassList", name, inputs, opts);
                this.__inputs = args;
            }
            /**
             * Get the state of an existing `StorageClassList` resource, as identified by `id`.
             * Typically this ID  is of the form <namespace>/<name>; if <namespace> is omitted, then (per
             * Kubernetes convention) the ID becomes default/<name>.
             *
             * Pulumi will keep track of this resource using `name` as the Pulumi ID.
             *
             * @param name _Unique_ name used to register this resource with Pulumi.
             * @param id An ID for the Kubernetes resource to retrive. Takes the form
             *  <namespace>/<name> or <name>.
             */
            static get(name, id) {
                return new StorageClassList(name, undefined, { id: id });
            }
            getInputs() { return this.__inputs; }
        }
        v1beta1.StorageClassList = StorageClassList;
    })(v1beta1 = storage.v1beta1 || (storage.v1beta1 = {}));
})(storage = exports.storage || (exports.storage = {}));
